<h4>2.10.2.2 - 05/26/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fixed Global color connection on gradient fields not rendering properly in some circumstances (#5189)</li>
	<li>Fixed field connections cache poisoned in custom post loops (#5180)</li>
	<li>Added capability checks to broken admin AJAX handlers in User Access. Props: Austin Grinder (#5175)</li>
	<li>Fixed wpbb-if shortcodes returning true when there is no match (#5186)</li>
</ul>

<h4>2.10.2.1 - 05/18/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Components: Fixed changes to main component not reflecting on instance that has been edited when using global colors (#5113)</li>
	<li>MultiSite: Fixed <code>maybe_flush_rewrites</code> using get_option instead of <code>get_site_option</code>(#5138)</li>
	<li>Icons: Fixed incompability with new version of IcoMoon (#5144)</li>
	<li>Fixed fatal error in <code>update_layout_settings</code> when $settings is an object (#5150)</li>
	<li>Fixed wpbb / wpbb-if shortcodes treating "0" as empty (#5168)</li>
</ul>

<h4>2.10.2 - 04/21/2026</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Button Module: Add copy text action (#4653)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed nodes not being visible in builder when visibility is hidden in some circumstances (#4900)</li>
	<li>Accordion Module: Fixed icons not being visible when nested inside a Tabs module (#4985)</li>
	<li>Box Module: Fixed links opening as a pop-up window and not a new tab when new window and nofollow are enabled (#5023)</li>
	<li>Box Module: Fixed links not working when connected to Post Custom Field and Box is inside Loop Modules (#4672)</li>
	<li>Fixed Global Styles device toggle button not syncing with responsive editing (#4095)</li>
	<li>Popup Maker integration: Fixed not being able to scroll down while editing (#3625)</li>
	<li>Fixed row border radius not applying to slideshow and video backgrounds (#3365)</li>
	<li>Outline Panel: Fixed context menu not being visible at the very bottom of the page (#4670)</li>
	<li>Outline Panel: Fixed draggable areas appearing when they should not (#4319)</li>
	<li>Advanced Settings: Fixed the Mod_Security fix interfering with node import/export (#3507)</li>
	<li>Separator Module: Fixed module not working properly when placed inside a Box Module (#4270)</li>
	<li>Fixed permalinks when switching from Lite to Premium version (#3185)</li>
	<li>Fixed some layout CSS affecting color picker swatches (#4708)</li>
	<li>Debug Mode: Fixed undefined key when there's an unassigned menu in the BB theme (#4135)</li>
	<li>Loop Module: Fixed rendering issue when page ID matches repeater ID (#4648)</li>
	<li>Button Module: Fixed background animation CSS specificity (#4658)</li>
	<li>Subscribe Module: Fixed issue with AWeber integration (#4493)</li>
	<li>Subscribe Module: Ensure choose option stays at top in select (#4544)</li>
	<li>Fixed missing translations for color picker (#5037)</li>
	<li>Fixed fatal error when a page title contains a new line or control character (#5059)</li>
	<li>Fixed PHP warning in update object when a slug property is missing (#5065)</li>
	<li>Remove deprecated json2 script enqueue (#4972)</li>
	<li>FontAwesome: Catch API exception in get_kit_data to prevent fatal error (#5089)</li>
	<li>Fixed incorrect pagination url when using Post Module Block (#4953)</li>
	<li>Outline Panel: ensure you can only have 1 top level container when editing a template (#4638)</li>
	<li>Fixed saved element thumbnail images displaying distorted (#3313)</li>
	<li>Fixed _load_textdomain_just_in_time notice on WordPress 6.7+ for non-US locales (#5117)</li>
</ul>

<h4>2.10.1.6 - 04/09/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Reworked CSS preview to fire a preview refresh when the value is empty so the correct fallback is used (#5063)</li>
	<li>Fixed Cloud icon not showing up in Toolbar until User Access settings are saved (#5073)</li>
	<li>Fixed Themer activation link in Available Downloads requiring a refresh</li>
</ul>

<h4>2.10.1.5 - 04/02/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Menu Module: Fixed <code>ul</code> sitting outside of <code>nav</code> after switching from responsive layout (#5044)</li>
	<li>Menu Module: Reverted fix for inline logo link not working on touchscreen devices in favor of new fix so that it doesn't cause sub-menus to not work properly on mobile (#4983)</li>
	<li>Menu Module: Remove unneeded accessibility attributes (#4772)</li>
</ul>

<h4>2.10.1.4 - 03/26/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Accordion Module: Fixed opening issue when label is an anchor link and expand on tab is enabled (#4976)</li>
	<li>Callout Modoule: Fixed conflict with Event Espresso (#4925)</li>
	<li>Menu Module: Fixed inline logo link not working on touchscreen devices (#4983)</li>
	<li>Fixed fatal error when using a role with restricted editing (#5012)</li>
	<li>Fixed Stripe being enqueued even when Cloud access is disabled (#4934)</li>
	<li>Menu Module: Fixed background color not rendering when responsive menu is set to flyout (#5019)</li>
</ul>

<h4>2.10.1.3 - 03/19/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Security: Fixed possible SQL injection in duplicate_post meta key handling (#4965)</li>
	<li>Components: Fixed component not opening for editing in some cases (#4790 & #4747)</li>
	<li>Components: Fixed CSS breaking when child module is using a global color (#4947)</li>
	<li>Components: Fixed settings not opening after setting node label in the Outline Panel (#4990)</li>
	<li>Components: Fixed row background video not rendering (#4999)</li>
	<li>Accordion Module: Fixed accordion not opening when clicking the title/label if HTML tags are used in label (#4863)</li>
	<li>Menu Module: Fixed menu link color overriding dropdown link color (#4995)</li>
	<li>Fixed JS error when using Post Slider and Post Carousel in the block editor (#4733)</li>
</ul>

<h4>2.10.1.2 - 03/12/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Security: Check if user has unrestricted_editing before allowing JS to be changed (#4882)</li>
	<li>Fixed row link color overriding menu module link color (#4866)</li>
	<li>Fixed template views with duplicate handles overwriting each other in the Templates tab (#4889)</li>
	<li>Loop Module: Fixed issues with pagination on Themer layout or when using Relationship as a source (#4641)</li>
	<li>Fixed compatibility issue with Cookiebot plugin (#4904)</li>
	<li>Components: Fixed nested component settings showing all fields when opened from the Outline Panel (#4906)</li>
	<li>Box Module: Fixed min-width causing child boxes to overlap in some flex row layouts (#4911)</li>
	<li>Video module: Fixed autoplay issues when Assistant plugin is active (#4935)</li>
</ul>

<h4>2.10.1.1 - 02/27/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Components: Fixed PHP warnings when opening a component instance containing nested components or when a component contains a module type not registered in the current context</li>
	<li>Components: Fixed settings being missing in some components</li>
	<li>Components: Fixed CSS missing for additional instances of the same component on a page</li>
</ul>

<h4>2.10.1 - 02/25/2026</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Optimization: Make some adjustments to prevent recursion causing a timeout on large pages (#4852)</li>
	<li>Optimization: Draft assets are no longer recreated after publishing a page (#4843)</li>
	<li>Components: Improve cache handling to ensure when updating a component, it syncs to instances (#4583)</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
    <li>(a11y) Menu Module: Fixed accessibility issue with landmark name used twice (#3008)</li>
	<li>Admin: Fixed BB templates title linking to frontend instead of the editor, and post status no longer showing (#4877)</li>
     <li>Admin: Fixed settings page styling on Multi-Site (#4800)</li>
    <li>Box Module: Fixed smooth scroll not working with link (#4720)</li>
    <li>Box Module: Fixed background layer field shortcode rendering page/post content when inside a loop module (#4760)</li>
    <li>Loop Module: Fixed repeater on options page not working (#4316)</li>
    <li>Menu Module: Fixed link padding not accepting 0px on mobile (#4695)</li>
    <li>Photo Module: Fixed caption option only showing image's caption (#4674)</li>
	<li>Posts Module: Fixed new CSS affecting ul tags in custom layout (#4769)</li>
    <li>Posts Module: Fixed custom layout failing to display content in Blocks mode (#4717)</li>
    <li>Posts Module: Fixed repeating the same posts when placed in a post inside a global row (#3598)</li>
    <li>Posts Module: Fixed out of position post items in pagination (#4437)</li>
	<li>Row Shapes: Fixed PHP warning for file name length (#4743)</li>
	<li>Fixed custom position for row backgrounds not being responsive (#4179)</li>
    <li>Fixed module instance CSS check preventing use of the function elsewhere (#4808)</li>
    <li>Fonts: Fixed Google Font previewing wrong font weight until save (#4714)</li>
	<li>Fixed WP Forms Spam Setting causing JS errors inside UI (#4676)</li>
	<li>Legacy UI: Fixed React errors (#4786)</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li>Components: Add new filters <pre>fl_builder_dynamic_global_is_query_module</pre> and <pre>fl_builder_dynamic_global_is_query_module_file</pre></li>
</ul>

<h4>2.10.0.7 - 02/18/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Optimize cache writes when using WP FileSystem APIs (#4832)</li>
	<li>Box module: Remove min-height as it is not needed and is causing text overlapping in some circumstances and fix min width for children not rendering (#4830)</li>
	<li>Button Module: Prevent code entered into onclick field from breaking the UI (#4796)</li>
	<li>Fixed auto suggest fields not updating properly in filter section of modules with loops (#4828)</li>
	<li>Fixed categories not rendering in the WP Admin for saved nodes and remove "View" link for Beaver Builder template categories (#4812)</li>
	<li>Optimization: move CSS that is static for buttons to static stylesheet (#4810)</li>
	<li>Ensure "enable component editing" only renders for components (#4805)</li>
	<li>Advanced Settings: Fixed revision limit not working (#4794)</li>
	<li>UI: Fixed saved tab collapsing sections not working after using search field (#4734)</li>
	<li>UI: Fixed testimonials reloading when responsive editing is switched in the iframe UI</li>
</ul>

<h4>2.10.0.6 - 01/28/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Security: Add capability check before saving global settings (#4773)</li>
	<li>Components: Fixed unlinking a Box component instance reverting settings (#4784)</li>
	<li>Components: Fixed photo fields not working correctly when only enabling source (#4782)</li>
	<li>Components: Fixed duplicating containers with components in them not working properly (#4763)</li>
	<li>Components: Fixed incorrect position of container module components when dropped or moved around (#4763)</li>
	<li>Fixed SASS warning and deprecation notices in PHP 8.4+ (#4771)</li>
	<li>Accordion Module: Fixed not being able to type spaces in forms (#4776)</li>
	<li>Content Slider Module:Fixed JS error when using some special characters or HTML tags (#4710)</li>
	<li>Testimonials Module: Ensure that new markup only applies to new modules (#4767)</li>
</ul>

<h4>2.10.0.5 - 01/14/2026</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Security: Sanitize auto suggest action function (#4659)</li>
	<li>Accordion Module: item no longer automatically closes when clicking outside of content (#4722)</li>
	<li>Components: Fixed node label added in Outline Panel breaking components (#4637)</li>
	<li>HTML Module: Fix module not being selectable when it contains only  script or style tags (#4645)</li>
	<li>ACF Blocks: Fix block assets loading in WP 6.9+ (#4731)</li>
	<li>Lite: Add Pro message when clicking "Save as" in node overlay (#4700)</li>
</ul>

<h4>2.10.0.4 - 12/18/2025</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Security: Add capability check on the 'duplicate_wpml_layout' function (#4636)</li>
	<li>Menu Module: Fixed markup issue when using HTML in menu item(#4609)</li>
	<li>Global Colors: When removing a global color from a gradient field, ensure color stays selected (#4622)</li>
	<li>Components: Ensure nested components are disabled for drag and drop (#4693)</li>
	<li>UI: Remove More layouts link in the content panel if core templates are disabled(#4665)</li>
</ul>

<h4>2.10.0.3 - 11/25/2025</h4>
<strong>There is a companion BB Themer release for this version. Please update to Themer 1.5.2.1.</strong>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Security: Added better capability checking to ensure only proper users can view attachment data for media attached to posts that are private, draft, or password-protected (#4604)</li>
	<li>Security: Added better capability checking for disable layout action (#4623)</li>
	<li>Security: Only Administrator and Editor roles will be checked by default for Builder Access and Unrestricted Editing in User Access settings</li>
	<li>Security: Ensure users have Builder Access and Unrestricted editing capabilities to allow them to add or delete color picker presets</li>
	<li>Accordion Module: Fixed accordion closing upon clicking inside the content (#4615)</li>
	<li>Box Module: Fix issue with saving fields after saving as a template (#4530)</li>
	<li>Button Group Module: Fixed PHP warnings (#4489)</li>
	<li>Content Slider Module: Fixed JS error when using a single quote in the label (#4626)</li>
	<li>Loop Module: Fixed PHP warnings if post has no taxonomy (#4642)</li>
	<li>Loop Module: Fixed field connection logic for post grid loop (#4646)</li>
	<li>Global Settings: Fixed Row default max width not being responsive (#4634)</li>
	<li>Advanced Settings: Fix Node Code settings toggle not working (#4611)</li>
</ul>

<h4>2.10.0.2 - 11/06/2025</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Components: Fixed toggled fields in components not syncing properly (#4567)</li>
	<li>Globals: Fixed unlinking causing a fatal error when the node contains modules that no longer exist (#4613)</li>
	<li>Icon Module: Revert change from display: block to inline for span (#341)</li>
	<li>Menu Module: Fixed aria-expanded not working on nested submenus (#4594)</li>
	<li>Menu Module: Fixed Menu Background Color (Mobile) being applied twice (#4598)</li>
	<li>Photo Module: Add missing field connections for source URL, caption and title attribute and fix caption field not toggling correctly (#4508)</li>
	<li>Rank Math: Fixed integration to ensure Focus Keyword feature still works on posts/pages where BB is used (#4599)</li>
</ul>

<h4>2.10.0.1 - 10/30/2025</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Components: Fixed Query Fields not showing form and instance settings not overriding the default (#4563)</li>
	<li>Components: Fixed repeating fields dynamic editing icon rendering as not selected when it is (#4569)</li>
	<li>Components: Fixed field connections in components (#4579)</li>
	<li>UI: Fix back link appearing on top of group dropdown (#4557)</li>
	<li>Menu Module: Fix CSS for current menu item not rendering and ensure the proper menu ID is used (#4559)</li>
	<li>Fixed missing pop-up when inserting saved template with Box Module (#4565)</li>
	<li>User Access: Changed default selected roles for Cloud to administrator only (#4572)</li>
	<li>Fixed post URL field connection not working correctly in a Box module link field inside of a Loop module (#4585)</li>
</ul>

<h4>2.10 "Monticello" - 10/14/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Introduced the ability to save nodes as Components, allowing specific fields within global templates to be customized per page while maintaining shared defaults.</li>
	<li>Added 60+ pre-built Box module templates.</li>
	<li>Added Prebuilt node templates to the templates tab.</li>
	<li>Box Module: Added a global setting for applying global row spacing to top-level boxes. This will be enabled by default on new sites and disabled for existing 2.9 sites updating to 2.10 to ensure backward compatibility.</li>
	<li>Box Module: Added an icon for toggling a grid guidelines overlay when building grids</li>
	<li>Assistant Integration: Added new cloud icon to the toolbar for connecting to the cloud and saving templates. A new user access setting for enabling or disabling cloud access based on user role was also added.</li>
	<li>Added a new Star Rating module</li>
	<li>Added a more layouts link to the Box module section</li>
	<li>Reworked the pre-built rows and modules panels to show categories instead of a dropdown</li>
	<li>Added a new "Type" select in the "Save As" form for choosing to save a component or template</li>
	<li>Added a "Type" filter to the "Saved" panel for filtering components, global templates, and static templates</li>
	<li>Added "Edit Component" and "Unlink Component" actions to the settings dropdown on component overlays and context menu in the outline panel</li>
	<li>Outline Panel: add copy and paste options to the context menu</li>
	<li>Added the ability to collapse the sections in the Saved panel</li>
	<li>Button & Button Group Modules: Added option for button as a click action which will render an actual button tag powered by custom click logic</li>
	<li>Button Module: Enabled responsive behavior on custom width, text color, background colors and border color fields</li>
	<li>Contact Form Module: Added styling controls for form labels</li>
	<li>Login Form Module: Added styling controls for form labels</li>
	<li>Subscribe Form Module: Added styling controls for form labels</li>
	<li>Menu Module: Added width option for flyout menu</li>
	<li>Photo Module: Added option to choose image size in lightbox</li>
	<li>Subscribe Module: Added support for ConvertKit custom fields</li>
	<li>Subscribe Module: Added support for MailChimp tags</li>
	<li>List Module: Added option to populate list in bulk</li>
	<li>Performance: Assets are not rendered for nodes if they are not rendering on page</li>
	<li>Performance: Improved the time it takes for settings to initially render when first opened</li>
	<li>Debug Mode: Added version control tab when it is enabled</li>
	<li>Update jQuery validate script and move external libraries into their own folder</li>
</ul>

<p><strong>Accessibility Improvements</strong></p>
<ul>
	<li>Accordion Module: changes to HTML tags used for elements for new modules dropped on the page, increase focus ring size and change key event listener from keypress to keydown, ensure proper ARIA attributes are used, replace the .fl-menu-mobile-toggle with the generic class .fl-content-ui-button so those buttons are excluded from Global Styles button styling, implement closing accordion tabs with Escape key, ensure event handlers only target interactive buttons, close all items when focus is outside of the accordion</li>
	<li>Button Module: A button tag is now used when lightbox option is chosen. This uses the module deprecation API so the markup changes only affect new modules dropped on the page. Old versions of the module will now render ARIA attributes on the link tags to provide proper accessibility support.</li>
	<li>Contact Form Module: Added proper role attributes for alerts. Changes in markup tags use the module deprecation API and only applies to new modules dropped on the page.</li>
	<li>Search Module: Changes when using button only layout to fix links not having a discernible name issue</li>
	<li>Content Slider: Various improvements including making sure focus ring shows for links, add support for reduced-motion preference, prevent auto play on focus in or out, add aria-label and role attributes and more</li>
	<li>Post Slider & Post Carousel: Many accessibility improvements including using list tags for slides, button tags for navigation and pagination, proper aria attributes and making sure focus is visible on all controls</li>
	<li>Gallery Module: various accessibility improvements including deprecating div tags in favor of list tags and adding ARIA roles for the deprecated div tags. This uses the module deprecation API so the markup changes only affect new modules dropped on the page</li>
	<li>Login Form Module: Ensured use of proper semantic tags and aria attributes. Changes in markup tags use the module deprecation API and only applies to new modules dropped on the page.</li>
	<li>Menu Module: various accessibility improvements including enhancements for keyboard navigation, using appropriate aria attributes and roles, adjusted some markup and sizing of sub-menu icon as well. This uses the module deprecation API so the markup changes only affect new modules dropped on the page</li>
	<li>Photo Module: change markup to use figcaption for caption per accessibility recommendations. This uses the module deprecation API so the markup changes only affect new modules dropped on the page</li>
	<li>Posts Module: various accessibility improvements including deprecating the div container tag in favor of a unordered list and added a new option in the post container field. This uses the module deprecation API so the markup changes only affect new modules dropped on the page</li>
	<li>Posts Modules: Ensure if there are redundant links, they are hidden from screen readers and are not used by keyboard navigation</li>
	<li>Subscribe Form Module: Ensured use of proper semantic tags and aria attributes. Changes in markup tags use the module deprecation API and only applies to new modules dropped on the page.</li>
	<li>Tabs Module: various accessibility fixes including using button tags for any buttons instead of links or divs. This uses the module deprecation API so the markup changes only affect new modules dropped on the page.</li>
	<li>Testimonials Module: Changed HTML tag from div to blockquote. This uses the module deprecation API so the markup changes only affect new modules dropped on the page. Also support the reduced-motion preference, added option for showing play/pause button</li>
	<li>Row Shapes: Add generic title/desc to row shapes for accessibility</li>
	<li>In modules that display excerpts, change default read more text to provide more context per accessibility recommendations. This affects the following modules: Post Carousel, Post Slider, Posts, Accordion, Tabs</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
	<li>Box Module: Fix incorrect values for grid-auto-flow and justify-item</li>
	<li>Box Module: Add some default CSS to ensure child modules size properly</li>
	<li>Menu Module: fix some issues with Mega Menus not updating after right click</li>
	<li>Fixed update notice still showing immediately after updating</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Disable widgets for new installations</li>
	<li>Icon Module: adjust CSS for text to display: inline</li>
	<li>Revision limit for BB designed posts/pages is now enabled by default</li>
	<li>Advanced Settings: The iFrame UI toggle is not visible unless debug mode is enabled</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li>The SET field modifier now works with compound fields</li>
	<li>Added new <code>fl_builder_filter_settings_form</code> filter that runs on the wp action to allow modifying the form based on the post type</li>
</ul>

<h4>2.10-rc.3- 10/09/2025</h4>
<p><strong>Fixes</strong></p>
<ul>
	<li>Components: Fixed nested component settings not always showing on the main component</li>
</ul>

<h4>2.10-rc.2- 10/07/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Star Rating Module: Add field connections for Total Stars, Star Rating and color fields and ensure fields are responsive</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
	<li>Fixed module titles being cut-off in the settings window</li>
	<li>Pricing Table Module: Fixed the Button module position when set to full width</li>
	<li>Components: Fixed module not showing title in the Outline Panel</li>
	<li>Components: Fixed JS error when switching Display field in a Box Module</li>
	<li>Components: Sync source component selection to component instance</li>
	<li>Components: Fix nested components showing full settings when used in a box component</li>
</ul>

<h4>2.10-rc.1- 10/01/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Update the welcome page for the 2.10 release</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
	<li>Fixed update notice still showing immediately aftering updating</li>
	<li>Components: Fixed fatal error when duplicating a node inside of a component</li>
	<li>Box Module: additional fixes for the grid guide overlay icon disappearing in some circumstances</li>
	<li>Box Module: Add some default CSS to ensure child modules size properly</li>
	<li>Accordion Module: Fixed tabbing to a link in accordion content closing the accordion</li>
	<li>Content Slider Module: Fixed play button not working after pausing</li>
	<li>Heading Module: Fixed label being affected by module typography</li>
</ul>

<h4>2.10-beta.3- 09/19/2025</h4>
<p><strong>Fixes</strong></p>
<ul>
	<li>Components: Fixed box module container field values not inheriting from the main component.</li>
	<li>Components: Fixed field connections being unset when saving a component instance.</li>
	<li>Components: Fixed duplicating static rows attempting to convert modules into components.</li>
	<li>Box Module: Fixed Grid Guide Overlay icon disappearing after save</li>
	<li>Menu Module: Fix fly out menu close button not working</li>
</ul>

<h4>2.10-beta.2- 09/10/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Components: Enabled query settings for components</li>
	<li>Pre-Built Modules: Made the back button sticky</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
	<li>Pre-Built Modules: Fixed content templates not loading</li>
</ul>

<h4>2.10-beta.1- 08/28/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>WP Admin: Add convert to component action for global templates</li>
	<li>Tweak position of overlay tooltips so they do not go off the screen</li>
	<li>Components: Add ability to add labels to instances of a component in the Outline Panel</li>
	<li>Added prebuilt node templates to the templates tab</li>
	<li>Login Form Module: Add styling controls for form labels</li>
	<li>Subscribe Form Module: Add styling controls for form labels</li>
	<li>Contact Form Module: Add styling controls for form labels</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
	<li>Components: Fixed fatal error after duplicating a component instance</li>
	<li>Components: Fixed compound fields on child nodes not being picked correctly in form settings</li>
	<li>Components: Fixed enabled fields not always showing</li>
	<li>Components: Fixed name sometimes showing as a number</li>
	<li>Components: Fixed name showing as module name showing instead of the component name after duplicating</li>
	<li>Replace references to the term global templates to components where applicable</li>
	<li>Ensure legacy PHP settings are rendered before settings forms initialize</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Synchronize the button module deprecation with other modules that render it</li>
</ul>

<h4>2.10-alpha.3- 08/08/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Subscribe Module: Added support for MailChimp tags</li>
	<li>Button & Button Group Modules: Added option for button as a click action which will render an actual button tag powered by custom click logic</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
	<li>Components: fixed photo fields not working properly after saving</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Advanced Settings: The iFrame UI toggle is not visible unless debug mode is enabled</li>
	<li>Button Group Module: Ensure it uses the proper version of the Button module when rendering. Changes in markup tags use the module deprecation API and only applies to new modules dropped on the page.</li>
	<li>Contact Form Module: Added proper role attributes for alerts and ensured that the proper version of the Button module is rendered when used. Changes in markup tags use the module deprecation API and only applies to new modules dropped on the page.</li>
	<li>Login Form Module: Ensured use of proper semantic tags and aria attributes and that the proper version of the Button module is rendered when used.  Changes in markup tags use the module deprecation API and only applies to new modules dropped on the page.</li>
	<li>Subscribe Form Module: Ensured use of proper semantic tags and aria attributes and that the proper version of the Button module is rendered when used.  Changes in markup tags use the module deprecation API and only applies to new modules dropped on the page.</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li>Added new <code>fl_builder_filter_settings_form</code> filter that runs on the wp action to allow modifying the form based on the post type</li>
</ul>

<h4>2.10-alpha.2- 08/04/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Components: Organized sections into Content and Container tabs</li>
	<li>Components: Use component title in the outline panel instead of node label</li>
	<li>Components: Hide nodes in the builder with visibility set to none.</li>
	<li>Components: Open all sections by default</li>
	<li>Box Module: Prevent nesting links in box module to prevent markup errors</li>
	<li>Box Module: Grid Guide overlay is now responsive and is now semi-transparent</li>
	<li>Testimonials Module: Implement validation check to make sure transition is less than the delay</li>
	<li>Photo Module: add fallback ARIA attributes to deprecated module version</li>
	<li>Update jquery validate script and move external libraries into their own folder (#4286)</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
	<li>Components: Fixed outline panel settings link for modules.</li>
	<li>Components: Various backend fixes and improvements.</li>
	<li>Overlays: Fixed parent menu settings link opening child settings instead of parent</li>
	<li>Box Module: Fixed child box module background color getting overridden by Bootstrap</li>
	<li>Posts Module: fix numbered pagination not being center aligned</li>
	<li>Fix Row/Column link color being overridden by Global link color during preview</li>
	<li>Ensure modules using Menu and Photo modules within them are using the module deprecations as needed</li>
	<li>Fix node breakpoints showing as all deselected by default (#4240)</li>
	<li>Fix fatal error when using <code>FLBuilder::register_layout_styles_scripts</code></li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Global Templates: Reverted UI color back to orange.</li>
	<li>Button Module: A button tag is now used when lightbox option is chosen. This uses the module deprecation API so the markup changes only affect new modules dropped on the page. Old versions of the module will now render ARIA attributes on the link tags to provide proper accessibility support.</li>
	<li>Posts Module:  The rendered version of the button module will now take into account module deprecation of the the button module to ensure the right version is rendered</li>
	<li>Slideshow Module: various accessibility improvements including replacing all link tags with button tags and some minor tweaks. The markup changes use the module deprecation API so the markup changes only affect new modules dropped on the page  </li>
	<li>Revision limit for BB designed posts/pages is now enabled by default</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li>SET field modifier now works with compound fields</li>
</ul>

<h4>2.10-alpha.1 - 06/24/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Box Module: Added a global setting for applying global row spacing to top-level boxes. This will be enabled by default on new sites and disabled for existing 2.9 sites updating to 2.10 to ensure backward compatibility.</li>
	<li>Box Module: Added an icon for toggling a grid guidelines overlay when building grids.</li>
	<li>Components: When saving new components, open them in a new window to edit.</li>
	<li>Button Module: Enable responsive behavior on additional fields: custom width, text color, background colors and border color (#4029)</li>
	<li>Outline Panel: add copy and paste options to the context menu</li>
	<li>Menu Module: Add width option for flyout menu</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
	<li>Components: Fixed the Visibility > Display setting not saving or working properly.</li>
	<li>Components: Fixed settings that are toggled by other settings not rendering when the main setting is used in components.</li>
	<li>Components: Fixed the margin field not showing on components when enabled.</li>
	<li>Components: Fixed default text rendering instead of an empty string in components when text inputs are empty.</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Accordion Module: Ensure proper ARIA attributes are used, replace the .fl-menu-mobile-toggle with the generic class .fl-content-ui-button so those buttons are excluded from Global Styles button styling, implement closing accordion tabs with Escape key, ensure event handlers only target interactive buttons, close all items when focus is outside of the accordion</li>
	<li>Posts Modules: Ensure if there are redundant links, they are hidden from screen readers and are not used by keyboard navigation (#3687)</li>
	<li>Tabs Module: Ensure proper ARIA attributes are in place and replace link and div tags with button tags. This uses the module deprecation API so the markup changes only affect new modules dropped on the page (#4120)</li>
	<li>Testimonials Module: Changed HTML tag from div to blockquote. This uses the module deprecation API so the markup changes only affect new modules dropped on the page. Also support the reduced-motion preference, added option for showing play/pause button.</li>
</ul>

<h4>2.10-dev.3 - 05/28/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Settings: Improved the time it takes for settings to initially render when first opened.</li>
	<li>Components: Enabled field connections on component settings.</li>
	<li>Components: Use the Label field when set for section headings in component forms.</li>
	<li>Components: Reworked the "Type" select in the "Save As" form to include Template, Global, and Component.</li>
	<li>Components: Added the ability to create components in wp-admin under Beaver Builder > Add New.</li>
	<li>Components: Reworked wp-admin list table to show "Global" or "Component" label.</li>
	<li>Components: Reworked user access settings to allow editing per-page component settings but not the component itself.</li>
	<li>Photo Module: add option to choose image size in lightbox</li>
	<li>Assistant Integration: Added new cloud icon to the toolbar for connecting to the cloud and saving templates.</li>
	<li>Assistant Integration: Added new user access setting for enabling or disabling cloud access based on user role.</li>
	<li>Debug Mode: Add version control tab when it is enabled</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Content Slider: various accessibility fixes including deprecating old HTML markup in favor of list tags and button tags. This uses the module deprecation API so the markup changes only affect new modules dropped on the page.</li>
	<li>Gallery Module: various accessibility improvements including deprecating div tags in favor of list tags and adding ARIA roles for the deprecated div tags. This uses the module deprecation API so the markup changes only affect new modules dropped on the page. </li>
	<li>Menu Module: various accessibility improvements including enhancements for keyboard navigation, using appropriate aria attributes and roles, adjusted some markup and sizing of sub-menu icon as well. This uses the module deprecation API so the markup changes only affect new modules dropped on the page.</li>
	<li>Icon Module: adjust CSS tor text to display: inline</li>
	<li>Photo Module: change markup to use figcaption for caption per accessibility recommendations. This uses the module deprecation API so the markup changes only affect new modules dropped on the page.</li>
	<li>Posts Module: various accessibility improvements including deprecating the div container tag in favor of a unordered list and added a new option in the post container field. This uses the module deprecation API so the markup changes only affect new modules dropped on the page.</li>
	<li>Tabs Module: various accessibility fixes including using button tags for any buttons instead of links or divs. This uses the module deprecation API so the markup changes only affect new modules dropped on the page.</li>
	<li>Add generic title/desc to row shapes for accessibility</li>
	<li>In modules that display excerpts, change default read more text to provide more context per accessibilityrecommendations.  This affects the following modules: Post Carousel, Post Slider, Posts, Accordion, Tabs</li>
</ul>

<p><strong>Fixes</strong></p>
<ul>
	<li>Components: Fixed nested components showing the full settings instead of selected component settings.</li>
	<li>Components: Fixed the Multiple Backgrounds field not working with components.</li>
	<li>Components: Fixed components showing the "Global" label in various places.</li>
	<li>Components: Fixed component editing icon rendering for globals.</li>
	<li>Components: Fixed edit and unlink actions showing for globals and components in the outline panel when editing the main instance.</li>
	<li>Box Module: Fix incorrect values for grid-auto-flow and justify-item.</li>
	<li>Menu Module: fix some issues with Mega Menus not updating after right click</li>
	<li>Performance: do not render assets for nodes if they are not rendering on page</li>
</ul>

<h4>2.10-dev.2 - 05/06/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Post Slider & Post Carousel: Many accessibility improvements including using list tags for slides, button tags for navigation and pagination, proper aria attributes and making sure focus is visible on all controls (#3816)</li>
	<li>Content Slider: Several accessibility fixes including improvements to keyboard navigation, adding focus to slider dot navigation (#3684)</li>
	<li>Components: Renamed "Dynamic Global Templates" to "Components."</li>
	<li>Components: Added a new "Type" select in the "Save As" form for choosing to save a component or template.</li>
	<li>Components: Added a "Save As" action to the settings dropdown on overlays.</li>
	<li>Components: Added "Edit Settings", "Edit Component", and "Unlink Component" actions to the settings dropdown on component overlays and context menu in the outline panel.</li>
	<li>Components: Change the component overlay color to purple to differentiate them from global templates and static content.</li>
	<li>Components: Added a "Type" filter to the "Saved" panel for filtering components, global templates, and static templates.</li>
	<li>Components: Fixed issues with nesting components multiple levels deep.</li>
	<li>Components: 30+ commits with various fixes and improvements. Please let us know if you run into any issues!</li>
	<li>Global Templates: Added "Edit Template" and "Unlink Template" actions to the settings dropdown on global template overlays and context menu in the outline panel.</li>
	<li>Global Templates: Duplicating a global template now retains the connection to the global template. To unlink a template, use the new "Unlink Template" action.</li>
	<li>Global Templates: Change the global template overlay color to green for better contrast with white text and icons.</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Disable widgets for new installations (#3988)</li>
</ul>

<h4>2.10-dev.1 - 04/07/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Dynamic Global Templates: Added the ability to select fields that can be edited per-page for global templates, allowing you to override the global defaults on a per-page basis.</li>
	<li>Added 60+ pre-built Box module templates.</li>
	<li>Added a new Star Rating module.</li>
	<li>Added a more layouts link to the Box module section.</li>
	<li>Reworked the pre-built rows and modules panels to show categories instead of a dropdown.</li>
	<li>Added the ability to collapse the sections in the Saved panel.</li>
	<li>Subscribe Module: Add support for ConvertKit custom fields</li>
	<li>List Module: Add option to populate list in bulk</li>
</ul>

<p><strong>Accessibility Improvements</strong></p>
<ul>
	<li>Search Module: Changes when using button only layout to fix links not having a discernible name issue</li>
	<li>Accordion Module: changes to HTML tags used for elements for new modules dropped on the page, increase focus ring size and change key event listener from keypress to keydown</li>
	<li>Content Slider: Various improvements including making sure focus ring shows for links, add support for reduced-motion preference, prevent auto play on focus in or out, add aria-label and role attributes and more</li>
</ul>

<h4>2.9 "Coyote" - 03/19/2025</h4>
<p>Beaver Builder 2.9 is here! This is a major update and will be released as the official download on the My Account page first. Remote updates to all existing sites will begin soon.</p>

<p>Please check out the <a href="https://www.wpbeaverbuilder.com/beaver-builder-2-9" target="_blank" rel="noopener">Release Post</a> for highlights of what's new or the <a href="https://docs.wpbeaverbuilder.com/beaver-builder/about-this-release" target="_blank" rel="noopener">"About this Release"</a> doc for all of the details.</p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Box Module: Added new multi-layer background field</li>
	<li>New re-written color/gradient pickers added to color fields</li>
	<li>Outline Panel: Added a search/filter option and the ability to add/edit labels inline</li>
	<li>Container modules such as Box are no longer wrapped in a row when dropping into the layout</li>
	<li>All Basic modules no longer have module wrapper divs</li>
	<li>Add new advanced setting to force module wrappers (#3744)</li>
	<li>Added the ability to use a selection of modules as blocks in the block editor</li>
	<li>ACF: Add ACF URL fields to Video Module embed field connections (#1518)</li>
	<li>Box Module: Add background color field (#3973)</li>
	<li>Box Module: Add auto option for aspect ratio (#3174)</li>
	<li>Box Module: Add additional tooltips for some fields, set grid rows to 1 track (#3919)</li>
	<li>Countdown Module: Add field connection support to time field (#3743)</li>
	<li>Subscribe Module: Constant Contact integration has been upgraded to use v3 of their API.  V2 of their API has been deprecated (#1899)</li>
	<li>List Module: Allow rendering of basic HTML tags in the Heading field (#3862)</li>
	<li>Nofications Center: revamp it and change it to What's New (#3049)</li>
	<li>Posts Module: Add option for enabling equal height of Posts Featured Images for Masonry and Column layouts (#534)</li>
	<li>Posts Module: Add aspect ratio as an option for images when Equal Height Images are used</li>
	<li>Add sanitization to node attributes (#1654)</li>
	<li>Outline Panel: Add title and change position of panel when content panel is pinned to the right (#3793)</li>
	<li>Row Settings: make width responsive (#733)</li>
	<li>Saved Nodes: Enable some information in the Publish metabox that was previously hidden (#3846)</li
	<li>(a11y)Content Slider: Add aria-current for current item in dot navigation (#3583) </li>
	<li>Add support for auto sizes for lazy loaded images in WP 6.7 (#3735)</li>
	<li>Add Global Colors to Block Editor colors (#3188)</li>
	<li>Icon & Icon Group Module: Adjust default spacing of new modules dropped on the page</li>
	<li>Update code field script (Ace)</li>
	<li>Show a modal when you've been logged out of WordPress(#2585)</li>
	<li>Global Colors: when duplicating a color, add copy to label (#3567)</li>
	<li>Subscribe Module: Add support for tags in the Active Campaign integration (#3198)</li>
	<li>Performance: make sure expensive query doesn't run when Themer is not active (#3616)</li>
	<li>Performance: debug mode query optimizations (#3334)</li>
	<li>Add a modal when issues are detected that would interfere with the iFrame UI (#2736)</li>
	<li>Debug Mode: Add menu counts (#3623)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>(a11y) Video Module: fix tabbing to video when lightbox is in use (#2987)</li>
	<li>Accordion Module: Fix label text color being overridden by Global Styles link color (#3642)</li>
	<li>ACF Blocks: Fix issues with display of prepending/appending text in our UI (#2775)</li>
	<li>Box Module: Fix issue with units not working at different breakpoints (#3504)</li>
	<li>Box Module: fix setting visibility to never display breaking preview (#3698)</li>
	<li>Box Module: fix setting min width on empty children not working (#3103)</li>
	<li>Fix fatal error when using global colors in some compound fields with PHP 8+ (#3952)</li>
	<li>Box Module: Fix flex layout getting broken when column uses center vertical alignment (#3801)</li>
	<li>Menu Module: Fix tabbing/focus issue with the Flyout Menu (#3672)</li>
	<li>Customizer: prevent internal post type and taxonomies from showing in the menu editor (#3915)</li>
	<li>Gallery Module: Fix smooth scroll when used in a row with animation (#3548)</li>
	<li>Heading Module: Increase specificity for text-transform styling (#1657)</li>
	<li>HTML Module: adjust spacing of field connection icon</li>
	<li>Outline Panel: adjust color of title when using dark mode (#3948)</li>
	<li>Outline Panel: Fix not being able to drag a row below the last row if that last row is expanded and not collapsed (#3860)</li>
	<li>Outline Panel: Don't show colon if option deselected in Box Module (#3819)</li>
	<li>Photo Module: Fix notice when using cropping (#3824)</li>
	<li>Posts Module: Fix layout not previewing correctly when used as a block (#3564)</li>
	<li>Posts Module: Fix fatal error if Themer is inactive</li>
	<li>Photo Module: Fix enable link to Photo page not working (#3769)</li>
	<li>TEC: Fix Posts Module ignoring the TEC setting for "number of events to show per page" (#1858)</li>
	<li>Fix conflict with Search & Filter plugin query interfering with query on WooCommerce Shop/Product Archive (#3923)</li>
	<li>Fixed incorrect position when dropping container module node templates into a row position</li>
	<li>Fix conflict with Estatik Pro  when dropping modules on the page (#3945)</li>
	<li>Hide "Add New" button for Saved Columns in the WP Admin (#3942)</li>
	<li>Smooth Scrolling: fix smooth scrolling when there's a gallery module above the target section (#1403)</li>
	<li>Fix PHP warnings if a theme does not register color names (3956)</li>
	<li>Fix PHP warning for null post_type on class-fl-theme-builder-rules-location.php (#3917)</li>
	<li>Fix rendering of node attributes when using non-string scalar values (#3920)</li>
	<li>Fix PHP warning for feeds (#3917)</li>
	<li>Fix Global Box modules being empty when inside another node (#3871)</li>
	<li>Fix templates being exposed in WP Sitemaps (#3864)</li>
	<li>Fix bxSlider compatibility with FSE themes (#3788)</li>
	<li>Fix link field field connection covering checkboxes (#3671)</li>
	<li>Fix row styles not live previewing (#3599)</li>
	<li>Fix pinned builder class remaining after publishing layout (#1455)</li>
	<li>Fix global columns settings not opening in the parent menu (#3886)</li>
	<li>Various fixes for dragging and dropping container modules and dropping modules inside container modules</li>
	<li>Fix settings panel when pinned not being stacked at max width (#3590)</li>
	<li>Box Module: fix split header preset to avoid nested photo modules (#3604)</li>
	<li>Subscribe Module: add some default headers (#1431)</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Adjustments to the plugin action links in the WP Admin (#3950)</li>
	<li>Various API changes for container modules to support Beaver Themer's new Loop module.</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li>Update PHPCS for WPCS 3 (#3395)</li>
	<li>Add filter <code>fl_builder_loop_terms_args</code> for <code>terms_query</code> and add <code>$settings</code> to args (#3901)</li>
	<li>Add filter to disable minification <code>fl_builder_minify</code> (#3867)</li>
	<li>Global Styles: Add <code>fl_builder_before_generate_global_css</code> hook to add CSS selectors</li>
 	<li>White Labeling: Add <code>fl_builder_theme_branding</code> filter for theme branding</li>
 	<li>Photo Module: Add <code>fl_builder_photo_classes</code> filter for image classes</li>
	<li>Add support for preview of an image to repeater fields (#3208)</li>
</ul>

<h4>2.9-rc.1 - 03/07/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Update the welcome page (#3876)</li>
	<li>Box Module: Add background color field (#3973)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Box Module: Fix parent flyout menu not displaying when editing global box modules (#3966)</li>
	<li>Box Module: Fix issues when upgrading from 2.8 if using a field connection on background color (#3973)</li>
	<li>HTML Module: adjust spacing of field connection icon</li>
</ul>

<h4>2.9-beta.5 - 02/28/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>List Module: Allow rendering of basic HTML tags in the Heading field (#3862)</li>
	<li>Box Module: Add auto option for aspect ratio (#3174)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Box Module: Fix issue with units not working at different breakpoints (#3504)</li>
	<li>Box Module: fix setting visibility to never display breaking preview (#3698)</li>
	<li>Box Module: fix setting min width on empty children not working (#3103)</li>
	<li>Fix transparency being reset in shadow color picker fields (#3914)</li>
	<li>Fix fatal error when using global colors in some compound fields with PHP 8+ (#3952)</li>
	<li>Outline Panel: adjust color of title when using dark mode (#3948)</li>
	<li>Fix conflict with Search & Filter plugin query interfering with query on WooCommerce Shop/Product Archive (#3923)</li>
	<li>Fixed issue when dropping a widget onto the page</li>
	<li>Fixed incorrect position when dropping container module node templates into a row position</li>
	<li>Fix conflict with Estatik Pro  when dropping modules on the page (#3945)</li>
	<li>Hide "Add New" button for Saved Columns in the WP Admin (#3942)</li>
	<li>ACF Blocks: Fix issues with display of prepending/appending text in our UI (#2775)</li>
	<li>Smooth Scrolling: fix smooth scrolling when there's a gallery module above the target section (#1403)</li>
	<li>Fix PHP warnings if a theme does not register color names (3956)</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Adjustments to the plugin action links in the WP Admin (#3950)</li>
	<li>Box Module: Remove default flex grow being set to 1</li>
	<li>Add a modal when issues are detected that would interfere with the iFrame UI (#2736)</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li>Update PHPCS for WPCS 3 (#3395)</li>
</ul>

<h4>2.9-beta.4 - 02/07/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Box Module: Add additional tooltips for some fields, set grid rows to 1 track and change default flex grow to 1 (#3919)</li>
	<li>Subscribe Module: Constant Contact integration has been upgraded to use v3 of their API.  V2 of their API has been deprecated (#1899)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Outline Panel: Fix not being able to drag a row below the last row if that last row is expanded and not collapsed (#3860)</li>
	<li>Loop Module: fix rendering with multiple query types on the same layout (#3908)</li>
	<li>(a11y) Video Module: fix tabbing to video when lightbox is in use (#2987)</li>
	<li>Fix order by meta value not working in modules with a loop field (#3904)</li>
	<li>Fix PHP warning for null post_type on class-fl-theme-builder-rules-location.php (#3917)</li>
	<li>Fix rendering of node attributes when using non-string scalar values (#3920)</li>
	<li>Fix PHP warning for feeds (#3917)</li>
	<li>Customizer: prevent internal post type and taxonomies from showing in the menu editor (#3915)</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li>Add filter <code>fl_builder_loop_terms_args</code> for <code>terms_query</code> and add <code>$settings</code> to args (#3901)</li>
</ul>

<h4>2.9-beta.3 - 01/24/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Add sanitization to node attributes (#1654)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Color Picker: Various bug fixes</li>
	<li>Background Field: ensure field has a non-null value</li>
</ul>

<h4>2.9-beta.2 - 01/17/2025</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Color Picker: Add support in Global Colors and in repeater fields</li>
	<li>Outline Panel: Add title and change position of panel when content panel is pinned to the right (#3793)</li>
	<li>Add filter to disable minification <code>fl_builder_minify</code> (#3867)</li>
	<li>Row Settings: make width responsive (#733)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Loop Module: Fix output with ACF relationship fields (#3858)</li>
	<li>Fix Global Box modules being empty when inside another node (#3871)</li>
	<li>Fix templates being exposed in WP Sitemaps (#3864)</li>
	<li>Box Module: Fix flex layout getting broken when column uses center vertical alignment (#3801)</li>
	<li>Fix bxSlider compatibility with FSE themes (#3788)</li>
	<li>Fix link field field connection covering checkboxes (#3671)</li>
	<li>Accordion Module: Fix label text color being overridden by Global Styles link color (#3642)</li>
	<li>Fix row styles not live previewing (#3599)</li>
	<li>Fix pinned builder class remaining after publishing layout (#1455)</li>
	<li>ACF: Add ACF URL fields to Video Module embed field connections (#1518)</li>
	<li>TEC: Fix Posts Module ignoring the TEC setting for "number of events to show per page" (#1858)</li>
	<li>Color Picker: Fix various bugs</li>
	<li>Fix global columns settings not opening in the parent menu (#3886)</li>
	<li>Various fixes for dragging and dropping container modules and dropping modules inside container modules</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Do not open What's New by default if there are new notifications (#3861)</li>
</ul>

<h4>2.9-beta.1 - 12/10/2024</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Color Picker: it is now available for compound fields (Typography, Box Shadow, Border, Shadow etc and Gradients</li>
	<li>Debug Mode: Add menu counts (#3623)</li>
	<li>Conditional Logic: New empty options appear higher in the list in dropdown (#942)</li>
	<li>Outline Panel: Don't show colon if options deselected in Box Module (#3819)</li>
	<li>Countdown Module: Add field connection support to time field (#3743)</li>
	<li>Saved Nodes: Enable some information in the Publish metabox that was previously hidden (#3846)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Tweaks to the change to make sure an expensive Themer doesn't run when Themer is not active (#3826)</li>
	<li>Photo Module: Fix notice when using cropping (#3824)</li>
	<li>Post Module: Fix layout not previewing correctly when used as a block (#3564)</li>
	<li>Posts Module: Add aspect ratio as an option for images when Equal Height Images are used</li>
	<li>Photo Module: Fix enable link to Photo page not working (#3769)</li>
	<li>Gallery Module: Fix smooth scroll when used in a row with animation (#3548)</li>
	<li>Heading Module: Increase specificity for text-transform styling (#1657)</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Remove Menu accessibility changes for now</li>
</ul>


<h4>2.9-alpha.2 - 11/06/2024</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Add new advanced setting to force module wrappers (#3744)</li>
	<li>Content Slider: Add aria-current for current item in dot navigation (#3583) </li>
	<li>Add support for auto sizes for lazy loaded images in WP 6.7 (#3735)</li>
	<li>Nofications Center: revamp it and change it to What's New (#3049)</li>
	<li>Posts Module: Add option for enabling equal height of Posts Featured Images for Masonry and Column layouts (#534)</li>
	<li>Add Global Colors to Block Editor colors (#3188)</li>
	<li>Icon & Icon Group Module: Adjust default spacing of new modules dropped on the page</li>
	<li>Updated color picker configuration</li>
	<li>Update code field script (Ace)</li>
	<li>Show a modal when you've been logged out of WordPress(#2585)</li>
	<li>Menu Module: Refactor keyboard navigation and separate sub-menu icon toggle (#3754)</li>
	<li>Menu Module: use aria-hasexpanded for submenus/dropdowns (#2196)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Posts Module: Fix fatal error if Themer is inactive</li>
	<li>Menu Module: Fix tabbing/focus issue with the Flyout Menu (#3672)</li>
	<li>Outline Panel: Fix inline labels when filtering in the Outline Panel (#3652)</li>
	<li>Fix settings panel when pinned not being stacked at max width (#3590)</li>
	<li>Box Module: fix split header preset to avoid nested photo modules (#3604)</li>
	<li>Subscribe Module: add some default headers (#1431)</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li>Global Styles: Add <code>fl_builder_before_generate_global_css</code> hook to add CSS selectors</li>
 	<li>White Labeling: Add <code>fl_builder_theme_branding</code> filter for theme branding</li>
 	<li>Photo Module: Add <code>fl_builder_photo_classes</code> filter for image classes</li>
</ul>

<h4>2.9-alpha.1 - 10/01/2024</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Loop Module: Changes to support Taxonomy queries (#929)</li>
	<li>Color Picker: Global colors now are available to select</li>
	<li>Added Multi-Background support to Rows and Columns</li>
	<li>Performance: make sure expensive query doesn't run when Themer is not active (#3616)</li>
	<li>Performance: debug mode query optimizations (#3334)</li>
	<li>BB Lite: Show Global Styles item greyed out (#3594)</li>
	<li>Global Colors: when duplicating a color, add copy to label (#3567)</li>
	<li>Subscribe Module: Add support for tags in the Active Campaign integration (#3198)</li>
	<li>Google Fonts: Add option for enabling real-time checking for updates to the Google Fonts (#3050)</li>
	<li>Enable Slim data mode for new core templates (#3639)</li>
	<li>A11y: Separate the menu link and sub-menu icon in the Menu Module (#1328)</li>
	<li>A11y: various improvements for magnific pop-up for accessibility (#3589)</li>
	<li>A11y: Add option in Accordion for user to select heading level for label (#3582)</li>
	<li>A11y: Add focus missing on selected tab in Tabs Module (#3540)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Color picker: various bug fixes</li>
	<li>Outline Panel: Fix editing labels inline not working on all nodes (#3607)</li>
	<li>Box Module: Fix overlays not working properly after moving item in Outline Panel (#3473)</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li>Add support for preview of an image to repeater fields (#3208)</li>
</ul>

<h4>2.9-dev.2 - 08/02/2024</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Box Module: Added new multi-layer background field</li>
	<li>New re-written color/gradient pickers to nearly all color fields (exceptions: Global Colors, border & box shadow fields)</li>
	<li>Outline Panel: Added a search/filter option and the ability to add/edit labels inline</li>
</ul>

<h4>2.9-dev.1 - 06/25/2024</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Container modules such as Box are no longer wrapped in a row when dropping into the layout.</li>
	<li>All Basic modules no longer have module wrapper divs.</li>
	<li>Added the ability to use modules as blocks in the block editor.</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Various API changes for container modules to support Beaver Themer's new Loop module.</li>
</ul>

<h4>2.8.0.7 - 04/01/2024</h4>
<p><strong>Hotfix</strong></p>
<ul>
    <li>Fix XSS issue in Button & Button Group Modules when using lightbox (#3306)</li>
</ul>

<h4>2.8.0.6 - 03/20/2024</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fix a JS error when saving Global Settings if Row Shapes are disabled (#3284)</li>
	<li>Fix various drag and drop issues with container modules (#3290)</li>
	<li>Fix dropping saved columns into the main layout causing a fatal error (#3290)</li>
	<li>Various builder and overlay improvements (#3278)</li>
	<li>Fix global modules rendering twice when dropping in a new row (#3290)</li>
	<li>Fix nested box modules in the main layout having zero margins when box modules are present in a Themer layout (#3264)</li>
</ul>

<h4>2.8.0.5 - 03/19/2024</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fix a fatal error when using BB Lite (#3286)</li>
</ul>

<h4>2.8.0.4 - 03/13/2024</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Security: Fix Authenticated(Contributor+) Stored Cross-Site Scripting via module container elements (#3240)</li>
	<li>Add move action to the parent menu (#3256)</li>
	<li>Fix not being able to open columns settings in parent menu when editing a Global Row (#3229)</li>
	<li>Fix gradient for row background failing when using a Global Color (#3252)</li>
	<li>Fix not being able to use flyout menu with small columns (#3258)</li>
	<li>Fix JS error in outline panel with nodes like column groups that have no settings (#3262)</li>
	<li>Fix the rare issue of null for a module instance (#3253)</li>
</ul>

<h4>2.8.0.3 - 03/06/2024</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fix spacing not being correct on mobile (#3246)</li>
	<li>UI: Fix flyout menu for nodes overlapping for the mobile Breakpoint (#3248)</li>
	<li>UI: Make dropzone for Box module larger (#3190)</li>
	<li>PopUp Maker Integration: Fix content being missing when logged out (#3217)</li>
	<li>Icon Module: Fix shortcode not working when displaying text with the icon (#3231)</li>
</ul>

<h4>2.8.0.2 - 02/29/2024</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fix moving nodes in FireFox requiring a click after drag and drop (#3191)</li>
	<li>Fix Global Styles menu option showing when using an incompatible version of Themer (#3202)</li>
	<li>Fix upgrading/downgrading from License tab in WP Admin settings stalling(#3181)</li>
	<li>Fix Box Module settings not opening if used in a global saved row or column (#3173)</li>
	<li>Fix PHP warning with PHP 8.3 if Themer is active(#3160)</li>
	<li>Fix default padding for rows and columns not working at the small breakpoint(#3172)</li>
	<li>Performance: Fix deleting a parent node causing a request for each child (#3204)</li>
	<li>Fix preview issue with Box module presets (#3167)</li>
	<li>Tweak previous link field fixes to auto-sanitize link field input to protect against XSS(#3175)</li>
	<li>Add fixes for CPTs using core taxonomy not showing in Themer location options (#3215)</li>
	<li>Reworked parent select menu to show actions for each node (#3212)</li>
	<li>Fix issues with UI when WP Widgets are disabled or when moving a module that has been disabled (#3219)</li>
</ul>

<h4>2.8.0.1 - 02/09/2024</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fix shortcodes not rendering properly in link fields</li>
</ul>

<h4>2.8 "Alpine" - 02/08/2024</h4>
<p>Beaver Builder 2.8 is here! This is a major update and will be released as the official download on the My Account page first. Remote updates to all existing sites will begin soon.</p>

<p>Please check out the <a href="https://www.wpbeaverbuilder.com/beaver-builder-2-8" target="_blank" rel="noopener">Release Post</a> for highlights of what's new or the <a href="https://docs.wpbeaverbuilder.com/beaver-builder/about-this-release" target="_blank" rel="noopener">"About this Release"</a> doc for all of the details.</p>

<p><strong>Security</strong></p>
<ul>
	<li>Security: Add additional sanitization and escaping when rendering URLs to prevent XSS</li>
	<li>Security: Fix Reflected (DOM-Based) XSS issue</li>
	<li>Security: Fix issues with shortcodes potentially rendering protected content to those without access (#3116)</li>
</ul>

<p><strong>Enhancements</strong></p>
<ul>
	<li>NEW: Box Module lets you easily create flexbox and CSS grid layouts. Also new are some Box module presets to get you going faster!</li>
	<li>NEW: Global Styles and Global Colors are here. Access via new Global Styles option in the Tools Menu</li>
	<li>NEW: Install other licensed products right from the License tab in the BB settings (#2816)</li>
	<li>Photo Module: Add object fit and position option to the style tab</li>
	<li>Add integration for <a href="https://wordpress.org/plugins/popup-maker/">Popup Maker Plugin</a> so you can use BB to create the pop-ups and select popups in link fields</li>
	<li>Added the new move menu to overlays for moving rows, columns, and modules with a click</li>
	<li>Added the new select parent menu to overlays for selecting the parent node of columns and modules.</li>
	<li>Added column groups to the outline panel with the ability to move and delete them</li>
	<li>Improved the overall drag and drop experience in the outline panel</li>
	<li>Add new <a href="https://northcommerce.com/">NorthCommerce Module</></a> that lets you display the results of NorthCommerce shortcodes</li>
	<li>Exclude History Manager data when exporting (#2795)</li>
	<li>Performance improvement for the Advanced tab options in the BB WP Admin Settings (#3057)</li>
	<li>Add missing translations for strings in JS (#3121)</li>
	<li>Add sr only text for Menu Module search icon(#3119)</li>
	<li>Menu Module: Make link padding responsive and add new option for responsive toggle padding</li>
	<li>Post Carousel & Post Slider: Add excerpt length option</li>
	<li>Add notice to Icons section in WP Admin settings regarding FontAwesome</li>
	<li>Tools Menu: Add option to open Media Library</li>
	<li>Performance: Remove needless AJAX requests</li>
	<li>Export/Import: Add options for what to export</li>
	<li>CSS variables can now be used in the color picker</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Standardized overlays for rows, columns, and modules so they all look and work the same</li>
	<li>Move the row actions overlay menu to the row settings menu</li>
	<li>Removed the column menu on modules in favor of the select parent menu</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix issue with new modules not being enabled when upgrading (#3144)</li>
	<li>Fix JS error when clicking in color picker after using Publish keyboard shortcut (#2489)</li>
	<li>List Module: fix preview text not working (#2813)</li>
	<li>Fix Tools menu title being sticky when scrolled (#3070)</li>
	<li>Fix fatal error with "Theme My Login" plugin on their dynamically generated pages (#3078)</li>
	<li>Fix issue with row background gradients when small data mode is enabled (#3074)</a>
	<li>Escape HTML in UI for saved nodes/templates (#3065)</li>
	<li>Fix PHP 8.2 deprecation notice in jsmin class (#3062)</li>
	<li>Increase contrast on Icon Picker search placeholder in Dark Mode (#3059)</li>
	<li>Video Module: Fix a fatal error in PHP 8+ when video width is 0 (#3072)</li>
	<li>Fix issue with cache helper hiding hosts if you disable it (#3030)</li>
	<li>Post Carousel Module: Fix PHP Warning when there's no featured image (#3046)</li>
	<li>Text Editor Module: Adjust styling for active tab</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li><code>preview_text</code> parameter now accepts an array of values (#2813)</li>
	<li>Add filters to modify settings before rendering CSS: <code>fl_builder_before_render_css_row</code>, <code>fl_builder_before_render_css_col</code>, <code>fl_builder_before_render_css_module</code> (#3109)</li>
	<li>Fix callbacks not firing in the iFrame UI</li>
	<li>Add category as a class to all saved node's HTML in the UI (#3087)</li>
	<li>Add filter <code>fl_builder_global_colors_json</code> to control whether the WP colors are shown in the color picker as options</li>
</ul>

<h4>2.8-beta.8 - 02/06/2024</h4>
<p><strong>Security</strong></p>
<ul>
	<li>Security: Rework fix for shortcodes potentially rendering protected content to those without access so that it does not hide content for logged out users (#3153)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix nodes with visibility rules not respecting those rules in Responsive Editing(#3147)</li>
</ul>

<h4>2.8-beta.7 - 02/02/2024</h4>
<p><strong>Security</strong></p>
<ul>
	<li>Security: Add additional sanitization and escaping when rendering URLs to prevent XSS</li>
	<li>Security: Fix Reflected (DOM-Based) XSS issue</li>
	<li>Security: Fix issues with shortcodes potentially rendering protected content to those without access (#3116)</li>
</ul>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Add missing translations for strings in JS (#3121)</li>
	<li>Add sr only text for Menu Module search icon(#3119)</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix Google Font preview on hover not working in Global Styles (#3137)</li>
	<li>Fix missing color field connections in Icon Group Module, Search Module and Menu Module (#3129, #3130, #3122)</li>
	<li>Fix custom width in Photo module not rendering when using Small Data Mode(#3124)</li>
	<li>Fix PHP deprecation error when using a Global Color (#3123)</li>
	<li>Fix button advanced gradients not working properly with the BB Theme (#3114)</li>
	<li>Box Module: fix preview issues with Min Height setting (#3104)</li>
	<li>Fix issue with new modules not being enabled when upgrading (#3144)</li>
	<li>Pricing Table Module: Fix JS Error if button icon is changed</li>
	<li>Fix unclosed element on BB Settings page in the WP Admin</li>
	<li>Fix Box Module Layers mode not working properly</li>
	<li>Fix equal column height alignment not working with some layouts with photo modules(#3076)</li>
	<li>Box Module: Fix not being able to de-select alignment once selected(#2860)</li>
	<li>Box Module: fix margins on nested box modules not working properly (#3149)</li>
</ul>

<h4>2.8-beta.6 - 01/26/2024</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>NEW: Install other licensed products right from the License tab in the BB settings (#2816)</li>
	<li>Add new options when saving a node for reuse: select a category, featured image and add internal notes (#3098)</li>
	<li>Exclude History Manager data when exporting (#2795)</li>
	<li>Performance improvement for the Advanced tab options in the BB WP Admin Settings (#3057)</li>
	<li>Box Module labels in Outline Panel now consistent with the Settings labels (#3101)</li>
	<li>Add placeholder images to Photo Grid preset</li>
	<li>Add menu modules and placeholder image to split header preset</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix JS error when clicking in color picker after using Publish keyboard shortcut (#2489)</li>
	<li>List Module: fix preview text not working (#2813)</li>
	<li>Fix Tools menu title being sticky when scrolled (#3070)</li>
	<li>Fix fatal error with "Theme My Login" plugin on their dynamically generated pages (#3078)</li>
	<li>Fix Button Module Advanced Gradient not working with the BB Theme (#3114)</li>
	<li>Fix incorrect preview when switching between flex and grid display</li>
</ul>

<p><strong>Developer</strong></p>
<ul>
	<li><code>prevew_text</code> parameter now accepts an array of values (#2813)</li>
	<li>Add filters to modify settings before rendering CSS: <code>fl_builder_before_render_css_row</code>, <code>fl_builder_before_render_css_col</code>, <code>fl_builder_before_render_css_module</code> (#3109)</li>
	<li>Fix callbacks not firing in the iFrame UI</li>
	<li>Add category as a class to all saved node's HTML in the UI (#3087)</li>
</ul>

<h4>2.8-beta.5 - 01/11/2024</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix issue with row background gradients when small data mode is enabled (#3074)</a>
	<li>Escape HTML in UI for saved nodes/templates (#3065)</li>
	<li>Fix PHP 8.2 deprecation notice in jsmin class (#3062)</li>
	<li>Increase contrast on Icon Picker search placeholder in Dark Mode (#3059)</li>
	<li>Fix inconsistent content panel width</li>
	<li>Video Module: Fix a fatal error in PHP 8+ when video width is 0 (#3072)</li>
	<li>Fix issue with cache helper hiding hosts if you disable it (#3030)</li>
	<li>Post Carousel Module: Fix PHP Warning when there's no featured image (#3046)</li>
</ul>

<h4>2.8-beta.4 - 12/15/2023</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Add Photo Grid Box Preset</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix pinned settings not using variables</a>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Rename Horizontal Stack Box preset to Flex Columns</li>
</ul>

<h4>2.8-beta.3 - 12/08/2023</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>NorthCommerce Module: Add button hover styles</li>
	<li>Text Editor Module: Adjust styling for active tab</li>
	<li>Menu Module: Make link padding responsive and add new option for responsive toggle padding</li>
	<li>Post Carousel & Post Slider: Add excerpt length option</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix Export styles not copying Global Color</a>
	<li>Box Module: Various bug fixes</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Add notice to Icons section in WP Admin settings regarding FontAwesome</li>
	<li>Box Module: Remove scrolling section for now</li>
</ul>

<h4>2.8-beta.2 - 11/17/2023</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Box Module: Simplify display options, add type labels to the Outline Panel & add row/column gap support</li>
	<li>Tools Menu: Add option to open Media Library</li>
	<li>Performance: Remove needless AJAX requests</li>
	<li>Photo Module: Add object fit and position option to the style tab</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Move services and compat classes to separate folders</li>
	<li>Move box module custom field types into the box module folder</li>
</ul>

<h4>2.8-beta.1 - 11/06/2023</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Add global color support to border fields, box shadow, and text shadow</li>
	<li>Remove color in global color variable name</li>
	<li>Add new <a href="https://northcommerce.com/">NorthCommerce Module</></a> that lets you display the results of NorthCommerce shortcodes</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix a compound field styling glitch</li>
	<li>Fix Advanced Gradient styling</li>
</ul>

<h4>2.8-alpha.2 - 10/20/2023</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Export/Import: Add options for what to export</li>
	<li>Popup Maker Integration: You can now select a popup in link fields to trigger a popup when a link is clicked</li>
	<li>Box Module: Simplify auto flow field and other minor enhancements</li>
	<li>Modules inside a Box module will have their margins set to 0 unless explicitly set in the settings after this update</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Adjust icon used for copy in Global Colors</li>
	<li>Fix being able to drop modules into shortcode rendered layouts</li>
</ul>

<h4>2.8-alpha.1 - 9/29/2023</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Popup Maker integration: Render popup inside BB while editing</li>
	<li>Add option to filter by current author and current logged in user in Loop settings</li>
	<li>Make sure all Grid Area fields are responsive</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix Text Global Styles overriding Heading settings</li>
	<li>Fix PHP warning from Global Styles when a block theme is active</li>
	<li>Tabs Module: Fix module styles not overriding Global Styles</li>
	<li>Fix inconsistent styling issue with font family dropdown</li>
	<li>Fix Global Styles affecting Module names when dropping them onto the canvas</li>
</ul>

<h4>2.8-dev.2 - 9/15/2023</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Global Colors: are now selectable in the color picker</li>
	<li>Global Colors: choose your own variable prefix and add a copy button for the variable</li>
	<li>CSS variables can now be used in the color picker</li>
	<li>Add filter <code>fl_builder_global_colors_json</code> to control whether the WP colors are shown in the color picker as options</li>
	<li>Add integration for <a href="https://wordpress.org/plugins/popup-maker/">Popup Maker Plugin</a> so you can use BB to create the pop-ups</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Only load Global Styles extension if Themer is active if version 1.4.7+ is detected</li>
	<li>Remove background blur and blending mode from Box Module for now</li>
	<li>Show confirmation if Global Colors are not saved first after being modified</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Button Group: Fix individual button settings rendering blank</li>
</ul>

<h4>2.8-dev.1 - 8/17/2023</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added the new box module with flexbox and CSS grid support.</li>
	<li>Added the new global styles panel with global styling and global color definitions.</li>
	<li>Added the new move menu to overlays for moving rows, columns, and modules with a click.</li>
	<li>Added the new select parent menu to overlays for selecting the parent node of columns and modules.</li>
	<li>Added column groups to the outline panel with the ability to move and delete them.</li>
	<li>Added CSS variable support to the color picker.</li>
	<li>Added support for building popups with the <a href="https://wordpress.org/plugins/popup-maker/" target="_blank" rel="noopener">Popup Maker plugin</a>.</li>
	<li>Improved the overall drag and drop experience in the outline panel.</li>
</ul>

<p><strong>Changes</strong></p>
<ul>
	<li>Standardized overlays for rows, columns, and modules so they all look and work the same.</li>
	<li>Move the row actions overlay menu to the row settings menu.</li>
	<li>Removed the column menu on modules in favor of the select parent menu.</li>
</ul>

<h4>2.7.0.4 - 05/18/2023</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fix equal height columns not working properly on the small breakpoint (#2707)</li>
	<li>Fix PHP warning in the Post Module (#2704)</li>
	<li>Fix upload filters being ignored in the new iFrame UI (#2702)</li>
	<li>Fix negative top margin on row not working when aspect ratio is not set (#2714)</li>
	<li>Sanitize site URL in slideshow module to prevent a line break in the URL from breaking the JS</li>
</ul>

<h4>2.7.0.3 - 05/11/2023</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fix some PHP warnings related to debug mode (#2686)</li>
	<li>When duplicating a layout, the WP Admin will no longer be loaded in the BB iFrame (#2684)</li>
	<li>Fix a backwards compatibility issue with node visibility in some situations (#2682)</li>
	<li>Fix PHP warnings on import when using PHP 8.1 or higher (#2678)</li>
	<li>Slideshow Module: Fix a null photo object throwing PHP warnings into the layout JS (#2690)</li>
	<li>Fix duplicating a module scrolling you up in the UI (#2692)</li>
	<li>If node is visible on all breakpoints, don't render visibility classes (#2697)</li>
</ul>

<h4>2.7.0.2 - 05/03/2023</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fix issues when equal height columns is used: margins are retained, background height is correct and vertical alignment now works properly (#2667)</li>
	<li>Fix pinned panel not being able to be resized (#2668)</li>
	<li>Fix color picker going behind the browser bar (#2670)</li>
</ul>

<h4>2.7.0.1 - 04/28/2023</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Fix not being able to set a node to be visible on Extra Large Only (#2650)</li>
	<Li>Fix hiding columns on breakpoints not working when equalize heights is turned on (#2651)</li>
	<li>Fix moving nodes in the canvas in Firefox (#2654)</li>
	<li>Fix Preview mode not exiting out of Responsive Editing (#2649)</li>
	<li>Fix nodes not hiding as expected in Responsive Editing Mode (#2648)</li>
	<li>Fix copy settings/style from Advanced tab not always working properly (#2647)</li>
	<li>Fix select2 not working when the settings panel is pinned to the left (#2643)</li>
	<li>Fix Outline Panel context menu position when panel is pinned (#2646)</li>
</ul>

<h4>2.7 "Cascade" - 04/19/2023</h4>
<p>Beaver Builder 2.7 is here! This is a major update and will be released as the official download on the My Account page first. Remote updates to all existing sites will begin soon.</p>

<p>Please check out the <a href="https://www.wpbeaverbuilder.com/beaver-builder-2-7" target="_blank" rel="noopener">Release Post</a> for highlights of what's new or the <a href="https://docs.wpbeaverbuilder.com/beaver-builder/about-this-release" target="_blank" rel="noopener">"About this Release"</a> doc for all of the details.</p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Enable new responsive editing experience. It's now in an iFrame. The experience should be not only more accurate but better to work with. There is a toggle in Advanced Settings to disable this experience and go back to the prior editing experience if a problem occurs.</li>
	<li>Visibility: switch from dropdown breakpoint select to icons allowing more flexibility (#1954)/li>
	<li>Add option to reverse columns order on Medium breakpoint (#2165)</li>
	<li>Add option to have CSS/JS for each node in the Advanced tab of the settings. This is enabled by default.</li>
	<li>Add integration with ACF Pro Blocks so that you can use them inside the BB UI.  Check out our <a href="https://github.com/beaverbuilder/bb-example-acf-blocks">sample plugin</a> for how to use this integration</li>
	<li>Enable multi-select of Post Types in Accordion/Tabs Modules (#2264)</li>
	<li>Render shortcodes in the Loop custom field filter (#2588)</li>
	<li>Collapse the Export/Import section on the Advanced tab by default (#2547)</li>
	<li>Add new option to Advanced Settings to enable/disable collapse all settings (#2547)</li>
	<li>Add new filter to disable WordPress autop function <code>fl_enable_wpautop</code> (#1883)</li>
	<li>Login Module: Add login/logout button styling, styling for form element and add an option to show a message after successful login (#1120 & #1099)</li>
	<li>Typography: Add other unit options for letter spacing (#2515)</li>
	<li>Accordion/Tabs Modules: Add option to display excerpt instead of full content when displaying dynamic data (#2348)</li>
	<li>Content Slider: Add overall style and Typography options for all slides (#1392)</li>
	<li>Countdown Module: Add UTC Timezones and a URL redirect option once countdown finishes (#2354 & 1823)</li>
	<li>Post Carousel Module: Add new filter for path <code>fl_builder_posts_carousel_layout_path</code> (#2391)</li>
	<li>Post Slider Module: Add new filter for path <code>fl_builder_posts_slider_layout_path</code> (#2391)</li>
	<li>Add extra arguments to the <code>fl_builder_after_render_shortcodes</code> filter for improved compatibility with WP Courseware plugin (#2259)</li>
	<li>Detect Dreamhost 418 error for mod security (#2596)</li>
	<li>Performance Boost: Tweak the way we load/count revisions in the UI to use less memory (#2644)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Button Module: Use role=button only when lightbox is in use per Accessibility guidelines (#2494)</li>
	<li>Fix vertical centering failing when aspect ratio is used (#2522)</li>
	<li>Posts Module: make sure the related fields toggle when Featured image is hidden (#2517)</li>
	<li>Make sure revision count only shows on hover in the WP Admin when BB debug is enabled (#2601)</li>
	<li>Ensure that the eye icons in the overlays and outline panel are consistent when there are visibility settings (#2599)</li>
	<li>Heading Module: When changing the tag, make sure it live previews (#2590)</li>
	<li>Fix issue with margin/padding placeholders not being accurate when using Auto Spacing (#2581)</li>
	<li>Fix bug where if you used duplicate file names and the cropping image feature, it might display the wrong image (#2577)</li>
	<li>Reverse order of columns when columns are stacked at the medium breakpoint now works (#2574)</li>
	<li>Fix TranslatePress language switcher showing twice in the BB UI (#2544)</li>
	<li>Fix JS error when saving Global Settings (#2560)</li>
	<li>Fix Widgets appearing broken in the Outline Panel and provide more information for the widget (#2529)</li>
	<li>Menu Module: Fix a couple issues with single page menus relating to the responsive menu not behaving properly and smooth scrolling not working properly (#2497)</li>
	<li>Button Group Module: Fix CSS issue when using rgb for hover color (#2506)</li>
	<li>Fix slider modules not loading when inserted in a lightbox (#1792)</li>
	<li>Fix asset URLs when using translation plugins and different URLs for languages (#2523)</li>
	<li>TEC: Make sure filters only show when Event post type is selected (#2629)</li>
</ul>


<h4>2.7-beta.4 - 04/14/2023</h4>
<p>This is pre-release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Add more contrast to the preview breakpoint icons (#2614)</li>
	<li>ESC key now closes responsive editing (#2613)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix vertical centering failing when aspect ratio is used (#2522)</li>
	<li>Posts Module: make sure the related fields toggle when Featured image is hidden (#2517)</li>
</ul>

<h4>2.7-beta.3 - 04/06/2023</h4>
<p>This is pre-release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Render shortcodes in the Loop custom field filter (#2588)</li>
	<li>Collapse the Export/Import on the Advanced tab by default (#2547)</li>
	<li>Add new option to Advanced Settings to enable/disable collapse all settings (#2547)</li>
	<li>Add new filter to disable WordPress autop function <code>fl_enable_wpautop</code> (#1883)</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Make sure revision count only shows on hover in the WP Admin when BB debug is enabled (#2601)</li>
	<li>Ensure that the eye icons in the overlays and outline panel are consistent when there are visibility settings (#2599)</li>
	<li>Heading Module: When changing the tag, make sure it live previews (#2590)</li>
	<li>Fix issue with margin/padding placeholders not being accurate when using Auto Spacing (#2581)</li>
	<li>Fix bug where if you used duplicate file names and the cropping image feature, it might display the wrong image (#2577)</li>
	<li>Reverse order of columns when columns are stacked at the medium breakpoint now works (#2574)</li>
	<li>Fix TranslatePress language switcher showing twice in the BB UI (#2544)</li>
	<li>Fix JS error when saving Global Settings (#2560)</li>
	<li>Fix Widgets appearing broken in the Outline Panel and provide more information for the widget (#2529)</li>
	<li>Menu Module: Fix a couple issues with single page menus relating to the responsive menu not behaving properly and smooth scrolling not working properly (#2497)</li>
</ul>

<h4>2.6.3.2 - 04/11/2023</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Fix conflict with iubenda GDPR Cookie Compliance Plugin (#2604)</li>
 	<li>Fix conflict with Yoast SEO where the Beaver Builder menu would appear on roles without access (#2608)</li>
 	<li>Fix issue when downgrading from 2.7 pre-release to 2.6 where the visibility eye icon would render in the Outline Panel for nodes when it shouldn't (#2567)</li>
 	<li>Fix various issues with the Menu Module for single page menus (#2497)</li>
</ul>

<h4>2.6.3.1 - 03/27/2023</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Fix row background video fallback photo not working correctly and video size being incorrect</li>
</ul>

<h4>2.6.3 - 03/20/2023</h4>
<strong>Security Fixes</strong>
<ul>
 	<li>Ensure template type name is sanitized to prevent possible XSS injections (#2538)</li>
</ul>
<strong>Enhancements</strong>
<ul>
 	<li>Performance: Don't make AJAX request if history is disabled (#2438)</li>
 	<li>Performance: set update_term_meta_cache to false (#2445)</li>
 	<li>Performance: Disable debug code that should only be run when Builder UI is open (#2540)</li>
 	<li>Icon Group Module: Link field now supports field connections (#2461)</li>
 	<li>Debug Mode: Show revision count on hover of Post titles and add ability to edit code sections of the BB theme (#2398 &amp; #2499)</li>
 	<li>Post Module: add field connection for Post Element class field (#2549)</li>
 	<li>FLBuilderCSS methods now support an array of selectors (#2478)</li>
 	<li>Updates for WordPress 6.2 and React 18 compatibility (#2566)</li>
</ul>
<strong>Bug Fixes</strong>
<ul>
 	<li>Number Counter Module: Fix counter animating more than once (#2510)</li>
 	<li>Column border still appears even when it's set to 0 (#2416)</li>
 	<li>Fix video background resizing on android device when swiping (#1887)</li>
 	<li>Yoast SEO: Make sure BB templates and categories are not indexable content (#2503)</li>
 	<li>Tabs Module: Fix active tab being set to 0 not working (#2493)</li>
 	<li>Prevent dropping a module inside a Global Column (#2224)</li>
 	<li>Fix gradients on rows not working correctly with Small Data Mode enabled (#2385)</li>
 	<li>Posts Module: Make sure validation for number of columns field only applies to columns layout (#2555)</li>
 	<li>Gallery Module: fix SmugMug galleries being broken on some servers (#2562)</li>
</ul>

<h4>2.7-beta.2 - 03/17/2023</h4>
<p>This is pre-release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Add option to reverse columns order on Medium breakpoint</li>
	<li>Login Module: Add login/logout button styling and add an option to show a message after successful login</li>
	<li>Typography: Add other unit options for letter spacing</li>
	<li>ACF Blocks Integration: Dark Mode styling tweaks</li>
	<li>Tweak some styling in dark mode and for the new breakpoint icons</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Button Group Module: Fix CSS issue when using rgb for hover color</li>
</ul>

<h4>2.7-beta.1 - 03/03/2023</h4>
<p>This is pre-release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Enable new responsive editing experience. It's now in an iFrame. The experience should be not only more accurate but better to work with. There is a toggle in Advanced Settings to disable this experience and go back to the prior editing experience if a problem occurs</li>
	<li>Visibility: switch from dropdown breakpoint select to icons</li>
	<li>Add option to have CSS/JS for each node in the Advanced tab of the settings</li>
	<li>Add indicator in Outline Panel if there is Node CSS/JS active</li>
	<li>Enable multi-select of Post Types in Accordion/Tabs Modules</li>
	<li>Add integration with ACF Pro Blocks so that you can use them inside the BB UI.  Check out our <a href="https://github.com/beaverbuilder/bb-example-acf-blocks">sample plugin</a> for how to use this integration</li>
	<li>Visibility: switch from dropdown breakpoint select to icons</li>
	<li>Accordion/Tabs Modules: Add option to display excerpt instead of full content when displaying dynamic data</li>
	<li>Content Slider: Add overall style and Typography options for all slides</li>
	<li>Countdown Module: Add UTC Timezones and a URL redirect option once countdown finishes</li>
	<li>Login Module: Add options to style the form element</li>
	<li>Post Carousel Module: Add new filter for path <code>fl_builder_posts_carousel_layout_path</code></li>
	<li>Post Slider Module: Add new filter for path <code>fl_builder_posts_slider_layout_path</code></li>
	<li>Add extra arguments to the <code>fl_builder_after_render_shortcodes</code> filter for improved compatibility with WP Courseware plugin</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix slider modules not loading when inserted in a lightbox</li>
	<li>Fix Font Awesome Pro icons not always loading in the new iFrame UI</li>
	<li>Fix asset URLs when using translation plugins and different URLs for languages</li>
</ul>

<h4>2.7-alpha.3 - 02/16/2023</h4>
<p>This is pre-release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Login Module: Add options to style the form</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix Font family showing as default after save</li>
	<li>Fix select2 not triggering a change in the iFrame UI</li>

</ul>

<h4>2.6.2.3 - 02/9/2023</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Fix saving process stalling when using node export/import</li>
 	<li>Tabs Module: Fix linking to tab not working on mobile</li>
</ul>

<h4>2.6.2.2 - 02/2/2023</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Post Modules: Fix content filtering reverting back to default</li>
 	<li>Fix Themer CSS files not being loaded on the frontend</li>
</ul>

<h4>2.6.2.1 - 02/1/2023</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Tabs Module: Fix fatal error with PHP 8+ if Active Tab is empty/blank (#2463)</li>
 	<li>Fix Global/layout JS being rendered twice when inline assets is enabled (#2430)</li>
 	<li>Fix conflict with Ninja Forms where nodes would be out of order after publish (#2465)</li>
 	<li>Fix styles not saving when using auto save (#2453)</li>
 	<li>Number Counter: Fix count being broken with numbers over 10,000 (#2468)</li>
 	<li>Captions: Add umlaut to the allowed characters in captions when displayed in lightbox (#2455)</li>
</ul>

<h4>2.7-alpha.2 - 01/20/2022</h4>
<p>This is pre-release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Settings: New welcome page design and tweak overall styling of settings pages</li>
	<li>Advanced Settings: Code Settings option is now enabled by default</li>
	<li>ACF Blocks: Fix dark mode styling and blocks now appear under Standard modules with option to specify a group</li>
	<li>Background Gradients: Enable responsive controls</li>
	<li>Tweak CSS for compatibility with CSS Smooth Scroll</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Outline Panel: Fix visibility icon showing for columns when it shouldn't</li>
	<li>iFrame UI: Title tag now shows page title and fix remaining touch support issues</li>
</ul>

<h4>2.6.2 - 1/19/2022</h4>
<strong>Enhancements</strong>
<ul>
 	<li>Adjust styling for link field additional options (#2390)</li>
 	<li>Allow enabling of WP's medium_large image size that was previously disabled in BB (#2363)</li>
 	<li>Add hook <code>fl_builder_cropped_image_deleted</code> (#2285)</li>
 	<li>Decrease heartbeat tick rate from 30s to 120s (#2247)</li>
 	<li>Rename Debug Mode title from Debug Mode Disabled to just Debug Mode (#1884)</li>
 	<li>Add a URL parameter to not load revisions in debug mode and another to actually clear revisions and history(#2313)</li>
 	<li>Add optional dependency for icon fields so that modules that use icons can not load FontAwesome when FontAwesome is disabled (#1753)</li>
</ul>
<strong>Bug Fixes</strong>
<ul>
 	<li>Fix deprecation notices with PHP 8.2 (#2400)</li>
 	<li>Button Module: Fix focus color issue after opening link in a new tab (#2323)</li>
 	<li>Content Slider Module: Fix mobile font size being overridden by default styling (#2378)</li>
 	<li>Content Slider Module: Fix mobile title and text color settings not working (#2289)</li>
 	<li>Icon Group Module: Fix background color when using DashIcons (#1876)</li>
 	<li>Icon Group Module: Fix sub-form fields with the same name as the module not previewing properly (#1711)</li>
 	<li>List Module: Fix sub-form fields with the same name as the module not previewing properly (#1712)</li>
 	<li>Number Counter Module: make sure number prefix and suffix fields toggle as expected (#2299)</li>
 	<li>Post Modules: Fix filters not working correctly when multiple post types are selected and individual posts are selected to be shown (#2396)</li>
 	<li>Post Module: Fix WooCommerce sections being missing when using main query (#2428)</li>
 	<li>Post Module: Prevent the Post Module from crashing the browser when there are a lot of taxonomy terms(#2424)</li>
 	<li>Fix slashes being added to Post Module custom layout when Small Data Mode is enabled (#2387)</li>
 	<li>Compatibility: Fix row background connected to an ACF image field not loading when Yoast is active (#2334)</li>
 	<li>Fix parent column padding being applied to child columns as well when in the UI (#2029)</li>
 	<li>Adjust tooltip background style if the UI is in dark mode (#2290)</li>
 	<li>Debug Mode: Fix slashes being added in CSS and a fatal error with PHP 8.1 (#2412)</li>
</ul>


<h4>2.7-alpha.1 - 12/21/2022</h4>
<p>This is pre-release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Enable new responsive editing experience. It's now in an iFrame. The experience should be not only more accurate but better to work with. There is a toggle in Advanced Settings to disable this experience and go back to the prior editing experience if a problem occurs.</li>
	<li>Add integration with ACF Pro Blocks so that you can use them inside the BB UI.  Check out our <a href="https://github.com/beaverbuilder/bb-example-acf-blocks">sample plugin</a> for how to use this integration(Docs coming soon).</li>
	<li>Visibility: switch from dropdown breakpoint select to icons</li>
	<li>Add option to have CSS/JS for each node in the Advanced tab. This is disabled by default. Enable in WP Admin > Settings > Beaver Builder > Advanced</li>
	<li>Add indicator in Outline Panel if there is Node CSS/JS active</li>
	<li>Enable multi-select of Post Types in Accordion/Tabs Modules</li>
</ul>

<h4>2.6.1.4 - 12/15/2022</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Fix fatal PHP error with PHP 8+ on Kinsta hosting with v3 of their MU plugin</li>
</ul>

<h4>2.6.1.3 - 12/14/2022</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Menu Module: Fix overall alignment affecting sub-menu alignment(#2373)</li>
 	<li>Menu Module: Fix responsive menu not opening when responsive menu breakpoint set to Large, Medium and Small (#2349)</li>
 	<li>Number Counter Module: Fix support for displaying decimals and fix a JS error when using other languages (#2335 and #2379)</li>
 	<li>Post Carousel Module: Fix font size for Gallery layout (#2367)</li>
 	<li>Fix pagination giving a 404 when using a Posts module on a Singular layout in some setups (#2382)</li>
</ul>

<h4>2.7-dev.4 - 12/08/2022</h4>
<p>This is pre-alpha release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Add indicator in Outline Panel if there is Node CSS/JS active</li>
	<li>Enable multi-select of Post Types in Accordion/Tabs Modules</li>
	<li>Add tooltips to breakpoint select and ensure that one has to be selected</li>
	<li>Enable SASS compiler in node specific CSS</li>

</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	 <li>Fix visibility icon always displaying in outline panel</li>
</ul>

<h4>2.6.1.2 - 12/6/2022</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Fix fatal PHP error with PHP 8+ on GoDaddy hosting as a result of them changing the code for clearing the server cache</li>
</ul>

<h4>2.6.1.1 - 12/6/2022</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Fix pagination giving a 404 error when using Themer header or footer on site but not using Themer archives</li>
</ul>
<h4>2.6.1 - 12/1/2022</h4>
<strong>Enhancements</strong>
<ul>
 	<li>Add filter in menu module for translated menus (#2341)</li>
 	<li>Set Duplicate link in Admin Bar to false by default (#2278)</li>
 	<li>Add option to limit UI history and set the amount (#2267)</li>
 	<li>Add option to set the number of revisions for layouts (#2267)</li>
 	<li>Make responsiveFields array filterable (#2193)</li>
 	<li>Add more information to the console when AJAX pop-up is triggered (#2283)</li>
 	<li>Add a admin notice if there's an unexpected file in the cache helper plugin folder(#2365)</li>
</ul>
<strong>Bug Fixes</strong>
<ul>
 	<li>Post Module: Fix 404s in pagination when two post modules used on the same layout (#1440)</li>
 	<li>Post Module: Fix load more pagination breaking column layout of Post Module when multiple post modules used on the same layout (#2261)</li>
 	<li>Post Module: Fix masonry layout breaking when using article or li as post element container(#2276)</li>
 	<li>Menu Module: Fix dropdown alignment setting not working (#2153)</li>
 	<li>Add a check to make sure field is not null in JS (#2271)</li>
 	<li>Adjust post lock so that it unlocks instead of staying locked indefinitely (#2242)</li>
 	<li>Content Slider: Fix fatal error with PHP 8 (#2329)</li>
 	<li>Adjust UI alert box width when there's only one button (#2245)</li>
 	<li>Icon &amp; Icon Group: Fix icon size when using REM unit (#1786)</li>
 	<li>Fix fatal error related to conversion of false to an array when using PHP 8.1 (#2322)</li>
 	<li>Remove sourcemap 404s that shows in console (#2257)</li>
 	<li>Fix category filter on Saved Template list not working properly (#1098)</li>
 	<li>Fix issue with adding widgets to Global elements (#2131)</li>
 	<li>Fix adding a module to a global element not rendering the settings form (#2253)</li>
</ul>

<h4>2.6.1 - 12/1/2022</h4>
<strong>Enhancements</strong>
<ul>
 	<li>Add filter in menu module for translated menus (#2341)</li>
 	<li>Set Duplicate link in Admin Bar to false by default (#2278)</li>
 	<li>Add option to limit UI history and set the amount (#2267)</li>
 	<li>Add option to set the number of revisions for layouts (#2267)</li>
 	<li>Make responsiveFields array filterable (#2193)</li>
 	<li>Add more information to the console when AJAX pop-up is triggered (#2283)</li>
 	<li>Add a admin notice if there's an unexpected file in the cache helper plugin folder(#2365)</li>
</ul>
<strong>Bug Fixes</strong>
<ul>
 	<li>Post Module: Fix 404s in pagination when two post modules used on the same layout (#1440)</li>
 	<li>Post Module: Fix load more pagination breaking column layout of Post Module when multiple post modules used on the same layout (#2261)</li>
 	<li>Post Module: Fix masonry layout breaking when using article or li as post element container(#2276)</li>
 	<li>Menu Module: Fix dropdown alignment setting not working (#2153)</li>
 	<li>Add a check to make sure field is not null in JS (#2271)</li>
 	<li>Adjust post lock so that it unlocks instead of staying locked indefinitely (#2242)</li>
 	<li>Content Slider: Fix fatal error with PHP 8 (#2329)</li>
 	<li>Adjust UI alert box width when there's only one button (#2245)</li>
 	<li>Icon &amp; Icon Group: Fix icon size when using REM unit (#1786)</li>
 	<li>Fix fatal error related to conversion of false to an array when using PHP 8.1 (#2322)</li>
 	<li>Remove sourcemap 404s that shows in console (#2257)</li>
 	<li>Fix category filter on Saved Template list not working properly (#1098)</li>
 	<li>Fix issue with adding widgets to Global elements (#2131)</li>
 	<li>Fix adding a module to a global element not rendering the settings form (#2253)</li>
</ul>

<h4>2.7-dev.3 - 11/17/2022</h4>
<p>This is pre-alpha release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>

<p><strong>Enhancements</strong></p>
<ul>
	 <li>Visibility: switch from dropdown breakpoint select to icons</li>
	 <li>Add option to have CSS/JS for each node in the Advanced tab. Disabled by default - enable in WP Admin > Settings > Beaver Builder > Advanced</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	 <li>Fix conflict with select2 library and iFrame UI</li>
	 <li>Make adjustments for touch support for iFrame UI</li>
	 <li>Fix jQuery-validate issue in iFrame UI</li>
</ul>

<h4>2.7-dev.2 - 10/26/2022</h4>
<p>This is pre-alpha release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>
<p><strong>Enhancements</strong></p>
<ul>
 	<li>Fixed responsive editing breakpoint not switching when resizing the iframe.</li>
</ul>

<h4>2.7-dev.1 - 10/21/2022</h4>
<p>This is pre-alpha release. Please read our <a href="https://docs.wpbeaverbuilder.com/general/alpha-and-beta-releases/">pre-release documentation</a></p>
<p><strong>Enhancements</strong></p>
<ul>
 	<li>Enable new responsive editing experience. It's now in an iFrame. The experience should be not only more accurate but better to work with. There is a toggle in Advanced Settings to disable this experience and go back to the prior editing experience if a problem occurs.</li>
</ul>

<h4>2.6.0.3 - 10/19/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fix row margin and padding being incorrect in some cases when upgrading from 2.5 to 2.6</li>
	<li>Fix filtering being missing from Accordion and Tab modules when displaying dynamic content</li>
	<li>Number Counter: Fix separator missing and remove separate number size field that is no longer needed or used</li>
	<li>Button Module: Fix custom width not working if using a gradient background</li>
	<li>Fix slashes being stripped from captions</li>
</ul>

<h4>2.6.0.2 - 09/29/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Slideshow Module: Fix fatal error in PHP 8 if the Overlay Hide Delay settings is empty</li>
	<li>Subscribe Form Module: Fix fatal error in PHP 8 if settings are not arrays & fix CSS error if input gap is left empty</li>
	<li>Fix system-ui fonts being removed for UI by mistake</li>
	<li>Fix live preview loading spinner not being removed after preview loads</li>
	<li>Posts Module: Fix Column Count being wrong for Large breakpoint on upgrade</li>
	<li>Posts Module: Make sure Filters that show in content tab are only relevant to the Post Types selected</li>
	<li>Fix preview CSS not clearing properly</li>
	<li>Move Duplicate link action showing Admin Bar to bottom if there are other items that show up in the dropdown</li>
	<li>FontAwesome compatibility: Remove notice about a possible conflict with Beaver Builder as it is no longer needed with FontAwesome 6</li>
</ul>

<h4>2.6.0.1 - 09/22/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>UI: Fix Templates dropdown showing duplicate items when set to some languages</li>
	<li>TEC: Fix pagination in Post Module not showing when it should</li>
	<li>Fix PHP notices when using Phone App Micro Landing Page Template</li>
	<li>Fix some JS notices when moving the mouse while refreshing</li>
	<li>Prevent some unneeded debug info from outputting in the browser console</li>
	<li>Subscribe Module: Fix Mailjet integration if using the Mailjet plugin and update the tooltip for the API key link</li>
	<li>Fix issue with saving modules with the Advanced Settings Mod Security toggle enabled</li>
	<li>Fix Post Module Post Spacing not rendering 0 when List Layout is used</li>
</ul>

<h4>2.6 "Calero" - 09/13/2022</h4>
<p>Beaver Builder 2.6 is here! This is a major update and will be released as the official download on the My Account page first. Remote updates to all existing sites will begin soon.</p>

<p>Please check out the <a href="https://www.wpbeaverbuilder.com/beaver-builder-2-6" target="_blank" rel="noopener">Release Post</a> for highlights of what's new or the <a href="https://docs.wpbeaverbuilder.com/beaver-builder/about-this-release" target="_blank" rel="noopener">"About this Release"</a> doc for all of the details.</p>

<p><strong>Enhancements</strong></p>
<ul>
	<li>NEW Add a new breakpoint option to Global Settings</li>
	<li>NEW: 4 New Micro Landing Page templates</li>
	<li>Add new tabs to BB Settings Page in WP Admin: Advanced Settings & Import/Export</li>
 	<li>NEW Add UI for adding row shapes in global settings</li>
 	<li>NEW Add search to saved item tab in content panel</li>
 	<li>NEW You can now use WordPress reusable blocks in Beaver Builder layouts</li>
 	<li>Copy and Paste Improvements: Hover over the wrench for rows and modules and the columns icon for columns to see the new copy option. Paste only appears if there is data to paste</li>
	<li>Outline Panel: Add keyboard shortcuts</li>
	<li>Outline Panel: collapse/expand all items and persistent storage were added so that the panel remembers what sections you have expanded and collapsed</li>
 	<li>Outline Panel: Will now highlight the node that is open for editing</li>
	<li>When hovering over a Google Font in font selector, show a preview of the font</li>
	<li>Update Icons admin page to show FontAwesome Kit deprecation notice and recommendation to use Official FontAwesome plugin</li>
	<li>Add Headings to the AJAX Crash Modal</li>
	<li>Display value of Label field in Advanced section of node settings in a tooltip on the node settings icon, in the Settings modal and in the hover overlay</li>
	<li>Add min-width to Alert Modal Pop-up to fix display issues when translated</li>
 	<li>Refine the feel of the overlay and highlight features in the canvas area</li>
 	<li>Global margins/paddings: now use a dimension field so you can control all 4 sides separately</li>
 	<li>UI Dark Mode/Light Mode can now be set to Auto so it changes with your OS</li>
	<li>Accordion Module: Add support to display dynamic data or to select saved items for display in the content area</li>
 	<li>Tabs Module: Add support to display dynamic data or to select saved items for display in the content area</li>
 	<li>Columns: Add aspect ratio option</li>
	<li>Add Advanced Gradient BG option for buttons in the Button, Button Group, Call to Action, Callout and Content Slider modules</li>
 	<li>Post Module: Add option to filter by custom fields</li>
	<li>Post Module: Add ability to select multiple post types</li>
	<li>Post Module: Add option to show/hide author link</li>
	<li>Content Slider: Add typography for slides</li>
	<li>Login Form Module: Add icon options for the fields and buttons & change cursor to pointer for Remember Me checkbox</li>
	<li>Pricing Table: Add icon color options for individual features</li>
	<li>Pricing Table: Add typography for the Ribbon option, add color option for the Price</li>
	<li>Tabs Module: Add a setting for which tab is active on load</li>
	<li>Add Pressidium support to the Cache Clearing Tool</li>
	<li>Debug Mode: Show values of Advanced settings in debug output</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix Video Module select button being unclickable when Yith WooCommerce Affiliate plugin is active</li>
	<li>Fix JS error with Photo module captions when new lines are used in the caption</li>
	<li>Heading Module: Fixed letter spacing set to 0 was not rendering properly with the BB Theme</li>
	<li>Pricing Table: Fix Button Hover Color not working if its rgba</li>
	<li>Menu Module: Fix Undefined property PHP Warning</li>
	<li>Fix resizing rows setting an invalid value with pixel unit and not being able to go back to the original width when resizing with drag handles</li>
	<li>Fix shortcodes not working in Advanced tab class and ID fields if there are quotes used in attributes</li>
	<li>Photo Module: Fix image going out of container on mobile</li>
	<li>Fix <code>:empty</code> selector not working with columns</li>
	<li>WooCommerce: Fix Posts module overriding margin-bottom css for post spacing</li>
	<li>WooCommerce: Fix notices overlapping the content panel</li>
	<li>Fix Settings modal not working if using a RTL language</li>
	<li>Fix "Add menu item" displaying in menu module when it shouldn't if using one of the Header Themer layouts</li>
	<li>Fix an issue where a button module is run through autop when it shouldn't be</li>
	<li>Remove duplicative Row CSS</li>
	<li>Fix reverse stacking not working with all container tags</li>
	<li>Fix responsive editing not showing inherited values in some cases</li>
	<li>Pricing Table: Fix Title color not rendering Title is highlighted</li>
 	<li>Pricing Table: Make sure Box Top Margin is only available when using Legacy settings</li>
 	<li>Pricing Table: Fix button border hover color not working</li>
 	<li>Pricing Table: Fix some colors not working if the Row text color is set</li>
	<li>Posts Module: Fix fatal error in PHP 8 if 0 or blank value is saved for column option</li>
</ul>

<h4>2.5.5.5 - 09/06/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fix JS error with Photo module captions when new lines are used in the caption</li>
	<li>Add new filter <code>fl_photocaptionregex</code> so users can adjust the regex for allowed characters in captions when displayed in the lightbox</li>
	<li>Fix Fatal PHP Error with Posts Module when using TEC 6</li>
</ul>

<h4>2.5.5.4 - 08/23/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
 	<li>Gallery Module: Fix caption now showing with the below photo position</li>
 	<li>Fix live preview not working with Row Shapes height</li>
 	<li>Menu Module: Fix tabbing through items not working properly with a mega menu</li>
 	<li>Video Module: Fix videos not showing when using GoDaddy's CDN</li>
 	<li>Tweak sanitization of photo captions when used in lightboxes to allow quotes and preserve capitalization</li>
 	<li>Add new filter <code>fl_user_has_unfiltered_html</code>. Users using the <code>fl_builder_ui_js_config</code> filter to allow unfiltered HTML for other roles should switch to this new dedicated filter. (<a href="https://docs.wpbeaverbuilder.com/beaver-builder/troubleshooting/common-issues/error-settings-not-saved/#filter-examples" target="_blank" rel="noopener">See our docs for how to use the new filter</a>)</li>
</ul>

<h4>2.5.5.3 - 08/09/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Sanitize photo captions when used in lightboxes</li>
	<li>Fix glitch with drag resizing row width</li>
	<li>Fix PHP warning with custom row shapes when downgrading from 2.6</li>
</ul>

<h4>2.5.5.2 - 07/28/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Security: Harden Contact and Subscribe Form modules</li>
	<li>Security: Harden get_post_id function to ensure post ID is always an integer</li>
	<li>Add a compatibility fix for the ConvertBox plugin</li>
	<li>Fix various menu issues:  vertical alignment with the inline logo option, responsive toggle alignment and the menu background extending too far</li>
</ul>

<h4>2.5.5.1 - 07/22/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Security Related: Enhance checks to prevent malicious code from being entered into the UI</li>
	<li>Fix font weight reverting to default</li>
</ul>

<h4>2.5.5 - 07/21/2022</h4>
<p><strong>Security Related Fixes</strong></p>
<ul>
	<li>Prevent users from disabling the BB editor on a post using an AJAX request</li>
</ul>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Accessibility: Add missing form label on checkbox</li>
	<li>Gradient Fields: Add option to clear colors, specify default values</li>
	<li>Tweak UI relating to revisions</li>
	<li>Font Awesome 6: Add support for thin set & adjust limit of returned icons on search to be higher than the default of 15</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix PHP Notice for $tabs undefined variable</li>
	<li>Remove Google font from Recently Used list if that font is no longer available in the API</li>
	<li>Content Slider: Fix slides not displaying styling properly when shuffle is enabled</li>
	<li>Content Slider: Remove clickable areas if navigation is disabled</li>
	<li>Menu Module: Fix alignment not working when using horizontal alignment and wrapping items</li>
	<li>Testimonial Module: Fix partial second slide displaying during responsive editing</li>
	<li>Style hardening for TwentyTwentyOne Theme</li>
	<li>Video Module: Fix error when embedding a Facebook video and using the lightbox</li>
</ul>

<h4>2.5.4.3- 05/25/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fix alignment issue with the launch Beaver Builder box in WP Admin when using WordPress 6.0</li>
</ul>

<h4>2.5.4.2 - 05/19/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Outline Panel: Fix items showing multiple times in some cases</li>
	<li>TEC: Tweak our fix for TEC added in previous release to make sure it does not affect other post types</li>
</ul>

<h4>2.5.4.1 - 05/12/2022</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fix Saved templates not appearing after import when overriding Templates on a Multi-Site/Network Setup</li>
	<li>Fix Outline Panel showing empty when you save a module for reuse on a layout and then open it up for editing from the content panel</li>
	<li>TEC: Fix the BB UI not working on Events when the Block Editor is enabled for Events and the Default Events Template is used in TEC settings</li>
</ul>

<h4>2.5.4 - 05/05/2022</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Accessibility: Fix Pricing Table Module toggle button missing form label</li>
	<li>Menu Module: Make sure sub-menu item indicators are off by default for backwards compatibility</li>
	<li>Tabs Module: Add options so users can style the accordion buttons/labels</li>
	<li>Add new hook to target all nodes <code>fl_builder_node_attributes</code></li>
	<li>Post Carousel Module: Add before and after content hooks <code>fl_builder_post_carousel_grid_before_content</code> and <code>fl_builder_post_carousel_grid_after_content</code></li>
	<li>Menu Module: Add filter for replacing the hamburger icon/SVG <code>fl_builder_mobile_menu_icon</code></li>
	<li>Suggest Field: Add hook <code>fl_builder_auto_suggest_lookup</code></li>
	<li>Exclude history from exported items</li>
	<li>Fix conflict with RankMath so it doesn't prevent the Launch BB button from working</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Don't overwrite the existing post_type templates array.  This will fix Block Templates not showing up for the post type if in use</li>
	<li>Login Form Module: Fix redirect not working</li>
	<li>Fix extra space above/below row and column settings menu</li>
	<li>Product Module: Fix PHP Warning</li>
	<li>Button Module: Fix background over/focus color issue</li>
	<li>Button Group: Fix preview issues, PHP notice about BG gradient hover, and missing field connection for individual buttons</li>
	<li>Global Settings: If Responsive layout is disabled, hide appropriate responsive setting options</li>
	<li>Fix PHP notices relating to colors/gradients after upgrading from 2.4 to 2.5</li>
	<li>Safe Mode: Disable preview</li>
	<li>Fix Parent column vertical alignment overriding child/nested column settings</li>
</ul>

<h4>2.5.3.1 - 04/07/2022</h4>
<p><strong>Hotfix</strong></p>
<ul>
		<li>Fix Rows set to minimum height but no value rendering with a min-height of 100vh</li>
		<li>TEC: Fix TEC sections missing from the Post Grid Module when editing a TEC Themer Archive Layout</li>
		<li>Fix conflict with Ultimate Dashboard Pro and the inline CSS filter</li>
		<li>WooCommerce: Fix Product Tabs Description displaying even if no data</li>
		<li>Staging Sites Fix: on site URL change, register license on site and domain manager and clear cache</li>
		<li>Subscribe Module: Fix Drip integration not showing Workflows when WooCommerce Drip plugin active</li>
</ul>

<h4>2.5.3 - 03/31/2022</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>WooCommerce Module: Add product tags as a source</li>
	<li>Performance: Cache duplicate queries</li>
	<li>Adjust box shadow field so it is consistent with text shadow</li>
	<li>Update fluid package</li>
	<li>Update vendor packages</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Icon Group Module: Fix icon width being too narrow in preview</li>
	<li>Fix conflict with WooCommerce Tab Manager</li>
	<li>Post Carousel Module: Fix navigation arrows being on top of the mega menu of the Menu Module</li>
	<li>Post Module: fix no posts message not showing when it should during preview of an Archive layout</li>
	<li>Exclude the Block Widget from the BB UI as it has no purpose in the UI</li>
	<li>Button Group: Hide align field when using vertical align and default width</li>
	<li>Update stats URL to use https</li>
	<li>Fix issue with <code>InlineEditor.onEditorChange</code> sometimes showing field is undefined</li>
	<li>Fix search placement in content panel</li>
	<li>WooCommerce: Fix BB not working if Product Description is blank</li>
	<li>Fix a PHP Notice with WordPress Widgets</li>
	<li>Fix bottom row shape leaving a thin line when using midpoint</li>
	<li>Fix Row full height setting affecting nested rows via shortcode</li>
	<li>Fix tooltips being narrow in form fields set to multiple</li>
	<li>TEC: Fix recurring events being shown in the Posts module when they should be excluded</li>
	<li>Fix fatal error in recent fonts if it's not an array</li>
</ul>

<h4>2.5.2.3 - 03/21/2022</h4>
<p><strong>Hotfix</strong></p>
<ul>
		<li>Fix issue where published changes were not reflected until using the cache clearing tool in BB Settings</li>
</ul>

<h4>2.5.2.2 - 03/17/2022</h4>
<p><strong>Hotfix</strong></p>
<ul>
		<li>Fix partial layout stylesheet not getting updated after making changes to the actual template</li>
		<li>Remove extra slash in FontAwesome URL</li>
		<li>Contact Form Module: Fix accessibility issues with form labels for Name and the Success URL</li>
		<li>Subscribe Module: Fix PHP 8 issue with Drip integration</li>
</ul>

<h4>2.5.2.1 - 02/11/2022</h4>
<p><strong>Hotfix</strong></p>
<ul>
		<li>Improve compatibility with FontAwesome 6 and our icon picker when using the official FontAwesome plugin</li>
		<li>Revert Button module: Fix border Style not working if width not specified as it was causing border settings to not be respected in some situations</li>
</ul>

<h4>2.5.2 - 02/10/2022</h4>
<p><strong>Enhancements</strong></p>
<ul>
		<li>Menu module: add submenu indicators on mobile</li>
		<li>Content Slider: Focus on slide when editing</li>
		<li>Login Module: Add new option for redirect</li>
		<li>WPCLI: Add duplicate function</li>
		<li>Prevent WP Post Page Clone plugin from adding duplicate links to posts/pages where BB is used to prevent it breaking our data</li>
		<li>Add pop-up when upload_path is set to alert user of the issue as it will prevent the UI from working</li>
		<li>Add database collation info to our debug mode output</li>
		<li>If user templates are deleted in the UI, they now go to the trash first to ensure consistency with WP functions</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
		<li>Menu module: fix padding on menu items with a sub-menu</li>
		<li>Button module: Fix border Style not working if width not specified</li>
		<li>Photo module: Caption causes the image to go out of their container</li>
		<li>Number Counter: fix animation not starting when number is not shown</li>
		<li>Menu module: Fix both menus opening upon clicking on the menu button</li>
		<li>Fix background video's Audio Control Not Shown in Firefox</li>
		<li>Video Module: fix other video types showing as selectable when they are not supported</li>
		<li>Fix PHP Notice WP_Scripts::localize was called incorrectly</li>
		<li>Photo Module: Ensure the same sizes are shown in Photo module and Gallery Module lightbox option</li>
		<li>Fix Global column disappearing from UI after saving row as global</li>
		<li>Button Group module: Fix responsive alignment not working on vertical layout</li>
		<li>Posts Module: Hide TEC options when post type selected is not the TEC post type</li>
		<li>Pricing table: fix features preview not working properly</li>
		<li>Pricing table:  fix features display in Safari</li>
		<li>Sanitize Site URLs for our use to prevent it from breaking the UI</li>
		<li>Fix notice: Warning: Undefined variable $widget_class</li>
		<li>Fix glitch with select2 where it won't stay open when clicking in some cases</li>
		<li>Remove a PHP comment that was triggering some hosts' security protection to delete the file which resulted in the Outline Panel not working</li>
</ul>

<h4>2.5.1.3 - 02/1/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
		<li>Post Module: Fix fatal errors when using PHP 8 when saving certain settings with blank values</li>
		<li>TEC Pro: Fix fatal errors when using the Events Manager Date Filters</li>
		<li>Fix compatibility with Google Site Kit plugin and others that use Rest API</li>
		<li>Tweak our Mod Security filter to prevent it from interfering with column resize</li>
		<li>Remove code no longer needed for the excerpt fix we implemented in 2.5.1</li>
		<li>On publish, ensure assets are generated properly</li>
</ul>

<h4>2.5.1.2 - 01/24/2022</h4>
<p><strong>Hot Fix</strong></p>
<ul>
		<li>Fix issue with modules moving positions after publishing in some situations</li>
</ul>

<h4>2.5.1.1 - 12/22/2021</h4>
<p><strong>Hot Fix</strong></p>
<ul>
		<li>Accordion Module: Fix items not being able to be closed manually and fix smooth opening and closing not working</li>
		<li>Button Module: Fix hover color issue</li>
		<li>Menu Module: Fix sub-menu items using inherit for backwards compatibility</li>
		<li>Post Grid Module: Fix FontAwesome icons being enqueued when it is not needed</li>
		<li>Search module: fix missing an echo statement in the value attribute</li>
		<li>Outline Panel: Fix not being able to delete unavailable modules</li>
		<li>Fix ACF cache not being cleared for option pages properly</li>
		<li>Fix JS error when changing a module setting and using the Publish keyboard shortcut</li>
		<li>Fix limit on repeater field not working inside a form field</li>
		<li>Fix FontAwesome icons preload issue</li>
		<li>Optimize visibility fix to prevent an infinite loop</li>
		<li>SEO Plugin integrations: don't delete assets while fetching data to prevent 404 errors with assets</li>
</ul>

<h4>2.5.1 - 12/9/2021</h4>
<p><strong>Enhancements</strong></p>

<ul>
		<li>Add new shortcode <code>[fl-safe]</code> to wrap code in that is known to break the UI</li>
		<li>Tweak the way we generate our unique node IDs to ensure that they always will be a string</li>
		<li>Add offset option to Row Parallax background image</li>
		<li>Allow user to choose images for different breakpoints when row is set to parallax background</li>
		<li>Add support for Query Monitor to be used while inside the UI</li>
		<li>Contact Form & Subscribe Form Modules: Show any WP_Error detected so it's easier to debug issues</li>
		<li>Update Ace Editor to latest version</li>
		<li>Update FontAwesome to latest version</li>
		<li>Icon Group Module: Make spacing option responsive</li>
		<li>Reduce number of queries for Saved nodes by switching from using <code>get_terms</code> function to <code>get_the_terms</code> since it's cached</li>
		<li>Pricing Table Module: Make Advanced Spacing, Tooltip Icon Size, Feature Icon Size, Box Top Margin and Typography responsive</li>
		<li>Fix conflict with Signify theme when adding media in UI</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
		<li>Fix issue with Slide Right animation</li>
		<li>Fixed Saved nodes not retaining categories when published in BB UI</li>
		<li>Button Group Module: Fix background animation not working</li>
		<li>Video Module: Fixed flash on loading when set to loop</li>
		<li>Accordion Module: Fix "Expand first item" option issue with anchor links</li>
		<li>Content Slider Module: Fix module autoplaying when clicking on the arrows</li>
		<li>Menu Module: Fix no smooth scrolling on mobile and not closing properly after clicking an anchor link</li>
		<li>Button Module: Fix column text color overriding module color</li>
		<li>Subscribe Module: Fix Mailjet integration only showing 10 lists</li>
		<li>Callout Module: Fix issues with rel attribute</li>
		<li>Fix UI being broken when removing some keyboard shortcuts with <code>fl_builder_keyboard_shortcuts</code> hook</li>
		<li>Add select2 text color for UI Dark Mode</li>
		<li>Fix issue with get_excerpt function showing wrong data when using visibility options</li>
		<li>Pricing Table Module: Fix custom icons not working in feature list</li>
		<li>WPML: Fix cache clear issue when switching domains</li>
		<li>Menu Module: Fix missing closing li tags</li>
		<li>Fix fatal error in UI in certain circumstances when plugins add widgets</li>
		<li>Menu Module: Logo option now correctly outputs alt attribute</li>
		<li>Fix fatal error if search enabled in Menu Module but Search module is disabled in settings and <code>is_module_disable_enabled</code>
		is set to true</li>
</ul>

<p><strong>Development</strong></p>
<ul>
<li>Add new filters <code>fl_builder_render_css_row</code> <code>fl_builder_render_css_col</code> <code>fl_builder_render_css_module</code> <code>fl_builder_render_css_module_{$module->slug}</code></li>
</ul>

<h4>2.5.0.3 - 10/19/2021</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
		<li>BB Lite: Fix icon picker not working in some setups when jquery-throttle is not enqueued</li>
</ul>

<h4>2.5.0.2 - 10/7/2021</h4>
<p><strong>Enhancements</strong></p>
<ul>
		<li>Ignore http/https in URL check to automatically clear cache when URL changes</li>
		<li>Subscribe Module: Update cacert for Infusionsoft and Campaign Monitor</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
		<li>Fix templates registered with <code>FLBuilder::register_templates</code> being duplicated in content panel</li>
		<li>Fix fatal error when saving Posts module with custom layout or when BigCommerce is active</li>
		<li>Fix modules not being greyed out until ready after being duplicated in the BB UI</li>
		<li>Fix not being able to import settings to modules with uppercase characters in class name</li>
		<li>Fix some icons in some icon sets not displaying due to a space being added to the class when prefix is missing for that icon</li>
		<li>Menu Module: Fix menu opening and closing when anchor links are used on a hamburger menu</li>
</ul>

<h4>2.5.0.1 - 09/21/2021</h4>
<p><strong>Enhancements</strong></p>
<ul>
		<li>Improve updates message to account for different license situations</li>
		<li>Update welcome page image</li>
		<li>Update readme for Lite modules</li>
		<li>Cache Clearing Tool: Improve Pagely cache clear</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
		<li>Subscribe Module: Fix error message alignment when Search module included in the layout</li>
		<li>Icon Picker: various FontAwesome fixes including fixing broken domain check in kit settings, compatibility with FontAwesome plugin, AJAX search now respects admin icon settings, and fix kit displaying even if kit displays no icons</li>
		<li>Number Counter Module: Fix preview not updating properly when changing the number</li>
		<li>Code Editor: right click paste options now appears</li>
		<li>Menu Module: Fix flyout menu panel showing after adding a new module</li>
		<li>Global Modules: Fix global modules opening for editing after dropping it on the page to be consistent with Global Rows/Columns behavior</li>
		<li>Cache Clear Tool: fix Pantheon cache clear not working properly</li>
		<li>Fix certain HTML elements being stripped from post_content fl-builder block on publish</li>
		<li>Fix images not being able to be cropped on the demo server</li>
		<li>Menu Module: Fix separators being different sizes when search enabled</li>
</ul>

<h4>2.5 - 08/19/2021</h4>
<p><strong>New & Major Updates</strong></p>
<ul>
		<li>Add Outline Panel to easily see the structure of your page and move things around</li>
		<li>Add Duplicate option for BB posts in the WP Admin</li>
		<li>Premium Templates added - 2 new Landing page templates and several content page templates. Some older templates were also removed.</li>
		<li>In WP Admin list for for saved elements, show shortcode and add click to copy to clipboard</li>
		<li>Icon Picker: various enhancements including live search, recently used icons section and compatibility with FontAwesome plugin</li>
		<li>Menu Module: Add responsive dropdown styles and default menu items when no menus exist on the site</li>
		<li>Menu Module: Now has styling options for sub-menu link colors and the responsive toggle, also new option to have a logo in the center of the menu, new option to add search to the menu, and add support for showing WooCommerce cart contents in the menu</li>
		<li>Pricing Table Module: Add toggle for monthly/yearly pricing, add the ability to add icons for each feature, add Typography options, and add option to display a ribbon</li>
		<li>Subscribe Module: Add filter for users to add their own service <code>fl_builder_subscribe_form_services</code></li>
</ul>

<p><strong>Enhancements</strong></p>
<ul>
	<li>Button Group Module: Add width for the horizontal layout</li>
	<li>Contact Form Module: Labels are now translatable</li>
	<li>Content Slider Module: Make Button Padding Responsive</li>
	<li>Content Slider: Add Background Overlay option for individual slides</li>
	<li>Countdown Module: Add Typography Options</li>
	<li>Countdown Module: Add overall Alignment option</li>
	<li>List Module: Update icon and move List items section to the top of the first tab</li>
	<li>Menu Module: Add support for Menu Module closing when tabbing through the last of the items</li>
	<li>Number Counter Module: Add Typography</li>
	<li>Number Counter: Add option to choose height of bar and not show number with Bar layout as well as add field connection for number</li>
	<li>Post Modules: Make the suggest fields sortable</li>
	<li>Post Carousel Module: Add Typography options</li>
	<li>Post Slider Module: Now has Typography options</li>
	<li>Separator Module:  Height and Alignment are now responsive</li>
	<li>Subscribe Module:  Mailpoet 3 integration now shows all lists</li>
	<li>Subscribe Module: Add better error handling if no service is selected</li>
	<li>Testimonials Module: Accessibility improvements with navigation</li>
	<li>Post Modules: Make the suggest fields sortable</li>
	<li>Video Module: Add structured data options for contentUrl and embedUrl</li>
	<li>Columns: Now have custom position available for backgrounds</li>
	<li>Columns: Make width field available even for Single Columns</li>
	<li>Add icons for border, border radius, padding, and margin labels</li>
	<li>Add some improvements to the display of the Launch BB area in WP Editor</li>
	<li>Cache Clearing Tool: Improve integration with CloudFlare plugin</li>
	<li>Developers: Post type field now supports multi-select</li>
	<li>Outline Panel: Add filter to disable <code>fl_builder_outline_panel_enabled</code></li>
	<li>Add support for SEOPress</li>
	<li>Update the Welcome page in WP Admin for 2.5 version</li>
	<li>Update internal links to the Knowledge Base</li>
	<li>Remove Google+ Icon from Slideshow Module</li>
	<li>Shift some wp_options to autoload = false</li>
	<li>Update jQuery deprecated code</li>
	<li>Code Editor: Enable word wrap and line numbers by default</li>
	<li>Fix conflict with 3CX Live Chat plugin</li>
	<li>Add Layout Type As Parameter to the <code>FLBuilder::render_content_classes()</code> method</li>
	<li>Try to remove other Duplicate plugin Duplicate links since they are not compatible with BB</li>
	<li>Border Field Type: Add ability to disable parts of the compound field</li>
	<li>Add custom position for column backgrounds as well</li>
	<li>Allow line height to be 0 in Typography settings</li>
	<li>WPCLI Enhancements: <code>wp beaver global list</code> shows list of all options and <code>wp beaver global-update --id=default_heading_selector --value=.fl-post-header</code> updates a single option</li>
	<li>Add new mode to disable history temporarily</li>
	<li>Debug Mode: Only output errors if <code>showerrors</code> parameter is in the URL</li>
	<li>Disable smooth scroll via custom class <code>fl-no-scroll</code></li>
	<li>Automatically clear CSS/JS files when URL changes</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Make sure content panel icons for modules are all the same size</li>
	<li>Photo Module: Fix fatal error when using PHP8 and border is a string</li>
	<li>Menu Module: Fix flyout menu being visible while builder is active</li>
	<li>Contact Form Module: Fix console notices when multiple modules are present on the same page</li>
	<li>Icon Module: Fix alignment issues when using multiple modules to create a group of icons</li>
	<li>Icon Module: Fix screen reader text being visible when it should not in some cases</li>
	<li>Menu Module: Adjust search placement on vertical layouts</li>
	<li>Text Editor Module: Fix strong/bold tag styling ignored when font weight is set in module</li>
	<li>Fix SVGs used in layout/global CSS</li>
	<li>Fix notices on WP 5.8 Block Widget Screen</li>
	<li>Photo Module: Fix issue with cropping on some hosts</li>
	<li>UI: Fix node visibility icon flashing on hover</li>
	<li>Fixed PHP Notices when Applying a Template</li>
	<li>Fixed responsive editing being glitchy when inline assets is enabled</li>
	<li>Fixed issue where due to custom code the post_id could be set wrong in AJAX</li>
	<li>Callout Module: Fix image set to show on right being off centered vertically when a link is entered</li>
	<li>Content Slider: Fix mobile image alt tag being empty when using slide content layout</li>
	<li>Slideshow Module: Fix tweet button visibility and issues with icon alignment</li>
	<li>Fixed issue with smooth scrolling when clicking on a "Back to Top" link when Themer "Sticky" Header is enabled</li>
	<li>Fix unneeded AJAX call for notifications</li>
	<li>Text Editor Module: Fix bold not working properly with Google Fonts as that version wasn't being enqueued</li>
	<li>Contact Module: Fix Ampersand displaying as entity in From Email</li>
	<li>Content Slider: Fix delay not resetting and fix issues with slides skipping while in transition</li>
	<li>Countdown Module: Fix circle being clipped at certain sizes</li>
	<li>Icon Picker: Fix missing Icon</li>
	<li>Menu Module: Fix issues with preview showing incorrectly until save</li>
	<li>Subscribe Module: Fix conflict with WooCommerce Mailer Lite</li>
	<li>Subscribe Module: Fix issue where users couldn't join multiple Mailer Lite lists & remove trashed lists from List dropdown</li>
	<li>IE 11: Fix visibility issues where items set to hide on screens were showing unexpectedly</li>
	<li>Restricted Editing: Make sure users can still unpin content panel</li>
	<li>Font Settings: Sanitize FontAwesome Pro Kit URL Field to prevent HTML</li>
	<li>Improvements to prevent Google fonts from being enqueued twice in some circumstances with Global elements</li>
	<li>Row/Column BG color need sanitizing</li>
	<li>Fix YouTube row BG videos not working if you choose a start time</li>
	<li>Fix JS errors when editing/saving form items</li>
	<li>Content Slider: Fix JS error if link clicked after mobile layout kicks in and fix some styles shifting when styles re-arranged</li>
	<li>Photo Fields: fix photo field forgetting selected size if you edited alt text and other data and add new filter to select default size <code>fl_builder_default_image_select_size</code></li>
	<li>Posts Module: Fix JS error seen in FireFox</li
	<li>Subscribe Module: Fix MailPoet Integration after they upgraded their API without backwards compatibility</li>
	<li>Fix: Video background not resizing correctly when picked from Media Library</li>
	<li>Fix custom row/col background positions hiding when they shouldn't</li>
	<li>Fix preview not showing on subforms</li>
	<li>Fix debug URL throwing an error if child theme is active with no functions.php</li>
	<li>Fix JS/CSS error when options keys have a non alphanumeric character</li>
	<li>Fix Molle Google Font not working properly</li>
	<li>Fix inconsistent font-family in builder UI</li>
	<li>Widgets: Fix showing no longer exists message if the title is blank</li>
	<li>SEOPress: Fix issue with second post module on the page pagination doesn't work if category slug is removed in SEOPress.</li>
	<li>Revisions now show correct time when Site Timezone changed</li>
	<li>Fixed issue with color pickers in Dark Mode</li>
	<li>Fixed issue with ampersand used in Categories not showing properly in Loop filters section</li>
</ul>

<h4>2.4.2.5 - 07/21/2021</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Fix responsive editing while inline CSS is enabled</li>
 	<li>Accordion Module: Fix spacing issue in HTML when collapse is disabled</li>
 	<li>Subscribe Module: Fix conflict with WooCommerce Mailer Lite</li>
 	<li>Subscribe Module: Fix integration with Campaign Monitor when using PHP 8</li>
 	<li>Subscribe Module: Update MailPoet integration for their new API</li>
 	<li>Fix notice for block preload path when using WP 5.8</li>
</ul>

<h4>2.4.2.4 - 06/15/2021</h4>
<strong>Hot Fix</strong>
<ul>
 	<li>Callout Module: Fix link on icon ignoring link target setting</li>
 	<li>Allow .webp uploads when using WordPress 5.8 which adds support for .webp files</li>
 	<li>Add plugin data to data collected when opted into Sending Usage Data</li>
 	<li>Add support for SendinBlue API v3 since v2 will be discontinued at the end of the month</li>
</ul>

<h4>2.4.2.3 - 05/25/2021</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fixed column width resetting to very small/narrow</li>
</ul>

<h4>2.4.2.2 - 03/04/2021</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fixed photo cropping issue for non-subdomain multisite users</li>
	<li>Fixed update issue with Godaddy booster plugin</li>
	<li>Fixed Post Carousel blur issue with Google Chrome</li>
	<li>Fixed issue with Google Fonts not loading when applying a template<li>
</ul>

<h4>2.4.2.1 - 02/11/2021</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Contact Form Module: Escape characters in fields</li>
	<li>Post Module: Fix missing images in Safari 13 and below when using Load More or Scroll for pagination</li>
	<li>Post Module: Fix blurry images in Safari when using scroll for pagination and when using some CDNs for images</li>
	<li>When using the <code>fl_enable_shortcode_css_js</code> filter, make sure those shortcodes render in the UI/Edit Mode</li>
	<li>Revert fix for button styling applying to inputs in the Subscribe Module</li>
	<li>Fixed compatibility with ClassicPress</li>
</ul>

<h4>2.4.2 - 01/28/2021</h4>
<strong>Enhancements</strong>
<ul>
	<li>Add compatibility with Assistant .6</li>
	<li>Small changes to the Updates Unavailable message so it will show why updates are unavailable</li>
	<li>Add Alpha/Beta updates opt-in setting in Settings > Tool admin page</li>
</ul>

<strong>Bug Fixes</strong>
<ul>
	<li>Audio Module: Fix issue if audio file URL contains query strings</li>
	<li>Callout Module: Fix border radius not affecting the image</li>
	<li>Callout Module: Fix invalid HTML when using an icon</li>
	<li>Gallery Module: Fix image sequence not being correct when going through images in lightbox</li>
	<li>Heading Module: Fix Typography styling changes not showing as you change in Responsive Editing mode</li>
	<li>Posts Module: Fix content options not toggling to hidden when they should</li>
	<li>Search Module: fix fatal error when using Global Element with AJAX Search Results</li>
	<li>Subscribe Module: Fix button styling applying to placeholder text</li>
	<li>Video Module: Fix video embed code not specified notice not displaying when using connect field connection</li>
	<li>Fix dark mode syntax highlighting</li>
	<li>Fix BB UI icons not showing on Multi-Site subsites when FontAwesome Pro is enabled on the main network site</li>
	<li>Fix PHP8 notices</li>
	<li>Improvements to our sensitive code check to allow non-breaking space and other HTML entities</li>
	<li>Fix namespaced widgets showing "Widget not available" message when you go back in to edit</li>
	<li>Fix select fields showing in Responsive Editing mode when they should be hidden</li>
	<li>Fix column width consistency issue on small devices when reverse stacking is enabled</li>
	<li>Fix horizontal scrollbar on Windows machines when using a layout shortcode</li>
	<li>Fix compatibility issue with All In One SEO when using a layout shortcode on the page</li>
	<li>Fix compatibility with Real Meal Library so that folders are visible on small devices</li>
</ul>

<h4>2.4.1.3 - 12/21/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Content Slider Module: Fix empty image alt text on mobile layout (#916)</li>
	<li>Gallery Module: Fix loading issue with Collage layout (#917)</li>
	<li>Photo Module: Fix PHP notice when showing captions and loading image via URL (#937)</li>
	<li>Posts Modules: Fix PHP notices related to TEC loop (#911)</li>
	<li>Fix overridden responsive values not showing on toggle (#914)</li>
	<li>Remove Dark Mode keyboard shortcut due to customer feedback (#929)</li>
	<li>Fix TwentyTwentyOne compatibility with the menu module (#907)</li>
	<li>Make sure our sensitive code check allows <code>&amp;</code> (#924)</li>
</ul>


<h4>2.4.1.2 - 12/03/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Gallery Module: Captions do not show when image source is SmugMug (#891)</li>
	<li>List Module: Fix Duplicate Heading and Content tag options (#879)</li>
	<li>Posts Modules: Fix "match all posts except" option not working properly with TEC Events(#874)</li>
	<li>Fix Fatal errors when using PHP 5.4 and WP 4.9 and below (#875)</li>
	<li>Notifications Area: Fix background transparency (#898)</li>
	<li>Sensitive code protection: allow some improper HTML and when triggered, try to highlight the problem code (#872)</li>
	<li>Agency Version: Fix issue with Branding filter where icon doesn't work if you previously changed that value in WP admin (#849)</li>
</ul>

<h4>2.4.1.1 - 11/18/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fix RankMath integration (#866)</li>
	<li>Tweak sensitive code fix so that it doesn't prevent allowed HTML (#840)</li>
	<li>Fix updating global element does not update CSS (#838)</li>
	<li>Fix attribute preview not selecting all matching elements (#864)</li>
	<li>Fix Content Slider button padding applying to other Content Slider modules on the same page (#850)</li>
	<li>More UI Style hardening for letter-spacing in CSS (#842)</li>
</ul>

<h4>2.4.1 - 11/5/2020</h4>
<strong>Enhancements</strong>
<ul>
	<li>Button Group: Convert Button Spacing to a dimension field and make it responsive for more control (#791)</li>
	<li>Button Group: Add group name option for Accessibility</li>
	<li>The Events Calendar: Posts Module now respects the Events Calendar "Hide from Event" Listings checkbox (#495)</li>
	<li>List Module: Add Icon Width Field (#576)</li>
	<li>Add Object Cache to Cache Helper Tool (#691)</li>
	<li>Subscribe Module: Add integration with Mailjet</li>
	<li>Update FontAwesome to 5.15.1 (#784)</li>
	<li>Do not clear cache on upgrader_process_complete as cache is already cleared when BB is updated</li>
	<li>Use wp_kses_post for photo captions (#448)</li>
	<li>Make sure users who enter sensitive code have WordPress' unfiltered html capability (#448)</li>
</ul>

<strong>Bug Fix</strong>
<ul>
	<li>Accordion Module: Fix RTL issue with labels (#414)
	<li>Button Group: Fix Button Spacing not working on Safari (#791)</li>
	<li>Button Group: Fix responsive alignment (#690)</li>
	<li>Content Slider: Fix button padding not working (#625)</li>
	<li>Text Editor Module: Add compatibility with the HappyFoxChat plugin (#445)</li>
	<li>Layout Shortcodes: fix issue where an empty slug attribute can load all posts for the layout (#608)</li>
	<li>Posts Module: Move Post Grid Sizer to the bottom (#497)</li>
	<li>Posts Module: Fix compatibility with WOOF WooCommerce Products Filter (#649)</li>
	<li>Posts Module: Fix pagination on Polylang translated pages or on the WooCommerce Shop Layout when more than one module is on the page (#718 & #752)</li>
	<li>Search Module: Fix bug with the $settings variable (#779)</li>
	<li>Fix PHP notice on a 404 layout when using layout shortcodes (#693)</li>
	<li>Fix fixed background images showing as zoomed in on iPadOS (#686)</li>
	<li>Fix UI not opening on Themer Header Layout when Klaviyo plugin is active (#791)</li>
	<li>Fix Yoast Integration not reading BB content (#788)</li>
	<li>Fix Tooltips issue in User Access area of settings when WooCommerce is active (#748)</li>
	<li>Fix broken serialization during import and the "Invalid Content" dialog in some cases when editing a page or a post (#834)</li>
</ul>

<h4>2.4.0.6 - 10/12/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fixed PHP notice that appears when dropping a Menu module on the page (Issue #775)</li>
	<li>Fixed Callout modules not working in Pre-Built Rows (Issue #767)</li>
	<li>Fixed importer line break issue with imported css/js in layouts (Issue #758)</li>
	<li>Fixed fatal on Flywheel Cloud hosting when you have Lite installed and then activate a Premium version (Issue #770)</li>
</ul>

<h4>2.4.0.5 - 09/28/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Button Module: Fix lightbox not working if ID specified in module settings</li>
	<li>Callout Module: fix links not working on icons</li>
	<li>Login Module: Make strings translateable</li>
	<li>Photo Module & Callout Module: Fix cropping hanging with unreachable URLs</li>
	<li>Photo Module: new filter <code>fl_builder_photo_noimage</code></li>
	<li>Post Carousel Module: Fix equal height issue on some themes</li>
	<li>Fix Content Panel button animation</li>
	<li>Fix Themer field connection button not showing in TwentyTwenty theme</li>
	<li>Fix layout shortcode CSS issue</li>
	<li>Fix fatal error for KeyCDN Cache Enabler users</li>
	<li>WooCommerce Product Filters Add-on - fix conflict</li>
	<li>Add tiptip a dependency for admin JS</li>
</ul>

<h4>2.4.0.4 - 09/15/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fixed UI CSS issues</li>
</ul>

<h4>2.4.0.3 - 09/14/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Added pagination compatibility with Yoast SEO when category prefix is removed</li>
	<li>Fixed WordPress not redirecting Post URLs that do not exist when BB is active</li>
	<li>Fixed button group text hover global style not working for focus</li>
	<li>Fixed one.com detection on Settings page</li>
	<li>Fixed limit being bypassed on repeater fields</li>
	<li>Fixed undefined offset with <code>wp_print_styles</code></li>
	<li>Fixed Responsive Preview due to a bug in Chrome. Bug detailed here: https://bugs.chromium.org/p/chromium/issues/detail?id=843887</li>
	<li>Fixed JS error when using Vimeo video in a row background when audio is enabled</li>
	<li>Fixed Callout Module Icon links not working</li>
	<li>Fixed Posts Module buttons being broken when using jQuery 3.5.1</li>
	<li>Fixed compatibility with WordPress versions below 5.2 and ClassicPress</li>
</ul>

<h4>2.4.0.2 - 08/24/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Button Group Module: fix tabbing to button does not show text hover color</li>
	<li>Fix undefined variable $premium relating to Templates</li>
	<li>List Module: Fix string for Ordered List saying ul in tooltip for selecting an Icon </li>
	<li>Fix styling failing to load when using Woocommerce, Yoast Seo and its Woo add-on, and fl_builder_insert_layout in products</li>
	<li>Fix WP Foundation icons not showing after publish</li>
	<li>List Module: add padding option to list items globally and individual list items</li>
	<li>Fix "No plugin found" error on View Details modal on plugin page</li>
	<li>Fix Slideshow module images not rendering alt text </li>
	<li>Fix Post Carousel Lazy load issues with WordPress 5.5</li>
	<li>Set responsive preview default to No in global settings to avoid affecting existing sites</li>
	<li>Fix notice on BB Settings page when the jQuery Migrate Helper Plugin is active</li>
</ul>

<h4>2.4.0.1 - 08/12/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fixed Contact Form module: Labels still display even when set to "Show Placeholders only".</li>
	<li>Fixed PHP warning when using layout shortcodes.</li>
	<li>Fixed ACF issue where CSS was not being purged after updating ACF fields.</li>
	<li>Fixed default settings not being used in Responsive Editing and Preview when Responsive settings in Previews is set to No.</li>
	<li>Fixed lazy loading issues in post slider and contentslider modules.</li>
	<li>Includes all fixes from 2.3.2.8</li>
</ul>

<h4>2.3.2.9 - 08/11/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Added support for WP 5.5 auto updates system for plugins and themes.</li>
	<li>Fixed Rich Text editor issues in WP 5.5</li>
	<li>Fixed broken image cropping on Flywheel hosting.</li>
</ul>

<h4>2.4 "O'Shaughnessy" Aug 5 2020</h4>
Beaver Builder 2.4 is here! This is a major update and will be released as the official download on the My Account page first. Remote updates to all existing sites will begin soon!

<strong>Enhancements</strong>
<ul>
	<li>NEW: List Module</li>
	<li>NEW: Search Module</li>
	<li>NEW: Login Module</li>
	<li>NEW: Button Group Module</li>
	<li>NEW: Integration with Assistant</li>
	<li>BB Lite now has 3 additional modules: Button, Heading & Icon as well as a select few pre-made page Templates.</li>
	<li>The same new templates that were added to Lite are available in all paid versions</li>
	<li>WooCommerce Module - add ability to sort and include specific category IDs.</li>
	<li>Video Module: Add new options to show video in a Lightbox, hide player settings, and sticky positioning and embed option now renders shortcodes</li>
	<li>Row Backgrounds: Now you can use embed codes. Use html to embed videos from other sources or show sliders from other plugins using shortcodes</li>
	<li>Subscribe Module: Added GroundHogg integration. GroundHogg WP Plugin required to use.</li>
	<li>Added <code>main</code> as an option to row/column/module container element options.</li>
	<li>Responsive Editing/Preview: In global settings, you can toggle to use your actual settings for responsive editing & preview instead of the default fixed with. The breakpoint width is also displayed during Responsive Editing/Preview</li>
	<li>Add attachments to our link field search</li>
	<li>When using layout shortcodes, move the css needed to the head instead of the body to avoid validation errors.</li>
	<li>Update editor used for code editing</li>
	<li>Font Awesome Pro subset support added! See https://blog.fontawesome.com/desktop-subsetter-beta/ for more info.</li>
	<li>Keep lightbox open when Publish Shortcut Key is pressed.</li>
	<li>Posts Module: Add option to change the Post Title tag.</li>
	<li>History can now be completely disabled by setting FL_BUILDER_HISTORY_STATES to 0 or false.</li>
	<li>LiteSpeed plugin added native support for Beaver Builder so litespeed removed from supported plugins in cache extension.</li>
	<li>Add SpinupWP to cache clearing tool.</li>
	<li>Alert on BB Settings page for <code>One.com</code> hosting users when htaccess blocks all JS in uploads folder.</li>
	<li>Style hardening for UI tables, select 2 dropdowns, setting modal headings, and the media library modal.</li>
	<li>Content Slider - if transition and delay are equal or if transition is higher than delay, prevent save.</li>
	<li>Subscribe Module: Using terms and conditions check box now activates the Sendy GDPR flag for the contact</li>
	<li>Add post classes to Post Slider and Post Carousel Modules so they are consistent with the Post Module</li>
	<li>Countdown Module: Update to use a date picker and add field connection for Themer</li>
	<li>New Filter: <code>fl_tabs_id_in_label</code> to allow Tab module IDs to be used as a prefix in the module output.</li>
	<li>New filter: <code>fl_loop_paginate_links_args</code> to allow changing of the text in pagination.</li>
	<li>New filter <code>fl_media_modal_types</code> to change the file types that show in the media library for photo and video modules</li>
	<li>Accessibility: Add screen reader only text option to Icons</li>
	<li>Accessibility: Add for labels to Subscribe Module</li>
	<li>Accessibility: Allow choice of placeholders, labels or both for form elements and allow spacebar and enter to submit the form</li>
	<li>Accessibility: Testimonials Module - flip controls so markup matches display</li>
	<li>Accessibility: Menu Module - Fix accessibility issue with Flyout layout close button</li>
	<li>Debug Mode - show phpinfo() if available, add content of child theme functions.php to debug output and allow editing of Layout CSS/JS and Global JS/CSS in WP Admin if debug is enabled</li>
</ul>

<strong>Bugs</strong>
<ul>
	<li>Menu Module: Fix line height not working for link items</li>
	<li>Fix deprecated notice in PHP 7.2 or higher with InfusionSoft Library</li>
	<li>Fix a PHP Notice (offset undefined) when dropping a Posts Module on the page</li>
	<li>Remove autoload from options that we can, like fl_notifications</li>
	<li>Fix a fatal error in certain cases when a used module goes missing</li>
	<li>Fixed lodash issue when using Events Calendar and Assistant plugins.</li>
	<li>Fixed Importer issues: imported items not showing the layout CSS/JS and other minor fixes</li>
	<li>Fixed Import/Export not working with custom modules with _ in slug.</li>
	<li>Fixed MultiSite domain mapping causing responsive settings to go full screen.</li>
	<li>Fixed Autoptimize aggregate CSS causing responsive settings to go full screen.</li>
	<li>SlideShow Module: Fixed notice for alt tag displaying</li>
	<li>Hide Block Editor Inserter when editing a BB-enabled post</li>
	<li>Fixed JS error of Post Spacing left blank in post Carousel</li>
	<li>Fixed incorrect history order on sites running the MyISAM database engine.</li>
	<li>Make sure mediaelementplayer library is available before trying to access.</li>
	<li>Fixed typo error which resulted to incorrect editing status message.</li>
	<li>Links to CSS files were sometimes broken when loading via shortcode.</li>
	<li>Fix for Parallax on Safari iPadOS. Parallax is now disabled to avoid unwanted zoom on parallax images.</li>
	<li>Fix for Video background not sized properly on the TwentyTwenty theme.</li>
	<li>Add Sanitation for row background slider speed and transition settings</li>
	<li>Fix for conflict with Mailster plugin where post data did not show in WP Admin.</li>
	<li>Fix z-index issue with Menu Module sub-menu  and Content Slider Arrows</li>
	<li>Fixed using Template in BB Categories causing Saved Templates item not to show in content panel</li>
	<li>Fix column and row text color settings overriding module set text colors</li>
	<li>Fix color picker order not being saved after publish</li>
	<li>Fix conflict with Pop-up Builder plugin and Text Editor module</li>
	<li>Fix Post Slider text background color not displaying</li>
	<li>Fix typos/capitalization issues in some strings</li>
	<li>Fix form fields not showing correct responsive editing device</li>
	<li>Fix row background custom position fields not toggling properly</li>
	<li>Fix callout module links not properly showing as nofollow when selected</li>
	<li>Fix callout link text alignment</li>
</ul>

<h4>2.3.2.7 - 07/29/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fixed deprecated function warning in WP 5.5</li>
	<li>Fixed an WordPress object cache bug when duplicating node templates.</li>
	<li>Update Tested Up To for WP 5.5</li>
</ul>

<h4>2.3.2.6 - 06/30/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Update Mailerlite API files.</li>
</ul>

<h4>2.3.2.5 - 03/24/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Update Font Awesome to 5.13 to include new virus/bacteria icons see: https://fontawesome.com/changelog/latest</li>
	<li>Fixed undefined settings JS error on row hover.</li>
</ul>

<h4>2.3.2.4 - 03/16/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fix edit link for settings JS.</li>
</ul>

<h4>2.3.2.3 - 03/16/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fixed alignment issue of color picker X icon on Firefox.</li>
	<li>Fixed template importer issue.</li>
	<li>Fixed JS error in legacy settings response.</li>
	<li>Updated license warning logic in wp-admin.</li>
	<li>Sanitize page title in Builder UI.</li>
</ul>

<h4>2.3.2.2 - 02/20/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Revert Border field fix.</li>
</ul>

<h4>2.3.2.1 - 02/20/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Revert Callout fix.</li>
</ul>

<h4>2.3.2 - 02/20/2020</h4>
<strong>Enhancements</strong>
<ul>
	<li>New filter <code>fl_builder_register_module_settings_form</code>, this filter is run after the advanced tab is added.</li>
	<li>Updated Font Awesome to 5.12.1</li>
	<li>New filter <code>fl_varnish_url</code>.</li>
	<li>Add Background Color to Column Settings when the BG Type is set to 'photo'.</li>
	<li>Use simplexml importer if available.</li>
	<li>Show custom media path in debug info.</li>
</ul>
<strong>Bug Fixes</strong>
<ul>
	<li>Fixed various PHP 7.4 warnings.</li>
	<li>Callout: Set overflow to hidden when Border Field is used.</li>
	<li>Fixed Callout Link Alignment.</li>
	<li>Aweber: Use pagination for fetch all lists.</li>
</ul>

<h4>2.3.1.2 - 02/05/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Prevent script and iframe code being added to layout and global css/js settings.</li>
	<li>Added warning to admin license page if wrong version is installed for license which prevents updates.</li>
	<li>Fixed global row settings not opening in new window to edit row.</li>
	<li>Fixed per-node CSS rendering when it doesn't need to.</li>
	<li>Fixed subscribe module tags/lists when tags contain invalid characters.</li>
	<li>Allow shortcodes in row background image setting when set to url.</li>
	<li>Fixed issue with Smush Pro iframe lazyload.</li>
</ul>

<h4>2.3.1.1 - 01/21/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fixed Icon Group spacing issue.</li>
</ul>

<h4>2.3.1 - 01/16/2020</h4>
<strong>Enhancements</strong>
<ul>
	<li>Added responsive alignment controls to Icon Group.</li>
	<li>Added available downloads to debug info.</li>
	<li>When using Youtube video for row background, use fallback as start image then fade in when video loads.</li>
	<li>Respect <code>fl_builder_render_admin_edit_ui</code> filter if using Block Editor.</li>
</ul>
<strong>Bug Fixes</strong>
<ul>
	<li>Fixed cache clearing on Kinsta.</li>
	<li>Fixed Block Editor builder links broken in WP 5.0-5.2</li>
	<li>Style hardening in Builder UI.</li>
	<li>Fixed Font Awesome Pro multisite issue on subsites.</li>
	<li>Added missing Node ID to the Callout Module's icon.</li>
	<li>Fixed submenu toggle on mobile devices.</li>
	<li>Fixed background-clip issue on row borders.</li>
	<li>Fixed post slider thumbnails disappearing if you exclude a post.</li>
	<li>Fixed safemode JS error FLBuilderLayout not defined.</li>
</ul>

<h4>2.3.0.3 - 01/09/2020</h4>
<strong>Hot Fix</strong>
<ul>
	<li>Fixed typography slider controls when using touch enabled devices.</li>
	<li>Fixed fatal PHP error if using slideshow row background and slideshow module is disabled.</li>
	<li>Fixed rare PHP error when determining template type. </li>
	<li>Fixed Builder not opening issue when using Yoast and Block Editor.</li>
	<li>Added dependency checks for disabled modules.</li>
	<li>Added <code>fl_select2_enabled</code> filter to disable select2.</li>
</ul>

<h4>2.3.0.2 - 01/02/2020</h4>
<strong>Hot Fix</strong>
<ul>
  <li>Use Select2 library for font selection.</li>
  <li>Update Font Awesome to 5.12</li>
  <li>Fixed PHP warning to make sure the post object is an instance of WP_Post.</li>
	<li>Fixed <code>fl_builder_pre_render_css_rules</code> filter.</li>
  <li>Style hardening for builder UI when using 2020 theme.</li>
</ul>

<h4>2.3.0.1 - 12/11/2019</h4>
<strong>Hot Fix</strong>
<ul>
    <li>Fix Launch BB button so that it does not prompt you to leave/cancel when using WordPress 5.3</li>
    <li>Subscribe Module: Update for compatibility with Sendy 4</li>
</ul>

<h4>2.3 - 12/3/2019</h4>
<strong>Enhancements</strong>
<ul>
 	<li>You can now re-arrange your color presets</li>
 	<li>New filter <code>fl_remember_settings_tabs_enabled</code> to disable the UI remembering the last tab</li>
</ul>
<strong>Bug Fixes</strong>
<ul>
 	<li>Reduce memory consumption in WP admin by limiting the scope of data we request for the sorting feature</li>
 	<li>Prevent our data validation inside the UI from applying to widgets</li>
	<li>Fixed recently used fonts not being applied properly.</li>
</ul>

<h4>2.3 Beta 3 - 11/27/2019</h4>
<strong>Bug Fix</strong>
<ul>
 	<li>Fixed Importer issues.</li>
 	<li>Fixed Font Awesome Shim CSS.</li>
</ul>
<h4>2.3 Beta 2 - 11/25/2019</h4>
<strong>Enhancements</strong>
<ul>
 	<li>Remember which settings tab was last open when opening new settings windows.</li>
 	<li>Debug Info: Show modules and includes folder paths if used in child theme and what modules are being overridden.</li>
 	<li>Sort the Template Category in the Page Builder UI when override is enabled</li>
</ul>
<strong>Bug Fixes</strong>
<ul>
 	<li>Fixed DuoTone icon issues with Icon Group Module
Fixed default text still appearing even after being removed</li>
 	<li>Fixed Accordion label background icon css issue</li>
 	<li>Fixed Accordion issue where DuoTone options were showing when they shouldn't be</li>
</ul>
<strong>Compatibility</strong>
<ul>
 	<li>Fixed issue where EventEspresso stylesheet hides Text Editor module tabs and Add Media Button</li>
</ul>
<h4>2.3 Beta 1 - 11/13/2019</h4>
<a href="https://kb.wpbeaverbuilder.com/category/769-23-beta">Please review the docs</a>

<strong>Enhancements</strong>
<ul>
 	<li>Undo/Redo</li>
 	<li>History Manager</li>
 	<li>Touch Support: Use BB on a mobile device.</li>
 	<li>Module Copy/Paste Settings (in Advanced tab)</li>
 	<li>New BigCommerce module to display content from BigCommerce (<strong>BigCommerce plugin required</strong>)</li>
 	<li>Body classes added based on device size <code>fl-builder-breakpoint-small</code></li>
 	<li>New filter to completely disable modules from loading <code>is_module_disable_enabled</code></li>
 	<li>Visibility icon now shows what rule is active (e.g. logged in / out)</li>
 	<li>FontAwesome: Update FontAwesome icons and Enable Pro in settings as well as added support for Kits and the DuoTone icon set</li>
 	<li>Added new filter to enable shortcodes in layout/global CSS and JS <code>fl_enable_shortcode_css_js</code></li>
 	<li>Decreased page load by approximately 20% by caching internal variables.</li>
</ul>
<strong>Bug Fixes</strong>
<ul>
 	<li>Fixed scrolling not working when trying to move elements while Responsive Editing is enabled</li>
 	<li>Subscribe Form Module: Fixed HTML being stripped out of success message</li>
</ul>

<h4>2.2.6.2 - 11/18/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed importer issue.</li>
	<li>Fixed Accordion active/focus CSS issue.</li>
	<li>Removed Wrapper.php from phpxmlrpc vendor package as it flagged up a false positive for malware and isn't actually used.</li>
	<li>Fixed JS error with Yoast integration if Yoast meta box is disabled for post-type.</li>
	<li>Fixed add media modal CSS issue introduced in WP 5.3</li>
	<li>Fixed HTML being stripped in subscribe module success message.</li>
	<li>Fixed typo in video background markup.</li>
	<li>Fixed MODSEC issue with partial layout rendering.</li>
</ul>

<h4>2.2.6.1 - 11/04/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>New filter <code>fl_builder_module_groups</code>.</li>
	<li>New JS hooks <code>didCancelNodeSettings</code> and <code>didTriggerSettingsSave</code>.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed XML import issue where illegal characters pasted from MSWord will break the importer.</li>
	<li>Fixed some CDNs breaking the builder UI when responsive preview is active.</li>
	<li>Fixed issue with spaces in font families not having quotes added in css.</li>
	<li>Fixed multisite issue with Cache Enabler plugin during publish.</li>
</ul>

<h4>2.2.6 - 10/18/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added support for flushing Cloudflare if official plugin is installed.</li>
	<li>Photo Module: Added option to show/hide title attribute.</li>
	<li>Minified slideshow CSS file.</li>
	<li>Added workflow support for Drip email service in subscribe form.</li>
	<li>Row Background Images: Added support for custom positions.</li>
	<li>New filter <code>fl_builder_photo_data</code> added.</li>
	<li>Added URL as a Row Background Photo option with optional title.</li>
	<li>Added reCAPTCHA v3 support to Contact and Subscribe modules.</li>
	<li>Post Module excerpt length slider increased from 100 to 1000.</li>
	<li>Added aria-label to Content Slider background links for accessibility.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed bxslider issues.</li>
	<li>Fixed schema output in Video module even when schema disabled.</li>
	<li>Fixed issue with multiple/repeater form limits.</li>
	<li>Fixed various serialised data issues in template dat files.</li>
	<li>Show message if user already subscribed to Mailchimp.</li>
	<li>Fixed settings display issues when using Twenty Nineteen theme.</li>
	<li>Fixed empty H3 in Testimonial module.</li>
	<li>Content slider: If transition speed is not lower than delay show a warning.</li>
	<li>Fixed BG Row Video still showing video even when already removed from the Settings UI.</li>
	<li>Fixed reverse stacking columns going fullwidth on responsive layout.</li>
	<li>Fixed issues with Cookiebot plugin.</li>
</ul>

<h4>2.2.5.3 - 09/25/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed Content Slider: Style tab disappears once slides are edited.</li>
	<li>Fixed another equal heights column with responsive visibility issue.</li>
	<li>Fixed issue on with ace code editor on SiteGround if their ForceSSL option is enabled.</li>
</ul>

<h4>2.2.5.2 - 09/11/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed unescaped alt tag in slideshow javascript.</li>
	<li>Fixed row content layout when margin-top is set to negative value.</li>
</ul>

<h4>2.2.5.1 - 09/05/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed background video issues.</li>
	<li>Fixed responsive visibility issue with equal heights column.</li>
	<li>Fixed vertical tabs display issue.</li>
</ul>

<h4>2.2.5 - 09/04/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Accessibility: Added title attribute setting for iframe in Map module.</li>
	<li>Accessibility: Added TAB functionality to Menu module.</li>
	<li>Accessibility: Improved accessibility of Tabs and Accordion modules.</li>
	<li>Accessibility: Added alt attribute to slideshow images.</li>
	<li>Accessibility: Always show label setting as it is also used for aria attribute in Menu module.</li>
	<li>Added maxlength setting for Textarea fields.</li>
	<li>Row videos can now use shortcodes for url.</li>
	<li>Added an option to enable video background in mobile.</li>
	<li>Added Collection Schema to Posts module when not post post-type.</li>
	<li>Added new filter <code>fl_builder_get_asset_info_post_id</code>.</li>
	<li>Added new filter <code>fl_render_featured_image_fallback</code>.</li>
	<li>Added global option to disable column max-width on responsive layout.</li>
	<li>Added preload="none" to self hosted videos.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed issue with settings lightbox if off the screen last time it was saved.</li>
	<li>Fixed template post type links showing as results in Gutenberg suggested links.</li>
	<li>Fixed PHP notice when post types option is not empty in the network admin settings.</li>
	<li>Fixed updater logic clearing caches for all subsites when not needed on multisites.</li>
	<li>Fixed bullet point css issue in Pricing module.</li>
	<li>Fixed equal height issue on columns when visibility is set to medium.</li>
	<li>Fixed FireFox bug for row with negative margins not working on equal height columns.</li>
	<li>Fixed circle cut-off on Number Counter when the Stroke Size value is large.</li>
	<li>Fixed saved column settings update/save error.</li>
	<li>Fixed Mobile Menu not closing when clicked outside the toggle button.</li>
	<li>Fixed row bg disappearing with ACF field connection and Yoast active</li>
	<li>Fixed inline editor issues when WPML is enabled.</li>
	<li>Fixed responsive issue in post carousel when equal height is enabled and parent row is set to full height or custom.</li>
</ul>

<h4>2.2.4.5 - 08/28/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>New filter added <code>fl_builder_art_register_shape</code>.</li>
	<li>Added support for Nginx Helper plugin in cache extension.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed Infusionsoft fatal error due to missing library folder.</li>
	<li>Fixed jQuery Validate issue if no messages object is setup in settings.js</li>
</ul>

<h4>2.2.4.4 - 08/21/2019</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed fallback image and text alignment on Posts module List Layout.</li>
	<li>Fixed Numbers Module if float value is used.</li>
	<li>Fixed Subscribe Form module's URL Redirect.</li>
	<li>Fixed Editor tab missing when using Classic Editor and Yoast plugins.</li>
	<li>Fixed Beaver Builder sorting link appearing in EDD main settings.</li>
</ul>


<h4>2.2.4.3 - 07/31/2019</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed issue when json_encode returns no output stopping module settings from displaying.</li>
	<li>Fixed possible JS issue and PHP buffer issue when editing pages when SEO plugins are enabled.</li>
</ul>

<h4>2.2.4.2 - 07/24/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added support for Yoast and RankMath to analyse layout contents for SEO in post edit screen.</li>
	<li>Removed template post-type from Yoast and RankMath sitemaps.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed database query issue when duplicating layouts on MariaDB 10.3+</li>
	<li>Fixed issue with ThirstyAffiliates plugin.</li>
</ul>

<h4>2.2.4.1 - 07/20/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed AJAX response 0 error popup for 3rd party extensions.</li>
</ul>

<h4>2.2.4 - 07/19/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added support for ACF to clear cache when ACF fields are updated.</li>
	<li>Added detection for 403 errors in ajax with link to KB.</li>
	<li>Removed deprecated functions like_escape and wp_get_sites.</li>
	<li>Added Themer connection for max number in Number Module.</li>
	<li>New filter <code>fl_builder_after_render_shortcodes</code>.</li>
	<li>New action <code>fl_builder_hidden_node</code>.</li>
	<li>Added responsive support for match height option in the posts module.</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed relative url issues in text editor and inline editor for links and images.</li>
	<li>Fixed issue with Pipedrive Chat plugin.</li>
	<li>Fixed issue with Post Type Switcher plugin.</li>
	<li>Fixed issue with Google Reviews Business Plugin.</li>
	<li>Fixed PHP notice in posts grid module.</li>
	<li>Fixed multisite issue with wp-super-cache, only active site cache is cleared not entire cache.</li>
	<li>Fixed branding on Tools settings page.</li>
	<li>Fixed icon-group CSS issues and removed empty element when there is no text.</li>
	<li>Fixed Gallery collage impacting animations in other modules.</li>
	<li>Fixed background/border CSS issue in Accordion module.</li>
	<li>Fixed mobile menu icon missing at 993px in Menu module.</li>
	<li>Fixed expanded mobile menu not closing when clicked outside of the module.</li>
	<li>Fixed missing quotes in Accordion module markup.</li>
	<li>Removed flpaging query string in pagination.</li>
	<li>Keep initial $post object and reset globals after loop.</li>
	<li>Various branding updates to error messages.</li>
	<li>Updated Infusionsoft xmlrpc library for PHP7.2 support.</li>
</ul>

<h4>2.2.3.3 - 06/19/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fix unclosed element in icon markup.</li>
</ul>

<h4>2.2.3.2 - 06/19/2019</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed wrong CSS when in preview mode and typography is set to vw.</li>
	<li>Fixed Featured Image size missing in List layout.</li>
	<li>Fixed text field not working on Icon module when using render_module_html function.</li>
</ul>

<h4>2.2.3.1 - 06/13/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Updated Font Awesome to 5.9.0</li>
	<li>Added comments to layout.js when in debug mode to show user/global JS.</li>
	<li>New filter <code>fl_builder_google_font_args</code> to pass args to google font url See: <code>https://developers.google.com/fonts/docs/getting_started#enabling_font_effects_beta</code> for examples.</li>
	<li>Updated language files.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed JS error caused by um-switcher plugin.</li>
	<li>Fixed user level issue when adding global modules and user does not have edit permissions.</li>
	<li>Fixed typos in global settings and contact form help texts.</li>
	<li>Fixed relative urls issue in rich-text module.</li>
	<li>Fixed PHP warning in font system if font is still being used but is no longer registered in the system.</li>
	<li>Fixed fatal error when clearing cache if Hummingbird cache is still installed but not active.</li>
</ul>

<h4>2.2.3 - 05/08/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>New option for post grid, featured image fallback image.</li>
	<li>Added ability to disable ALL schema via <code>fl_builder_disable_schema</code> filter.</li>
	<li>Added support for Pantheon cache.</li>
	<li>Crash message now uses white label product name.</li>
	<li>New filter <code>fl_builder_crash_white_label_text</code> to change info text.</li>
	<li>Added url field connection to pricing table button.</li>
	<li>New filter <code>fl_builder_photo_attributes</code> added to Photo module.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Show warning popup if Max Input Vars is exceeded during save action.</li>
	<li>Fixed the missing bottom border at certain screen sizes for post carousel.</li>
	<li>Fixed layout CSS for layouts other than the one being actively edited not rendering in the builder.</li>
	<li>Fixed global settings not refreshing for nodes after saving.</li>
	<li>Fixed importer issue.</li>
	<li>Removed HTML added by a chrome extension in template dat files.</li>
	<li>Fix icon issues with Frontend Dashboard version 1.3.4+</li>
	<li>Fixed date dropdown being hidden when adding media.</li>
	<li>Fixed no follow not being used in icon group module.</li>
	<li>Fixed duplicate posts when paginating random order with scroll or load more pagination.</li>
	<li>Fixed TinyMCE colors not overriding style tab colors in the Text Editor module.</li>
	<li>Fixed strong tags not showing as bold when a weight is set in the Text Editor module.</li>
	<li>Fixed gallery lightbox pagination issue when an image caption contain links.</li>
	<li>Make sure global column is clickable when restrict editing is enabled.</li>
	<li>Added width to photo container so it works with shrink header in Themer.</li>
	<li>Fixed saved columns categories not showing in the builder panel.</li>
	<li>Fixed flashing behaviour when using insert layout shortcode</li>
	<li>Fixed WP-Rocket lazyload issue on Themer layouts</li>
	<li>Fixed issue on multisite if the old fa4 set was enabled on main site you could not use any other sets.</li>
</ul>

<h4>2.2.2.6 - 04/25/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed issue with Grammerly, LastPass and Keeper browser extensions all breaking AJAX save actions.</li>
	<li>Fixed schema output in post-grid module.</li>
	<li>Dont show Beaver Builder enabled post count on our own post type pages.</li>
	<li>Show warning on license settings page if Curl is not installed.</li>
	<li>Debug mode will now auto turn off after 48 hours.</li>
	<li>New filter <code>fl_render_content_by_id_attrs</code> in render_content_by_id function to filter the html attributes for the container.</li>
	<li>New filters added for the UI Bar buttons text:</li>
	<ul>
		<li><code>fl_builder_ui_bar_discard</code></li>
		<li><code>fl_builder_ui_bar_draft</code></li>
		<li><code>fl_builder_ui_bar_review</code></li>
		<li><code>fl_builder_ui_bar_publish</code></li>
		<li><code>fl_builder_ui_bar_cancel</code></li>
	</ul>
</ul>

<h4>2.2.2.5 - 04/16/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed some Google fonts not rendering correctly if they have numbers in the font name.</li>
	<li>Updated the crash error message popup text.</li>
	<li>Update checks now use SSL urls.</li>
	<li>Fixed preview issue. Type unit was using the number value instead of the unit value.</li>
	<li>Fixed WPCLI issue when using PHP5.</li>
	<li>Fixed issue with Maps module and ACF map field connection.</li>
	<li>Fixed undefined index warning on some Woocommerce pages.</li>
	<li>Reverted text editor module styles overriding individual styles set in TinyMCE added in 2.2.2.1</li>
</ul>

<h4>2.2.2.4 - 04/08/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed settings.js not being executed in 3rd party plugins.</li>
</ul>

<h4>2.2.2.3 - 04/06/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed Javascript error in Post Grid.</li>
	<li>Fixed incorrect schema markup in Post Grid.</li>
</ul>

<h4>2.2.2.2 - 04/04/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Added missing debounce dependency for Post Grid Module if scroll is used for pagination.</li>
	<li>Fixed an issue where deleting a Global Saved Module affects the other globals in a layout.</li>
</ul>

<h4>2.2.2.1 - 04/03/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Updated Font Awesome to 5.8.1</li>
	<li>Added popup with link to support when a fatal error is detected in AJAX.</li>
	<li>Removed references to Font Awesome 4, if its still needed by a module or the theme a shim will load to map icons to FA5.</li>
	<li>Added option to set placeholder text in Subscribe Module.</li>
	<li>Added order by random option to Content Slider Module.</li>
	<li>Added sanitization to global settings on save.</li>
	<li>New filter <code>fl_post_grid_disable_schema</code> to disable all schema in Post Grid Module.</li>
	<li>When restoring a layout revision the JS and CSS are now included in the revision.</li>
	<li>Added general post counts to debug info page.</li>
	<li>Title bar now shows what you are editing, row/module/page etc.</li>
	<li>Added setting for responsive menu label in Menu Module.</li>
	<li>Added support for youtu.be links in jQuery.magnificpopup.</li>
	<li>Added shape name as a CSS class to shape layer for easier styling.</li>
	<li>Added <code>nav</code> markup and schema to Menu Module.</li>
	<li>Added more WPCLI support, you can now control Themer layouts.</li>
	<li>Added indicators to main UI menu if there are revisions and css/js for the current layout.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed rare save error caused by broken zlib server PHP settings.</li>
	<li>Fixed internal templates showing in the link dropdown when using tinymce.</li>
	<li>Fixed several browser jQuery deprecation warnings.</li>
	<li>Fixed UI glitch with colorpicker in Firefox, X to reset was misaligned.</li>
	<li>Fixed incorrect order of media queries rendered with FLBuilderCSS.</li>
	<li>Fixed a bug where unable to add new module when editing a saved column.</li>
	<li>Fixed laggy module settings caused by updated jQuery.validate library.</li>
	<li>Fixed Youtube background no longer auto-playing in Safari when audio is On.</li>
	<li>Fixed text editor module styles overriding individual styles set in TinyMCE.</li>
	<li>Fixed functions being stripped from tiny_mce_before_init because of JSON.Stringify().</li>
	<li>Fixed jQuery migrate warning in _initTimezoneField().</li>
	<li>Make sure submenu icon won't display on mobile if sets to None in Menu Module.</li>
	<li>Removed all frameborder=0 as it is not needed in modern browsers.</li>
	<li>Removed focus CSS from tinymce textarea.</li>
	<li>Removed Caldera Forms Widget fix added in 2.2.1.5, Caldera Forms 1.8.4 fixed the issue.</li>
</ul>

<h4>2.2.1.5 - 03/20/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Updated Font Awesome to 5.8.0!</li>
	<li>Patched bxslider to fix link problem in latest Chrome release.</li>
	<li>Fixed issue with Caldera Forms widget.</li>
	<li>Fixed undefined height/width in photo module if using non images like SVGs.</li>
	<li>Fixed issue with disappearing content when switching from the Builder to Gutenberg.</li>
	<li>Fixed CSS issue with connections toggle being hidden.</li>
	<li>Fixed white label issue with template categories.</li>
	<li>Updated jQuery Mosaic to fix Gallery Module issue.</li>
	<li>Fixed PHP notices in Infusionsoft and Mailerlite subscribe services.</li>
</ul>

<h4>2.2.1.4 - 03/05/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed PHP notice in WPML global node filter.</li>
	<li>Fixed fatal JS error with SumoMe plugin.</li>
	<li>Fixed PHP notice if a deleted font is registered.</li>
	<li>Run fl_builder_cache_cleared after plugin update.</li>
</ul>

<h4>2.2.1.3 - 02/27/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Updated translations, introduced de_formal and finally fixed de_de.</li>
	<li>Fixed the form filter for settings presets throwing an error when sections or fields aren't defined.</li>
	<li>Fixed a recursion bug when rendering WPML translated global columns.</li>
	<li>Fixed more issues with SiteGround plugin.</li>
</ul>

<h4>2.2.1.2 - 02/20/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed Prebuilt Rows on multisite.</li>
	<li>Fixed Text Editor links and relative urls on images.</li>
	<li>Fixed Content Slider button colors.</li>
</ul>

<h4>2.2.1.1 - 02/14/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed JS issue on module setting.</li>
	<li>Fixed background overlay z-index issues.</li>
</ul>

<h4>2.2.1 - 02/13/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Allow admin post type list to be sorted by builder enabled.</li>
	<li>Add support for vw units for font-size in the Typography settings for modules.</li>
	<li>Show recently used fonts in font selector.</li>
	<li>Filter <code>fl_get_fa5_url</code> added to change the actual URL enqueued for FA5.</li>
	<li>Added new filter to Map Module <code>fl_builder_map_args</code>.</li>
	<li>Updated jQuery.validate to 1.18 to allow for customizable error messages.</li>
	<li>Updated Flyout Menu icon to use FA5.</li>
	<li>Changed Template taxonomy label from Categories to Categories ( Beaver Builder ) to avoid confusion in CPT plugins.</li>
	<li>Allow modules to only display certain parts of the typography settings.</li>
	<li>Add optional limit for multiple setting types, when limit is reached user can not add/copy.</li>
	<li>Pass Youtube Embed Parameters StartTime and EndTime to Youtube Player API.</li>
	<li>Convert notifications to use native WP cron.</li>
	<li>Updated inline action and filter docs for use on hooks.wpbeaverbuilder.com</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed relative urls issue when adding images to rich-text module.</li>
	<li>Fixed an issue with IE11 in layout css.</li>
	<li>Fixed submenu issue in IE11 caused by z-index.</li>
	<li>Fixed subject field connections not working with insert.</li>
	<li>Fixed custom svg icons and groups not working for module aliases.</li>
	<li>Fixed select fields not displaying selected value if all values are numbers.</li>
	<li>Fixed modules ordering and sorted alphabetically.</li>
	<li>Fixed Number Counter issue with Firefox and decimal numbers.</li>
	<li>Fixed PHP notice when no image is selected but lightbox is used in Photo Module.</li>
	<li>Fixed mega-menu issue with hide-heading on mobile menu.</li>
	<li>Fixed fatal error in MailPoet 3 integration.</li>
	<li>Fixed HTML module RTL language layout issue.</li>
	<li>Fixed below row style in menu module when animation is enabled.</li>
	<li>Fixed content slider buttons CSS not being applied.</li>
	<li>Fixed invalid css if text color happens to be empty.</li>
	<li>Fixed heading color not working when editing saved heading module.</li>
	<li>Fixed auto spacing issue on mobile for columns.</li>
	<li>Fixed rich-text module dropdowns being transparent if white text is selected in theme.</li>
	<li>Changed row overlay background pseudo selector to :before to prevent z-index issues.</li>
	<li>Posts module - Feed layout - hide image width option when it doesn't apply.</li>
	<li>Fixed unnecessary large queries being used for demo usage stats data.</li>
</ul>

<h4>2.2.0.7 - 02/06/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Multisite saved rows templates issue fixed.</li>
	<li>Font Awesome updated to 5.7.1</li>
</ul>

<h4>2.2.0.6 - 01/24/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Update Font Awesome to 5.6.3</li>
	<li>Fixed PHP warnings in Heading module if non existent font is selected when upgrading to 2.2</li>
	<li>Fixed theme white labeling not escaping apostrophes.</li>
	<li>Fixed Themer Preview menu being incorrectly centered.</li>
	<li>Fixed Content Slider button alignment.</li>
	<li>Fixed margin/padding placeholders not showing as zero when the global settings are empty.</li>
	<li>Fixed posts not being converted to the BB block when updating to 5.0</li>
	<li>Fixed Builder link missing on new page when classic editor plugin is active.</li>
</ul>

<h4>2.2.0.5 - 01/14/2019</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed fatal error with Livemesh addons.</li>
	<li>Fixed Google Fonts showing italic when set to default/normal.</li>
	<li>Fixed Menu Module font sizes.</li>
</ul>

<h4>2.2.0.4 - 01/10/2019</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed fade left/right animations being reversed when updating to 2.2.</li>
	<li>Fixed row width unit not applying to new rows when changed in the global settings.</li>
	<li>Fixed Powerpack overlay setting not showing in 2.2.</li>
</ul>

<h4>2.2.0.3 - 01/08/2019</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added 12 new pre-built row templates for a total of 100.</li>
	<li>Added typography settings for the caption in the photo module.</li>
	<li>You can now select font weights for the default font.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed various RTL issues with 2.2.</li>
	<li>Fixed BB's admin UI for the Classic Editor plugin not showing in certain cases.</li>
	<li>Fixed typography settings only falling back to sans-serif.</li>
	<li>Fixed 'Default' showing twice for the default font weight.</li>
	<li>Fixed responsive editing mode not always picking up the medium size as a fallback for the small size.</li>
</ul>

<h4>2.2.0.2 - 12/12/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Update Font Awesome to 5.6.1</li>
	<li>Fixed hidden editor when ACF is active on post/page edit screen.</li>
	<li>Fixed PHP fatal error caused by SEO Press plugin when adding layouts/templates.</li>
	<li>Fixed a JS error when using Cloudfront platform.</li>
	<li>Fixed missing excerpts for posts module in WP 5.0</li>
</ul>

<h4>2.2.0.1 - 12/03/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed internal server error with the video module when bcmath is not enabled in PHP.</li>
	<li>Fixed JS error when using CloudFront.</li>
</ul>

<h4>2.2 - 11/27/2018</h4>
<p>Beaver Builder 2.2 is here! This is a major update and will be released as the official download on the <u>My Account page first</u>. Remote updates to all existing sites will begin in early January.</p>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added settings for selecting either div, article or li containers for posts in the posts module.</li>
	<li>Renamed "Header" prebuilt rows to "Heroes."</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed duplicate prebuilt rows showing in the content panel.</li>
	<li>Fixed not being able to select 0% alpha or 100% black in the color picker.</li>
	<li>Fixed settings panels rendering off screen in certain cases.</li>
	<li>Fixed featured images not respecting the posts module border radius setting.</li>
	<li>Fixed posts module box shadows being cut off.</li>
	<li>Fixed photo module responsive alignment not working correctly.</li>
	<li>Fixed low contrast text in the module search input while using dark mode.</li>
	<li>Fixed columns disappearing when clicking the move option without moving the column.</li>
	<li>Fixed row and column background overlays not respecting the border radius settings.</li>
</ul>

<h4>2.2-beta.3 - 11/13/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed vertically aligned columns not working on small devices.</li>
	<li>Fixed equal height columns not working while the builder is active when device size logic has been applied to the column.</li>
	<li>Fixed responsive preview not correctly rendering image widths with an empty setting value.</li>
	<li>Fixed menu module link spacing when updating to 2.2.</li>
	<li>Fixed menu module background color when updating to 2.2.</li>
	<li>Fixed icons with backgrounds having wrong line height.</li>
	<li>Fixed settings menus cut off in responsive editing mode.</li>
</ul>

<h4>2.2-beta.2 - 11/09/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added labels to the first row of the border field's general section.</li>
	<li>Added structured data settings to the video module.</li>
	<li>Added a remove button for row background videos.</li>
	<li>Added default option for font weights so strong tags still work when a family is selected.</li>
	<li>Added the ability to collapse settings sections by clicking the entire section header.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed italic Google fonts not working correctly.</li>
	<li>Fixed CSS errors with empty icon group styles.</li>
	<li>Fixed CSS/JS for hidden nodes still rendering on the page.</li>
	<li>Fixed responsive photo fields not working correctly.</li>
	<li>Fixed repeater photo fields not working correctly.</li>
	<li>Fixed menu module font size defaulting to zero.</li>
	<li>Fixed responsive preview not working when parsing a stylesheet fails with a CORS error.</li>
</ul>

<h4>2.2-beta.1 - 10/24/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added prebuilt rows to the content panel.</li>
</ul>

<h4>2.2-alpha.2 - 10/04/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Hardened UI styles to prevent style creep from themes.</li>
	<li>Added Themer custom field connections to all color fields.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed drag and drop breaking when dragging while another element hasn't finished refreshing after save.</li>
	<li>Fixed some changes not saving when done quickly on slow connections.</li>
	<li>Fixed the position of duplicated elements being incorrect when moving the original element during the duplicate process.</li>
	<li>Fixed modules disappearing if moved and the the old column is deleted while the move is saving.</li>
	<li>Fixed dragging into rows that are being saved. That causes things to disappear until the page is refreshed.</li>
	<li>Fixed columns being highlighted as empty after dropping a module to create a new column.</li>
	<li>Fixed pasting into inline editors retaining the copied formatting.</li>
</ul>

<h4>2.2-alpha.1 - 09/05/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed row shape issues and refined internal logic.</li>
	<li>Fixed black borders in the video module when aspect ratio is not maintained.</li>
	<li>Fixed Google map markers not displaying properly in accordions and tabs.</li>
</ul>

<h4>2.2-dev.9 - 08/28/2018</h4>
<p><strong>Button Module</strong></p>
<ul>
	<li>Added responsive border settings.</li>
	<li>Added live preview to button background colors.</li>
	<li>Converted font size setting to a responsive typography setting.</li>
	<li>Converted padding setting to a responsive dimension setting.</li>
	<li>Removed transparent button style. That is now done with alpha backgrounds and border settings.</li>
	<li>Reorganized style settings to work with the new settings.</li>
	<li>Updated all modules that use buttons with new settings.</li>
</ul>
<p><strong>Callout Module</strong></p>
<ul>
	<li>Added background color, border, and padding settings.</li>
	<li>Added link color and typography settings.</li>
</ul>
<p><strong>Fixes</strong></p>
<ul>
	<li>Fixed dark UI affecting buttons in the WordPress media library.</li>
</ul>

<h4>2.2-dev.8 - 08/21/2018</h4>
<p><strong>Fixes</strong></p>
<ul>
	<li>Fixed dimension and unit fields not previewing correctly in compound settings (typography, border, etc).</li>
	<li>Fixed JS error when dropping in a new module to create a new column.</li>
</ul>

<h4>2.2-dev.7 - 08/21/2018</h4>
<p><strong>General Enhancements</strong></p>
<ul>
	<li>Added duration input for animation settings.</li>
</ul>
<p><strong>Callout Module</strong></p>
<ul>
	<li>Added responsive icon size setting with custom units.</li>
</ul>
<p><strong>Icon Module</strong></p>
<ul>
	<li>Added responsive icon size setting with custom units.</li>
</ul>
<p><strong>Icon Group Module</strong></p>
<ul>
	<li>Added responsive icon size setting with custom units.</li>
</ul>
<p><strong>Text Editor Module</strong></p>
<ul>
	<li>Fixed color setting not overriding colors set by the row.</li>
</ul>
<p><strong>API</strong></p>
<ul>
	<li>Added API for date settings using the HTML date input.</li>
</ul>
<p><strong>Fixes</strong></p>
<ul>
	<li>Fixed layout going off the page when editing a Themer part in responsive editing mode.</li>
</ul>

<h4>2.2-dev.6 - 08/10/2018</h4>
<p><strong>Fixes</strong></p>
<ul>
	<li>Fixed duplicating rows and modules leaving an extra copy when the duplicate completes.</li>
	<li>Fixed general loading issues when working in the builder.</li>
</ul>

<h4>2.2-dev.5 - 08/08/2018</h4>
<p><strong>General Enhancements</strong></p>
<ul>
	<li>Added a publish layout item to the tools menu for publishing and remaining in the builder.</li>
	<li>Finished work for alpha pickers, live preview, responsive settings, etc. for remaining modules.</li>
	<li>Added advanced setting for changing the HTML wrapper element of rows, columns, and modules.</li>
	<li>Row, column, and module animations are now enabled for mobile devices.</li>
	<li>Moved column settings to the first item in the column dropdown menu.</li>
	<li>Added "None" option for the background overlay setting.</li>
	<li>Streamline the overall visual appearance, specifically of settings forms.</li>
	<li>Allow pinned settings panels to resize down to 320px (formally 380px min) and widen to 600px.</li>
	<li>Rich text and code editor fields now display edge-to-edge on slim settings panels.</li>
	<li>Field connection icons now appear the top of the field for rich text and code editors.</li>
	<li>Settings sections can now be collapsed. Developers can specify if they'd like a section in their custom module to be collapsed by default.</li>
</ul>
<p><strong>General Fixes</strong></p>
<ul>
	<li>Fixed font weights not loading for the selected font in typography settings.</li>
	<li>Fixed border settings not cascading down to smaller device sizes.</li>
	<li>Fixed target and nofollow inputs not showing for link fields with a field connection.</li>
	<li>Fixed PHP warning leaking into row CSS preventing backgrounds from showing.</li>
	<li>Fixed not being able to set a minimum height on columns with no siblings.</li>
	<li>Fixed row and column animations not working because of the waypoint script not being enqueued.</li>
	<li>Fixed color pickers showing the wrong color after saving settings and then editing the color again.</li>
	<li>Fixed row actions in responsive editing mode not showing up and causing a horizontal scrollbar.</li>
	<li>Fixed row min-height not resetting when switching back to default.</li>
	<li>Fixed column dropdown being cut off in responsive editing mode.</li>
	<li>Fixed not being able to resize columns that are too small.</li>
</ul>
<p><strong>Shape Layers</strong></p>
<ul>
	<li>Shape layer controls (formerly Edges tab) have been moved into the style tab.</li>
	<li>Shapes can now be aligned vertically as well as horizontally.</li>
	<li>4 new shapes have been added. More to come.</li>
</ul>
<p><strong>Gallery Module</strong></p>
<ul>
	<li>Added photo border settings to the new style tab.</li>
	<li>Moved photo spacing setting to the new style tab.</li>
</ul>
<p><strong>Icon Group Module</strong></p>
<ul>
	<li>Fixed icon colors only applying to the first icon.</li>
</ul>
<p><strong>Menu Module</strong></p>
<ul>
	<li>Added mobile menu layout options for off-canvas / flyout menus.</li>
	<li>Converted font, text size, and text transform settings to a responsive typography setting.</li>
	<li>The first submenu is now opened when editing a menu to preview changes.</li>
	<li>Added submenu link spacing setting.</li>
	<li>Converted submenu spacing setting to a dimension field.</li>
</ul>
<p><strong>Number Counter Module</strong></p>
<ul>
	<li>Converted number size setting to a responsive setting with custom units.</li>
</ul>
<p><strong>Posts Module</strong></p>
<ul>
	<li>Converted border settings to a responsive border setting.</li>
	<li>Converted font size settings to responsive typography settings.</li>
</ul>
<p><strong>Testimonials Module</strong></p>
<ul>
	<li>Added new style tab with text color and typography settings.</li>
</ul>
<p><strong>Text Editor Module</strong></p>
<ul>
	<li>Fixed style settings not overriding those set by the theme for headings in the Customizer.</li>
</ul>

<h4>2.2-dev.4 - 6/28/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added the ability to set row edges and shapes. More to come!</li>
	<li>Added the option to set background overlay gradients on rows and columns.</li>
</ul>
<p><strong>Tweaks</strong></p>
<ul>
	<li>Refined responsive editing logic to make it even more accurate.</li>
	<li>Added labels to the font family and weight selects in the typography field.</li>
</ul>
<p><strong>Fixes</strong></p>
<ul>
	<li>Fixed multiple issues with animation settings not working correctly.</li>
	<li>Fixed PHP warning caused by the typography field on PHP 5.6 and below.</li>
	<li>Fixed border style and width settings not previewing and rendering correctly.</li>
	<li>Fixed Callout module overall alignment setting not applying to buttons.</li>
	<li>Fixed not being able to edit RGBA values in color picker fields.</li>
</ul>
<p><strong>Menu Module</strong></p>
<ul>
	<li>Converted link spacing fields to a single dimension field.</li>
</ul>

<h4>2.2-dev.3 - 6/20/2018</h4>
<p><strong>General</strong></p>
<ul>
	<li>Added unit select to margin and padding settings.</li>
	<li>Added unit select to the row width setting.</li>
	<li>Added minimum height setting with unit select and responsive editing to rows and columns.</li>
	<li>Added border radius setting with responsive editing to rows and columns.</li>
	<li>Added box shadow setting to rows and columns.</li>
	<li>Added unit select to all margin and padding settings in the global settings.</li>
	<li>Added global settings for column margins and padding.</li>
	<li>Added unit selects to various module unit settings.</li>
	<li>Added responsive editing to row and column background photos.</li>
	<li>Added responsive editing to the column width setting and removed old responsive column settings in the advanced tab.</li>
	<li>Added background gradient setting for rows and columns.</li>
	<li>Added entrance animations for rows and columns.</li>
	<li>Added more entrance animations from animate.css.</li>
	<li>Added live preview for editing entrance animations.</li>
	<li>Added alpha slider to all color picker settings and removed old opacity settings.</li>
	<li>Added live preview to more module settings so changes don't require a refresh.</li>
	<li>Added popup slider control to various unit and dimension settings.</li>
	<li>Added the ability to link values for all dimension settings.</li>
	<li>Added new align setting to various modules in place of the old align selects.</li>
	<li>Added dev feedback button within the builder UI. This is ONLY shown for pre-release versions.</li>
</ul>
<p><strong>Responsive Editing Mode</strong></p>
<ul>
	<li>You can now stay in responsive editing mode after closing settings.</li>
	<li>Added toggle and exit buttons within responsive editing mode.</li>
	<li>Added menu item for switching to responsive editing mode.</li>
	<li>Added keyboard shortcut for switching to responsive editing mode.</li>
</ul>
<p><strong>API</strong></p>
<ul>
	<li>Added API for enabling a unit select (%, em, vh, etc.) on dimension and unit settings.</li>
	<li>Added API for enabling a popup slider input on unit and dimension settings.</li>
	<li>Added API for responsive editing to photo and select settings.</li>
	<li>Added API for making backwards compatible changes to settings.</li>
	<li>Added API for making live preview rules !important.</li>
	<li>Added API for align, animation, border, button group, gradient, shadow, and typography settings.</li>
	<li>Added API for toggling other settings when icon or photo settings are set.</li>
	<li>Added API for adding target and nofollow checkboxes to the link field.</li>
</ul>
<p><strong>Tweaks</strong></p>
<ul>
	<li>FontAwesome is now loaded locally instead of from the CDN.</li>
</ul>
<p><strong>Accordion Module</strong></p>
<ul>
	<li>Added border, color, icon, padding, and typography settings.</li>
	<li>The first item is now open when editing to preview content style changes.</li>
	<li>Moved collapse inactive and expand first item settings to the items tab.</li>
</ul>
<p><strong>Button Module</strong></p>
<ul>
	<li>Added unit select to custom width field.</li>
	<li>Added responsive editing to the alignment setting.</li>
	<li>Icon position and visibility settings only show when an icon is set.</li>
</ul>
<p><strong>Call to Action Module</strong></p>
<ul>
	<li>Converted spacing setting to a responsive padding setting with custom units.</li>
	<li>Added border, text color, and typography settings.</li>
	<li>Moved heading tag setting to the general tab.</li>
</ul>
<p><strong>Callout Module</strong></p>
<ul>
	<li>Added text color and typography settings.</li>
	<li>Added photo width, align, and border settings.</li>
	<li>Moved heading tag setting to the general tab.</li>
</ul>
<p><strong>Heading Module</strong></p>
<ul>
	<li>Converted style settings to the new responsive typography setting.</li>
	<li>Moved HTML tag setting to the general tab.</li>
	<li>Change HTML tag setting default to H2.</li>
</ul>
<p><strong>Icon Module</strong></p>
<ul>
	<li>Added responsive editing to the alignment setting.</li>
	<li>Added color, typography, and spacing settings for the icon text.</li>
</ul>
<p><strong>Map Module</strong></p>
<ul>
	<li>Added custom units and responsive editing to the height setting.</li>
	<li>Added border settings with responsive editing.</li>
</ul>
<p><strong>Menu Module</strong></p>
<ul>
	<li>Added responsive editing to the alignment setting.</li>
	<li>Regrouped style settings for consistency with other modules.</li>
</ul>
<p><strong>Photo Module</strong></p>
<ul>
	<li>Moved alignment and crop settings to the new style tab.</li>
	<li>Added responsive editing to the alignment setting.</li>
	<li>Added new width setting with unit select and responsive editing.</li>
	<li>Added border type, color, width, and radius settings.</li>
	<li>Added box shadow setting.</li>
</ul>
<p><strong>Separator Module</strong></p>
<ul>
	<li>Removed the width select in favor of a single width setting.</li>
</ul>
<p><strong>Social Buttons Module</strong></p>
<ul>
	<li>Fixed spacing issues.</li>
</ul>
<p><strong>Tabs Module</strong></p>
<ul>
	<li>Added border, color, padding, and typography settings.</li>
</ul>
<p><strong>Text Editor Module</strong></p>
<ul>
	<li>Added new style tab with text color and typography settings.</li>
</ul>

<h4>2.1.7.2 - 01/02/2019</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>New actions added to Contact Form Module.</li>
	<ul>
		<li>fl_module_contact_form_before_send</li>
		<li>fl_module_contact_form_after_send</li>
	</ul>
	<li>Fixed plugin updates if plugins folder is renamed in WordPress.</li>
	<li>Fixed pinned UI z-index issue with GeneratePress theme.</li>
	<li>Fixed minification issues with SiteGround Optimizer plugin.</li>
	<li>Fixed UI issue with Chrome 72 (beta).</li>
</ul>

<h4>2.1.7.1 - 12/12/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Update Font Awesome to 5.6.1</li>
	<li>Fixed hidden editor when ACF is active on post/page edit screen.</li>
	<li>Fixed PHP fatal error caused by SEO Press plugin when adding layouts/templates.</li>
	<li>Fixed a JS error when using Cloudfront platform.</li>
	<li>Fixed missing excerpts for posts module in WP 5.0</li>
</ul>

<h4>2.1.7 - 11/26/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Updated Font Awesome to 5.5 which includes 208 new icons!</li>
	<li>Updated Google Fonts.</li>
	<li>Added general theme logo support to publisher logo in post-grid module.</li>
	<li>Added support for auto parent in Woocommerce categories.</li>
	<li>Tweaked Gutenberg support for latest API changes in WP5.</li>
	<li>Remove <code>popup</code> from list of editable post-types.</li>
	<li>New module settings filters added:</li>
	<ul>
		<li><code>fl_builder_module_settings_css_file_path_{$module->slug}</code></li>
		<li><code>fl_builder_module_settings_css_file_uri_{$module->slug}</code></li>
		<li><code>fl_builder_module_settings_js_file_path_{$module->slug}</code></li>
		<li><code>fl_builder_module_settings_js_file_uri_{$module->slug}</code></li>
	</ul>
	<li>New actions and filters for custom icons:</li>
	<ul>
		<li>Action <code>fl_builder_admin_settings_remove_icon_set</code></li>
		<li>Action <code>fl_builder_before_unzip_icon_set</code></li>
		<li>Action <code>fl_builder_after_unzip_icon_set</code></li>
		<li>Filter <code>fl_builder_icon_set_upload_path</code></li>
		<li>Filter <code>fl_builder_icon_set_new_path</code></li>
		<li>Filter <code>fl_builder_icon_set_check_path</code></li>
		<li>Filter <code>fl_builder_current_site_icon_sets</code></li>
	</ul>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Make sure module css/js php files are only used once when compiling.</li>
	<li>Removed border left and right being set to none from small screen CSS.</li>
	<li>Using post:content shortcode inside post content can cause infinite loop.</li>
	<li>Fixed missing rounded corner CSS for hover in button module.</li>
	<li>Removed toggle from featured image in Gallery module, so image size and crop are available for both layout types.</li>
	<li>Disabled the tab/comma key in auto-suggest field to avoid selection issue.</li>
	<li>Fixed contact firstname and lastname attributes not saving when subscribed for sendinblue.</li>
	<li>Fixed issue with saved rows and WPML.</li>
	<li>Fixed issue with layout shortcodes in Wocommerce description not rendering their assets.</li>
</ul>

<h4>2.1.6.3 - 10/30/2018</h4>
<p><strong>Halloween Hot Fix</strong></p>
<ul>
	<li>Update Font Awesome to 5.4.2</li>
	<li>Fix PHP error with Hummingbird cache plugin.</li>
	<li>Force Imagesloaded to have jQuery as a dependency.</li>
</ul>

<h4>2.1.6.2 - 10/23/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed an issue with shortcodes in rich text module.</li>
</ul>

<h4>2.1.6.1 - 10/22/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Revert ImageLoaded fix, its breaking row backgrounds.</li>
</ul>

<h4>2.1.6 - 10/22/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Updated Font Awesome to 5.4.1 which includes nearly 400 new icons!</li>
	<li>Add Product ID As a "Sort By" Field in the WooCommerce Module</li>
	<li>Accordion labels can now be navigated and receive focus by tapping the Tab key.</li>
	<li>Added Kinsta, Godaddy and Hummingbird to supported caches.</li>
	<li>Set aria-hidden for row background slideshow images for screenreader users.</li>
	<li>Improved anonymous statistics.</li>
	<li>Show if MODSEC fix is enabled on the debug screen.</li>
	<li>Added support for 5 & 6 columns in woocommerce module.</li>
	<li>Whitelist files that will throw false positives in PHP Compatibility Checker plugin.</li>
	<li>Minify magnificpopup css file.</li>
	<li>Increase memory limit for the settings_config JS.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Global and layout css was not being applied in preview mode.</li>
	<li>Fix ImagesLoaded and ultimate member issue.</li>
	<li>Fix page headings issue on pages with themer layouts.</li>
	<li>Fixed the pagination on first posts module where it inherits the main WP query which results to 404</li>
	<li>Fixed Multiple Select Field not showing defaults when Add Item is clicked.</li>
	<li>Fix Posts module's title alignment on some themes.</li>
	<li>Fixed JS error thrown if two or more Video modules with embedded video code on same layout.</li>
	<li>Fixed slideshow embedded in accordion via shortcode.</li>
	<li>Fixed node templates without featured image throwing a JS error in the content panel.</li>
	<li>Fixed module alias settings not being rendered when dropping on a page.</li>
	<li>Renamed class MailChimp to FLBuilderMailChimp to avoid conflict with other plugins.</li>
	<li>Fixed the menu item spacing caused by inline-block in menu module.</li>
	<li>Fixed undefined font weight strings in the theme.</li>
	<li>Fixed issue with Templator, Prevent Direct Access Gold and wp-smush-it plugins.</li>
</ul>

<h4>2.1.5.2 - 10/04/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed Pagely cache clear code.</li>
	<li>Fixed small issue with Google italic fonts.</li>
	<li>Fixed issue with Enfold theme causing javascript error when builder is open.</li>
	<li>Updated Events Calendar Widget compatibility code.</li>
	<li>New filter added <code>fl_get_edit_url</code>.</li>
	<li>New filter added <code>fl_widget_module_args</code>.</li>
</ul>

<h4>2.1.5.1 - 09/26/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed ImagesLoaded script not being enqueued in Gallery Module.</li>
	<li>Fixed a PHP warning when using Events shortcodes.</li>
	<li>Added Swift to list of supported cache plugins.</li>
</ul>

<h4>2.1.5 - 09/24/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
  <li>Revisions are now saved whenever any rows, columns, modules or layouts are published and are limited to 25.</li>
  <li>Cache helper plugin is now merged into Beaver Builder. See https://kb.wpbeaverbuilder.com/article/549-cache-clearing-tool for details.</li>
  <li>Update bundled Font Awesome to version 5.3.1.</li>
  <li>Native Google italics are now supported.</li>
  <li>Pre-connect to Google fonts to speed up font rendering.</li>
  <li>Added caption on lightbox of the Photo Module.</li>
  <li>More fl_builder_render_assets_inline fixes.</li>
  <li>Changed delete_users capability to manage_options for builder UI and added <code>fl_builder_admin_settings_capability</code> filter.</li>
  <li>Changed connections type to photo for row's background fallback photo.</li>
  <li>Added aria-hidden attribute to icons for better screenreader experience.</li>
  <li>Added placeholder support for link field type.</li>
  <li>New filter <code>fl_builder_google_fonts_pre_enqueue</code> makes it possible to dequeue any fonts added by modules.</li>
  <li>New filter <code>fl_builder_load_modules_paths</code> to add/remove modules before they are loaded.</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
  <li>Fixed javascript error if invalid color preset is saved.</li>
  <li>Fixed license not saving properly if pasted licence contains non-alphanumeric chars.</li>
  <li>Fixed compatibility with lodash >4 contains is not a function error.</li>
  <li>Fixed post icon color option incorrectly appearing for grid layout in Posts Carousel module.</li>
  <li>Fixed Subscribe Module: Active Campaign - When form is the type, user does not get re-subscribed.</li>
  <li>Fixed Event Calendar widget not loading assets when added as a widget module.</li>
  <li>Fixed Audio Module not properly refreshing when adding multiple items.</li>
  <li>Fixed nodes being duplicated turning into global when they shouldn't be.</li>
  <li>Fixed margin issue on media library thumbnails.</li>
  <li>Fixed attachment JS config doesn't account for fields with multiple set to true.</li>
  <li>Fixed issue with post-grid infinite scroll if post slug contains numbers.</li>
  <li>Fixed Subscribe Form module - mailchimp only shows 10 groups within a list, limit changed to 50.</li>
  <li>Fixed 404 pagination on archive when taxonomy has custom slug.</li>
  <li>Fixed blurry checkbox in Subscribe and Contact Form modules.</li>
  <li>Fixed thumbs layout in gallery module.</li>
  <li>Fixed video where it keeps playing even if not in an active slide in Content Slider.</li>
  <li>Fixed menu module spacing when there are multiple menu items.</li>
  <li>Fixed colors and fonts affecting the media uploader popup.</li>
  <li>Fixed CORS issue on Pantheon hosting.</li>
</ul>

<h4>2.1.4.5 - 09/10/2018</h4>
<p><strong>HotFix</strong></p>
<ul>
	<li>Fix image settings apparently reverting to thumbnail in rare cases.</li>
</ul>

<h4>2.1.4.4 - 09/04/2018</h4>
<p><strong>HotFix</strong></p>
<ul>
	<li>Fixed issue when duplicating with multiple copies of a module appearing after refreshing.</li>
</ul>

<h4>2.1.4.3 - 08/20/2018</h4>
<p><strong>HotFix</strong></p>
<ul>
	<li>Fixed compatibility with Gutenberg.</li>
	<li>Added editor variable to fl_builder_photo_cropped action.</li>
</ul>

<h4>2.1.4.2 - 08/06/2018</h4>
<p><strong>HotFix</strong></p>
<ul>
	<li>Fixed text editors losing formatting when publishing because of WP 4.9.8 update.</li>
</ul>

<h4>2.1.4.1 - 08/02/2018</h4>
<p><strong>HotFix</strong></p>
<ul>
	<li>Fixed switching between Gutenberg and Beaver Builder.</li>
	<li>Fixed <code>fl_schema_meta_publisher_image_url</code> filter.</li>
	<li>Updated translation files.</li>
</ul>

<h4>2.1.4 - 07/30/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Font Awesome updated to 5.2! The font is now part of the plugin package, no more glitchy CDN.</li>
	<li>Visible indicator added if a node has visibility rules applied.</li>
	<li>Add repeater support to <code>fl_builder_before_control</code> and <code>fl_builder_after_control</code>. Props Ian Forrest.</li>
	<li>Allow users to select/deselect all modules. Show a warning if all modules are disabled.</li>
	<li>Allow users to filter the default config for the ace editor using filter <code>fl_ace_editor_settings</code>.</li>
	<li>Contact Form Module: Add field connection to module subject field.</li>
	<li>Add 'Selection Order' to loop orderby options in Posts Module.</li>
	<li>New filter <code>fl_builder_field_js_config</code> makes it possible to add predefined text field support. Props Oliver Juhas.</li>
	<li>Add Aria labels to Mobile Menu button.</li>
	<li>New actions/filters added to post-grid module schema function.
		<ul>
			<li>Actions: <code>fl_before_schema_meta</code>, <code>fl_after_schema_meta</code></li>
			<li>Filters: <code>fl_schema_meta_general</code>, <code>fl_schema_meta_publisher_image_url</code>, <code>fl_schema_meta_publisher</code>, <code>fl_schema_meta_author</code></li>
		</ul>
	</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed issue with paginated category archives not correctly returning a 404 when there are no posts.</li>
	<li>Fixed saved column settings reverting to default when first dropped in.</li>
	<li>Fixed a compatibility With TinyMCE Advanced.</li>
	<li>Fixed media modal close issue in Firefox and Safari.</li>
	<li>Fixed Google fonts not loading in saved rows/modules inserted via shortcode.</li>
	<li>Added field Cycle Day for GetResponse to fix autoresponder issue.</li>
	<li>Fix Content Slider Delay and Transition Speed to accept positive float value.</li>
	<li>Increase height of the multi-select element in the Settings UI.</li>
	<li>Modified logic for listing Ontraport campaigns so all display in the dropdown.</li>
	<li>Fixed a "connections" JS error when using layout shortcode.</li>
	<li>Fixed an issue with Subscribe Form and AWeber.</li>
	<li>Fixed a Themer layout CSS issue, CSS would sometimes fail to load and a refresh was required.</li>
</ul>

<h4>2.1.3.5 - 07/12/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed WPML global row issue.</li>
	<li>Fixed an issue with column width CSS.</li>
	<li>Added missing settings var to legacy settings field. Fixes a Subscribe Form issue.</li>
	<li>Fixed the missing list in the dropdown due to outdated API methods for ConvertKit.</li>
	<li>Fixed javascript error in IE11. Added polyfill for endsWith().</li>
	<li>Fixed a malformed JSON bug in notifications system.</li>
	<li>Fixed styling issue with Gallery Module captions.</li>
</ul>

<h4>2.1.3.4 - 06/25/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Removed the Chrome parallax fix as the issue is now fixed in Chrome beta and canary.</li>
</ul>

<h4>2.1.3.3 - 06/20/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Tweaked Chrome fix CSS as it broke editing modules inside a parallax row. Sorry.</li>
</ul>

<h4>2.1.3.2 - 06/20/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed a Chrome issue with parallax and overlay backgrounds.</li>
	<li>Fixed a Google Font enqueue issue.</li>
</ul>

<h4>2.1.3.1 - 06/19/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed PHP error if using php 5.2.</li>
</ul>

<h4>2.1.3 - 06/19/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Better support for translating global rows using WPML.</li>
	<li>Added thumbnail support for saved rows/modules/columns in the saved tab.</li>
	<li>Saved columns now supported in the exporter.</li>
	<li>Added no follow field to Icon module.</li>
	<li>Number Counter module will now accept 0%.</li>
	<li>Added mobile alignment options to the Button module.</li>
	<li>Added the ability for Post Carousel module to advance by definable number of slides.</li>
	<li>Slideshow and Testimonials modules will now accept float values for transitions.</li>
	<li>New filter <code>fl_builder_render_module_html_content</code>.</li>
	<li>New filter <code>fl_get_wp_editor_args</code>.</li>
	<li>New filter <code>fl_builder_importer_pcre</code>.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed unstyled flash of content when AJAX layout renders on slower connections.</li>
	<li>Fixed issue where column and row resize settings were opening the module settings.</li>
	<li>Fixed module category order not always being respected in the builder UI.</li>
	<li>Fixed responsive editing mode not scrolling to the active node when switched.</li>
	<li>Fixed missing icon is Tabs module when responsive.</li>
	<li>Added logic that resets color picker when clicking an empty color field.</li>
	<li>If nodes are hidden using the visibility setting they shouldn't show after you publish out of the builder.</li>
	<li>Fixed MailChimp Subscribe with multiple last names.</li>
	<li>Fixed compatibility issue with Fusion Builder by namespacing the color picker code to FLBuilderColor.</li>
	<li>Fixed more icon issues when fa4 and fa5 css are both loaded in a page.</li>
	<li>Fixed an issue where the combining of Google fonts could result in 2 calls to the font css.</li>
	<li>Fixed loop delays in Row's Youtube background.</li>
	<li>Fixed shortcodes with single quotes around attrs breaking in nested form fields.</li>
	<li>Fixed color issue with code highlighting when using the dark UI mode.</li>
	<li>Fixed a PHP undefined var in Gallery module when using SmugMug.</li>
	<li>Fixed video content autoplay no longer working on Chrome and Safari.</li>
	<li>Fixed tinymce dropdowns being hidden when settings are very narrow.</li>
	<li>Fixed Gberg block validation issues by converting return to RawHTML</li>
</ul>

<h4>2.1.2.4 - 05/31/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed module settings opening when clicking the column icon.</li>
</ul>

<h4>2.1.2.3 - 05/31/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Show warning message if plugin is installed in wrong folder as it breaks auto-updates.</li>
	<li>Allow users to <em>Save With Errors</em> in the CSS/HTML code editor.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed adjacent module settings opening when highlighting text with inline editing.</li>
	<li>Fixed incorrect text showing after inline editing.</li>
	<li>Fixed inline editing performance issues.</li>
	<li>Fixed Contact Form Module field connections.</li>
	<li>Fixed pinned content panel covering 2px of the content area.</li>
	<li>Fixed UI lightboxes appearing in wrong positions.</li>
	<li>Added link to change logs from wp-admin plugins page.</li>
	<li>Fixed color picker position in responsive editing mode.</li>
</ul>

<h4>2.1.2.2 - 05/17/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Reverted menu accessibility code added in 2.1.2.</li>
</ul>

<h4>2.1.2.1 - 05/16/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a JS error preventing settings from opening.</li>
</ul>

<h4>2.1.2 - 05/16/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Updated Font Awesome 5 icons</li>
	<li>Added support for new WP 4.9.6 Privacy Page and data exporter.</li>
	<li>Added Themer support to Audio module</li>
	<li>Added is_writable method to filesystem class</li>
	<li>Added Ontraport support to Subscribe Module</li>
	<li>Settings lightbox will now resize height when first opening if they are taller than the window</li>
	<li>Improved accessibility in Menu Module</li>
	<li>Limit revisions in Builder UI to 25 for performance reasons <code>fl_builder_revisions_number</code> also added</li>
	<li>Hide overlays when right clicked so the underlying node can be inspected.</li>
	<li>Remove panel caret when less than 500px</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a compatibility issues with Enjoy Plugin for Instagram and MailerLite plugin</li>
	<li>Fixed gap underneath menu items on Themer menu module</li>
	<li>Fixed Builder permissions appearing blank if Themer plugin is enabled first</li>
	<li>Fixed a JS error thrown while resizing rows</li>
	<li>Fixed a PHP warning if no default icon sets are available</li>
	<li>Fixed a PHP warning on debug page if there are no deactivated plugins installed</li>
	<li>Fixed an issue where archive pages would enqueue a layout css/js file for every post in the archive</li>
	<li>Fixed saved columns still showing if Enable Core Templates Only is selected</li>
	<li>Fixed PHP warnings in Subscribe Module when using Infusionsoft</li>
</ul>

<h4>2.1.1.3 - 05/10/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Make sure Font Awesome 5 icons are enqueued when builder is open.</li>
	<li>Disable Hummingbird cache minification while editing.</li>
	<li>Fix editing issues introduced in WP 4.9.6.</li>
	<li>Fixed a PHP notice in Subscribe Module.</li>
</ul>

<h4>2.1.1.2 - 05/07/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added <code>fl_code_checking_enabled</code> filter to disable all code checking.</li>
	<li>Added <code>fl_builder_get_layout_metadata</code> filter for filtering layout data when it comes out of the database.</li>
	<li>Disabled notifications in restricted editing mode.</li>
	<li>Updated Font Awesome to 5.0.12.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed characters being encoded in text inputs when using inline editing.</li>
	<li>Fixed invalid code errors preventing saving of code fields.</li>
	<li>Fixed a fatal error with corrupted global rows.</li>
</ul>

<h4>2.1.1.1 - 05/02/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Font Awesome PRO support added! See <code>https://kb.wpbeaverbuilder.com/article/645-font-awesome-5-icons</code> for instructions.</li>
</ul>

<h4>2.1.1 - 05/02/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>New filter <code>fl_inline_editing_enabled</code> to disable inline editing.</li>
	<li>Removed obsolete Event Espresso code now covered by their official addon found at <code>https://github.com/eventespresso/eea-beaver-builder</code></li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed JS error when canceling out of a settings form during responsive preview.</li>
	<li>Fixed various icon issues and added a compatibility function to make sure css files are loaded in right order.</li>
</ul>

<h4>2.1.0.2 - 04/27/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed more compression issues with loading the settings JS.</li>
	<li>Fixed a branding issue with Agency package, you can now use 'Page Builder' again.</li>
	<li>Fixed issue with YouTube row backgrounds not looping.</li>
</ul>
<h4>2.1.0.1 - 04/26/2018</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed compression issues with loading the settings JS.</li>
	<li>Fixed CSS/JS assets returning a 404 after the builder has launched.</li>
	<li>Fixed the button module not accepting 0 for style settings.</li>
	<li>Fixed translation issues.</li>
	<li>Fixed Font Awesome not loading for some modules.</li>
</ul>

<h4>2.1 - 04/25/2018</h4>
<p>Beaver Builder 2.1 "Redridge" is here! Check out the <a href="https://www.wpbeaverbuilder.com/beaver-builder-2-1-redridge/">blog post</a> for more info.</p>
<p><strong>Enhancements</strong></p>
<ul>
	<li>You can now pin the settings panel in restricted editing mode and when editing module templates.</li>
	<li>Changed default button settings so they can be customized via the Customizer in the next theme update.</li>
	<li>Added featured image support for templates in all versions.</li>
	<li>Update translations.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed caching issues with the iframe layout preview.</li>
</ul>

<h4>2.1-beta.4 - 04/20/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Update UI icons to use Font Awesome 5</li>
	<li>New filter <code>fl_disable_notifications</code> added to disable notifications.</li>
	<li>Debug info will now show htaccess content.</li>
	<li>Waypoints offset added to js config.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed fatal errors in GetResonse and Mailerlite api.</li>
	<li>Fixed background YouTube and Vimeo videos not using fallback image.</li>
	<li>Fixed AJAX shortcode issue with Ninjaforms.</li>
	<li>Fixed percent not working for the preview unit.</li>
	<li>Fixed contact form field connections not working when sending email because connections aren't connected when wp_ajax runs.</li>
</ul>

<h4>2.1-beta.3 - 04/06/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed broken links on the plugins page.</li>
</ul>

<h4>2.1-beta.2 - 04/05/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed white labeling issues.</li>
	<li>Fixed usage stats admin message redirecting to the dashboard.</li>
	<li>Fixed WPML translations not linking when creating new templates in wp-admin.</li>
	<li>Fixed WPML issue with the builder launching for the default language instead of the current translation.</li>
</ul>

<h4>2.1-beta.1 - 04/04/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added support for enabling Font Awesome 5 in the icon settings. Note: you can't have 4 and 5 active at the same time as they are not compatible with each other.</li>
	<li>Added underline to the inline editing formatting tools.</li>
	<li>Added setting to exclude the current post in the posts module.</li>
	<li>Add support for rendering layout CSS and JS inline on the page instead of enqueuing using the <code>fl_builder_render_assets_inline</code> filter.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed multiple issues with inline editing.</li>
	<li>Fixed usage stats opt-in not working on multisite.</li>
	<li>Fixed JS settings config not fully loading on some servers with response size limits.</li>
</ul>

<h4>2.1-alpha.6 - 03/13/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added the ability to save standard and global column templates.</li>
</ul>

<h4>2.1-alpha.5 - 03/07/2018</h4>
<ul>
	<li>Reworked Beaver Builder for Gutenberg block to support API changes in Gutenberg 2.3.0.</li>
	<li>Updated wording in warning when switching from Beaver Builder to Gutenberg.</li>
	<li>Fixed inline editing not working in Safari.</li>
</ul>

<h4>2.1-alpha.4 - 02/22/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Add title tags when present to images in various modules.</li>
	<li>Added the option to show category meta to Posts module.</li>
	<li>Added improved RTL support to the Posts module.</li>
	<li>Added YouTube video background support for start position and looping parameters.</li>
	<li>Added video field parameter for enabling the remove button.</li>
	<li>Added mobile background color option to all layouts in the Menu module.</li>
	<li>Added option to disable autoplay on hover to the Content Slider module.</li>
	<li>Added default change callback to trigger preview refresh on fields that don't have a preview defined.</li>
	<li>Disable auto play and hide the pager if there's only one slide in the Testimonials module.</li>
	<li>Updated GetResponse library to version 3.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed video background alignment in older browsers that require vendor prefixes for CSS transforms.</li>
	<li>Fixed repeater fields not working in row and column settings.</li>
	<li>Fixed submenus in the menu module's vertical layout going off the page.</li>
	<li>Fixed menu module smooth scrolling issues when clicking an anchor link.</li>
	<li>Fixed issues with duplicating rows that contain another row inserted via shortcode.</li>
	<li>Fixed issue with inactive tabs showing when resizing the browser.</li>
	<li>Fixed various issues with row and column colors overriding module text colors.</li>
	<li>Fixed layout shortcode rendering on search result pages.</li>
	<li>Fixed videos not playing in the content slider.</li>
</ul>

<h4>2.1-alpha.3 - 02/20/2018</h4>
<ul>
	<li>Reworked Beaver Builder for Gutenberg block to support API changes in Gutenberg 2.2.0.</li>
	<li>Updated opt-in usage stats with theme info.</li>
</ul>

<h4>2.1-alpha.2 - 02/16/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed inline editing breaking when you have more than one layout on the same page.</li>
	<li>Fixed white labeling issues.</li>
</ul>

<h4>2.1-alpha.1 - 02/15/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added inline text editing to all modules (core and 3rd party) that support live text preview.</li>
	<li>Added support for Gutenberg via the new Beaver Builder block.</li>
	<li>Added a new user access setting for restricting all builder access for certain roles.</li>
	<li>Added a notification center within the builder (disabled when white labeled).</li>
	<li>Added opt-in usage tracking for things like PHP version, settings and module usage.</li>
	<li>Added validation check for all code fields to prevent bad code from breaking the builder.</li>
	<li>Added WPML support for global nodes.</li>
	<li>Added the ability to add your license key via WP-CLI.</li>
	<li>Added filtering for Theme Layouts, Templates, Saved Rows and Saved Modules on the admin list screen.</li>
	<li>Added text padding options to the Content Slider module.</li>
	<li>Added `fl_contact_form_from` filter to allow users to filter the from header.</li>
	<li>Added logic for registering admin pointers.</li>
	<li>Upgrade MailChimp API to v3.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed builder not working if both Event Espresso and Beaver Themer are active.</li>
	<li>Fixed Posts module columns padding going outside of the module container on mobile.</li>
	<li>Fixed Posts module first page of numbered pagination missing the trailing slash in URL.</li>
	<li>Fixed video background proportions by removing potential max-width styles.</li>
	<li>Fixed images with captions going out of the container when reverse stacking is enabled.</li>
	<li>Fixed current menu class not being applied to the menu module when inserted via shortcode.</li>
	<li>Fixed RTL issues with the Posts Carousel.</li>
	<li>Fixed Content Slider module top/bottom margins not working when text background height is 100%.</li>
	<li>Fixed sliders not displaying properly when inserted via shortcode in Tab/Accordion modules.</li>
	<li>Now using a custom sort function instead of create_function which is deprecated in php 7.2.</li>
	<li>Removed WPML language switcher widget from the content panel since it requires being in a registered sidebar to work.</li>
</ul>

<h4>2.0.6.4 - 03/27/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added optional Terms and Conditions to Contact and Subscribe Modules to comply with GDPR.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
  <li>When debug mode is enabled turn display_errors on to show any PHP errors.</li>
  <li>Fixed PHP fatal error with Tasty Recipes plugin.</li>
  <li>Fixed an issue with row background image connections.</li>
  <li>Fixed PHP 7.2 issue when uploading icon sets.</li>
  <li>Fixed a width issue on WooCommerce single post layouts.</li>
  <li>Fixed hide-menu class not working in menu module.</li>
  <li>Fixed assets not loading when using layout shortcode.</li>
  <li>Fixed PHP warning when layout shortcode is included with a WP action.</li>
</ul>

<h4>2.0.6.3 - 03/19/2018</h4>
<p><strong>Hotfix</strong></p>
<ul>
  <li>Fixed links not being clickable in modules that use bxslider with Firefox 59.</li>
  <li>Fixed incorrect links in Social Buttons Module when added in Themer.</li>
	<li>Added <code>$id</code> and <code>$type</code> to <code>fl_builder_render_module_css_settings</code> filter variables.</li>
</ul>

<h4>2.0.6.2 - 03/13/2018</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
  <li>Fixed responsive display on new pages that are not saved as draft or published yet.</li>
  <li>Fixed PHP fatal error if no timezone is selected in countdown module.</li>
  <li>Fixed JSON parse error if quotes are used in nested forms.</li>
  <li>Fixed PHP fatal error for users of WP 4.6 and below.</li>
  <li>Fixed JS issue in global settings, a blank setting can cause a JS error.</li>
  <li>Fixed layouts breaking when using the layout shortcode with Popup Maker.</li>
</ul>

<h4>2.0.6.1 - 03/09/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
  <li>New filter: <code>fl_builder_render_module_html</code> added to <code>FLBuilder::render_module_html()</code>.</li>
	<li>New actions: <code>fl_builder_render_module_html_before</code> and <code>fl_builder_render_module_html_after</code>.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a PHP fatal error when trying to upload icon sets.</li>
	<li>Fixed settings trying to load from the server instead of the JS cache when dropping in a new module.</li>
</ul>

<h4>2.0.6 - 03/07/2018</h4>
<p><strong>Responsive Fixes</strong></p>
<ul>
    <li>Preview mode accessed via the tools menu is now rendered in an iframe for 100% accurate previewing.</li>
	  <li>Fixed minified media queries not working in responsive preview when editing settings.</li>
    <li>Fixed nodes showing in responsive preview when editing settings that have only been set to show on a specific device size.</li>
</ul>
<p><strong>Enhancements</strong></p>
<ul>
    <li>Enable show_remove for photo field.</li>
    <li>Order templates in wp-admin by title just like Themer layouts.</li>
    <li>Use WP_Filesystem instead of file_put_contents().</li>
    <li>Testimonials module now supports float values for transition speed.</li>
    <li>Add nofollow as an option for photo image link urls.</li>
	<li>Added <code>fl_builder_render_module_css_settings</code> filter to filter settings in nested modules.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
    <li>Fixed shortcodes issue introduced in 2.0.5, only strip bad shortcodes from saved post content.</li>
    <li>Fixed Posts module - pagination div causes extra spacing if there isn't any pagination.</li>
    <li>Fixed modules without partial refresh enabled having their settings wiped when duplicated.</li>
    <li>Fixed nodes created by duplicating a global node showing the default node settings instead of the ones that were duplicated.</li>
    <li>Fixed JSON parse error when double quotes are used in text editor.</li>
    <li>Fixed issue with menus not controlled by the builder being filtered.</li>
    <li>Fixed multiselect options field, deselect now works properly.</li>
    <li>Fixed second Our Services template.</li>
    <li>Fixed incorrect settings loading when editing a global module.</li>
    <li>Fixed content panel showing when editing a module template after publishing and going back in.</li>
    <li>Fixed row bg slideshows not resizing when publishing with a fixed content panel.</li>
    <li>Fixed icon lightbox still showing after publish.</li>
    <li>Fixed panel showing when publishing out and resizing down to a responsive size.</li>
    <li>Fixed HTML validation issue with hamburger menu.</li>
		<li>Fix javascript issue caused by nextgen gallery when adding modules in the builder.</li>
</ul>

<h4>2.0.5.1 - 02/27/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Refined responsive preview logic to make sure all media queries are parsed.</li>
	<li>Added support for showing translated global rows and modules with WPML.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed responsive preview not working when you publish out of the builder and re-enter without refreshing.</li>
	<li>Removed WPML language switcher widget as it only works when placed inside of a registered sidebar.</li>
</ul>

<h4>2.0.5 - 02/15/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Plugin Icons are now shown in the updates core page.</li>
	<li>Global JS is not included if safe mode is enabled.</li>
	<li>Added url connection to HTML module.</li>
	<li>Updated translation files.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed Custom module SVG icons not displaying.</li>
	<li>Fixed issue with GoDaddy stock photo dropdown hidden in Lite version.</li>
	<li>Fixed Load More button on Posts Module when there are 1000s of posts.</li>
	<li>Fixed row background fallback image on row backgrounds on mobile for Youtube and Vimeo.</li>
	<li>Fixed conflict with Button Module Lightbox and contact form.</li>
	<li>Fixed missing trailing slash in paths passed to <code>fl_builder_locate_template_order</code> filter.</li>
	<li>Fixed undefined variable in Post Slider module.</li>
	<li>Fixed column width on column parent settings not working.</li>
	<li>Fixed Posts Module pagination when order is set to author.</li>
	<li>Fixed Number Counter module issue with DE lang.</li>
	<li>Fixed SmugMug links, they now use https.</li>
	<li>Fixed mobile stuttering issue in Number Counter module.</li>
	<li>Fixed shortcodes being rendered twice when other plugins filter the_content.</li>
	<li>Fixed issue where poorly coded themes styles were overriding the WP Core media modal.</li>
	<li>Fixed sub menu styles when more than one menu is on the page.</li>
	<li>Fixed rows set to mobile only displaying on desktop on IE11.</li>
	<li>Fixed the nested columns equal alignment on IE 11.</li>
</ul>

<h4>2.0.4.4 - 02/05/2018</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fixed bug in HTML and Rich Text modules, <code>&nbsp;</code> was being stripped when changing to raw text mode.</li>
</ul>

<h4>2.0.4.3 - 01/31/2018</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fixed fl_builder showing in the URL after publish causing the builder to relaunch when refreshing.</li>
	<li>Fixed Responsive Display setting not being respected after publishing.</li>
</ul>

<h4>2.0.4.2 - 01/29/2018</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fixed row overlay menus showing behind the row content.</li>
	<li>Fixed duplicated columns in global rows not rendering.</li>
	<li>Fixed overlay overflow menu not working for small columns.</li>
	<li>Fixed TinyMCE button issues with pinned settings.</li>
	<li>Fixed Siteground caching breaking the builder's settings JS.</li>
	<li>Allow multiple defaults for repeater fields.</li>
	<li>Remove node overlays when right clicking so nodes can be inspected.</li>
	<li>Removed history manipulation when publishing until we have a more robust/consistent solution.</li>
</ul>

<h4>2.0.4.1 - 01/25/2018</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fixed an autop issue introduced in 2.0.4.</li>
</ul>

<h4>2.0.4 - 01/17/2018</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>All Schema.org links now use https.</li>
	<li>Added <code>playsinline</code> to background videos and enabled them to play on mobiles.</li>
	<li>New action <code>fl_builder_after_save_draft</code> added when a layout is saved as draft.</li>
	<li>Lots of RTL updates for builder UI.</li>
	<li>Allow users to select image size when using lightbox.</li>
	<li>Allow multiple post types for auto suggest field.</li>
	<li>Slideshow Module - Re-enabled prev & next button for touch devices.</li>
	<li>Subscribe Module - Added Mautic.org as a service.</li>
	<li>Updated language files.</li>
	<li>Moved filter <code>fl_builder_loop_query_args</code> to just before <code>WP_Query()</code> to allow better customization.</li>
</ul>

<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed an icon bug on multisite installs.</li>
	<li>Fixed PHP error in Subscribe Module recaptcha when Curl is unavailable.</li>
	<li>Fixed list names appearing blank in Subscribe Module Madmimi service.</li>
	<li>Fix z-index issue with overflow menus on top of field connection icons.</li>
	<li>Fixed the Save As button showing up in the lite version and in restricted editing mode.</li>
	<li>Fixed bug with layout settings getting encoded when the modsec fix is enabled.</li>
	<li>Fixed Posts module - Columns layout broken when using load more pagination.</li>
	<li>Fixed Subscribe Module - Issues when same forms loaded on a page.</li>
	<li>Fixed issue with <code>textarea</code> HTML being stripped when settings are saved.</li>
	<li>Fixed issue with column widths on mobile when reverse stacking is enabled.</li>
	<li>Fixed issue when pasting color into a colorpicker field.</li>
	<li>Fixed a conflict with Fancybox3.</li>
</ul>

<h4>2.0.3.3 - 01/09/2018</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fixed an issue with W3 Cache when CDN is enabled.</li>
</ul>

<h4>2.0.3.2 - 12/20/2017</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Removed the next/prev settings tab shortcuts as they interfere with text editing.</li>
	<li>Fixed module settings reverting to defaults when duplicating a module that isn't saved yet.</li>
	<li>Fixed contact form errors when global or using the reCAPTCHA.</li>
</ul>

<h4>2.0.3.1 - 12/13/2017</h4>
<p><strong>Hotfix</strong></p>
<ul>
	<li>Fixed a bug in multisite where subsite settings were being loaded from main site.</li>
	<li>Fixed an issue with content slider only showing two slides.</li>
	<li>Fixed javascript error shown when trying to edit a saved module.</li>
</ul>

<h4>2.0.3 - 12/11/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Enable Rest API support for builder template post type.</li>
	<li>Pass <code>$settings</code> in available args in <code>fl_builder_loop_query_args</code> filter.</li>
	<li>Insert Layout Shortcode will now render non BB content which was a fallback in 1.x.</li>
	<li>New filter <code>fl_builder_photo_sizes_select</code>.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed various UI scrollbar issues on Windows.</li>
	<li>Fixed group name HTML entities issue.</li>
	<li>Fixed duplicate audio issue in content slider when video is set to autoplay.</li>
	<li>Fixed a multisite icon issue, network settings were being ignored on primary site.</li>
	<li>Fixed issue with WordPress widgets being available in Builder UI when disabled in admin settings.</li>
	<li>Fixed Active Campaign re-subscribe issue in Subscribe Module.</li>
	<li>Fixed issue in form field settings <code>preview_text</code> now works with <code>select</code> field type.</li>
	<li>Fixed PHP 7.2 warning thrown in <code>get_settings_form_fields</code></li>
	<li>Fixed form fields issue: Duplicate item button missing until you add a second item.</li>
	<li>Updated bxslider library, fixes 40px margin issue with content slider.</li>
	<li>Remove Core WP Gallery Widget from list of available widgets in the builder.</li>
	<li>Disabled swipe on row background videos.</li>
	<li>Fixed GeneratePress Premium plugin Blog option overrules the Post modules excerpt setting.</li>
</ul>

<h4>2.0.2.2 - 12/06/2017</h4>
<p>Beaver Builder 2.0 is now available for remote update!</p>

<h4>2.0.2.1 - 11/27/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed responsive editing mode not working correctly.</li>
	<li>Fixed white labeling not working correctly on the updates page.</li>
</ul>

<h4>2.0.2 - 11/16/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added <code>fl_builder_cache_cleared</code> action.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed settings config not loading when query strings are removed from script URLs.</li>
	<li>Fixed widgets not showing when site language is not in English.</li>
	<li>Fixed error when using namespaced widgets.</li>
	<li>Fixed JS errors in IE.</li>
	<li>Fixed keyboard shortcut formatting in IE.</li>
	<li>Fixed capitalization issues with translations.</li>
	<li>Fixed character encoding issues with strtolower.</li>
</ul>

<h4>2.0.1.1 - 11/07/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Hotfix for a change in 2.0.1 that broke loading of the settings for the Subscribe Form module.</li>
</ul>

<h4>2.0.1 - 11/06/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed errors caused by settings config not completely loading on certain server setups.</li>
	<li>Fixed PHP warnings when attachment meta doesn't have a width or height set.</li>
</ul>

<h4>2.0 - 11/01/2017</h4>
<p><strong>Beaver Builder 2.0 is here!</strong></p>
<p>Please note that 2.0 is currently only available from your My Account page or via remote update if you already have 2.0 installed. We'll be releasing remote updates for older versions of Beaver Builder within the next few weeks.</p>

<h4>2.0-beta.3 - 10/31/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Updated the help video for 2.0.</li>
	<li>Added fl_row_resize_settings filter.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed various UI styling issues.</li>
	<li>Fixed editing global rows not working properly.</li>
	<li>Fixed template override settings not working on multisite.</li>
	<li>Fixed repeater fields in nested forms not working.</li>
	<li>Fixed stylesheets in the body tag not being parsed for responsive preview.</li>
	<li>Fixed content panel showing during preview or unpinning during preview when not expected.</li>
	<li>Fixed anchor links in the layout causing the builder to launch again after publish.</li>
</ul>

<h4>2.0-beta.2 - 10/12/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Publish button now says 'Submit for Review' if a user doesn't have permission to publish.</li>
	<li>Pinned settings are now responsive for smaller devices.</li>
	<li>Moved WordPress widgets into their own group.</li>
	<li>Moved Themer modules into their own group (coming in Themer 1.0.3).</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed row actions being covered by modules when the row has no padding.</li>
	<li>Fixed values in text inputs not being escaped which breaks the markup.</li>
	<li>Fixed settings being dragged or resized so you can't access the drag handle anymore.</li>
	<li>Fixed browser zoom triggering the action overflow menu when it shouldn't.</li>
	<li>Fixed multiple issues with saving new templates.</li>
	<li>Fixed styling issues with dark mode.</li>
	<li>Fixed module aliases not showing in the content panel.</li>
	<li>Fixed widgets not showing in the content panel.</li>
</ul>

<h4>2.0-beta.1 - 10/04/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added keyboard shortcut UI to the builder menu.</li>
	<li>Reworked keyboard shortcut system to support displaying shortcuts with labels and modifier key symbols.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed various styling issues.</li>
	<li>Fixed photo and video fields that aren't in node settings not showing saved data when opened again after the page is refreshed.</li>
	<li>Fixed error when saving a template with no category set.</li>
	<li>Fixed saved values for medium and responsive in dimension fields not showing when going back to edit a node.</li>
	<li>Fixed module templates not showing in the content panel.</li>
	<li>Fixed issue with module hover in the content panel being covered by siblings.</li>
	<li>Fixed a major issue with secondary loops triggering the builder's content filter when they shouldn't. This caused a number of issues including an infinite loop in Themer and the incorrect posts being displayed on standard builder pages.</li>
	<li>Fixed FLBuilder::render_query so it doesn't have to override $wp_query which was causing incorrect connection data for Themer layouts.</li>
</ul>

<h4>2.0-alpha.7 - 09/21/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added the ability to match posts in the loop settings by related taxonomy terms.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed page scrolling breaking when opening the main menu.</li>
	<li>Fixed field connections not rendering in nested settings forms.</li>
</ul>

<h4>2.0-alpha.6.1 - 09/19/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with the option labels in select option groups not showing.</li>
</ul>

<h4>2.0-alpha.6 - 09/19/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug breaking the Pods integration.</li>
	<li>Fixed an issue causing the builder UI to break on SiteGround servers.</li>
</ul>

<h4>2.0-alpha.5 - 09/06/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Settings panel tabs no longer become a drop-down menu when slim. Tabs that cannot fit into the available space are pushed into a menu.</li>
	<li>You can now move between settings tabs with the keyboard shortcuts "CMD + Left Arrow" or "CMD + Right Arrow" (CTRL on Windows).</li>
	<li>You can now reset row or column widths from the module overlay.</li>
	<li>"CMD + i" (CTRL on Windows) shortcut will take you directly to module search.</li>
	<li>Module search is now case-insensitive.</li>
	<li>Duplicated items that appear off screen will now scroll into view.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed scrolling not working when hovering over the content panel and then back into the layout.</li>
	<li>Hovering over the content panel should no longer cause screen jitter in Windows browsers.</li>
	<li>Icon selector search/filter has been restored.</li>
	<li>J, K, L, and ; keys now show content panel tabs even when the panel has been collapsed.</li>
	<li>Dropping a row template into the layout immediately loads fonts.</li>
	<li>Overriding core templates now works again when applying a template.<li>
	<li>Fixed ACE editor resize causing incorrect cursor position.</li>
	<li>Fixed multiple issues with pinning in Safari and Firefox.</li>
</ul>

<h4>2.0-alpha.4 - 08/29/2017</h4>
<ul>
	<li>A new slimmer version of the settings panels now opens when clicking to edit content.</li>
	<li>Settings panels can now be resized to any size that you desire.</li>
	<li>We'll remember the size and position you set for the settings panels even after reloading the page.</li>
	<li>The content panel and settings can now be pinned together on either the left or right side of the screen. You can resize the pinned sidebar when you need a little more room.</li>
	<li>You can now work with the toolbar or in the layout even when settings are open.</li>
	<li>If settings are open and you take action anywhere else in the builder, we'll save and close them for you. This means you can edit one module and click to edit another without ever needing to click save in between.</li>
	<li>Module search has been moved into the modules tab for more intuitive access.</li>
</ul>

<h4>2.0-alpha.3 - 08/07/2017</h4>
<ul>
	<li>Settings forms now load instantly! We've completely rewritten the settings forms in JavaScript so they dont need to be loaded from the server anymore. The only time something needs to load is if you're using a third party add-on that introduces legacy PHP fields. We'll have docs on the new JavaScript settings APIs when 2.0 is released and hope that all major add-on authors will convert their fields to JavaScript so everything loads instantly! :)</li>
	<li>Added an initial set of core row templates.</li>
	<li>Various bug fixes and style tweaks.</li>
</ul>

<h4>2.0-alpha.2 - 07/24/2017</h4>
<ul>
	<li>Added the ability to duplicate columns.</li>
	<li>Increased contrast to light and dark UI modes.</li>
	<li>Added module icons.</li>
	<li>Restyled content group selector.</li>
	<li>Reworked how group labels are displayed in search results.</li>
	<li>Style hardening for GeneratePress theme.</li>
	<li>Publishing out of the builder now moves the history state and updates the url. Re-entering will move back.</li>
</ul>

<h4>1.11.1 11/29/17</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed issue with ScrollTo links.</li>
</ul>

<h4>1.11 11/28/17</h4>
<p><strong>This will be the final 1.x release before 2.x is made available to all customers via remote update.</strong></p>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added new invisible theme type to Contact Form reCAPTCHA.</li>
	<li>New filter <code>fl_builder_menu_item_id</code>.</li>
	<li>Changed MailChimp double opt-in to default to Off, inline with MailChimps API.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed PHP notice in <code>fl_builder_user_access_capabilities</code> filter.</li>
	<li>Fixed Content Slider CTA not working on mobile.</li>
	<li>Fixed ScrollTo links not working if an SVG on the page contains a link.</li>
	<li>Fixed responsive menu no working if used in a widget.</li>
	<li>Fixed javascript error when row background contains a video URL.</li>
	<li>Fixed javascript issues when layout shortcode is used twice or more on a page.</li>
	<li>Fixed PHP notice when using PHP 7.1 and posts module.</li>
	<li>Fixed Post Module style tab being hidden if using a custom layout.</li>
	<li>Fixed missing space causing broken markup in Photo Module.</li>
</ul>

<h4>1.10.9.2 10/26/17</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed error when saving column settings after deleting a row.</li>
	<li>Fixed post module pagination not working if multiple post modules are on the same page.</li>
</ul>

<h4>1.10.9.1 10/12/17</h4>
<p><strong>Hot Fix</strong></p>
<ul>
	<li>Fixed hide page title in global settings.</li>
</ul>

<h4>1.10.9 10/10/17</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Disable Auto-Optimize when the builder is active.</li>
	<li>Numbers Module now supports decimals.</li>
	<li>New filter <code>fl_builder_render_module_css</code>.</li>
	<li>New filter <code>fl_is_debug</code>. This allows developers to run site with no caching without having to use WP_DEBUG.</li>
	<li>Plugin info lightbox and plugin updates list are now white labeled correctly.</li>
	<li>Contact Form Module placeholders are now configurable.</li>
	<li>Added Themer field connection to video lightbox URL.</li>
	<li>Updated language files.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed an issue with Contact Form Module reCAPTCHA when cURL is not available.</li>
	<li>Fixed possible JS error when more than one video is set to autoplay.</li>
	<li>Fixed some PHP warnings in WP admin area on Windows servers.</li>
	<li>Fixed an importer issue when PHP PCRE limit is set too low.</li>
	<li>Fixed an issue where pages that are not under builder control inherit global settings when a theme layout is on the page.</li>
	<li>Fixed issue with row background not waiting for images to be loaded before starting slideshow effect.</li>
	<li>Fixed Menus Module disappearing on device orientation change.</li>
	<li>Fixed module positioning issue with multiple nested columns.</li>
	<li>Fixed row background video issues with Safari.</li>
	<li>Fixed possible JS issue in Numbers Module, switched to using wp_add_inline_script()</li>
	<li>Fixed possible XSS exploit on links that use _blank by adding noopener to rel.</li>
	<li>Fixed the active class on hamburger toggle. Making sure that active class toggles only when clicking the hamburger icon.</li>
	<li>Fixed issue with custom width for column not working if equal height is enabled.</li>
	<li>Fixed submenu hover when the next row is using background overlay.</li>
</ul>

<h4>1.10.8.3 09/29/17</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a minor security issue with <code>fl_builder_export_templates_data</code> action.</li>
</ul>

<h4>1.10.8.2 09/12/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Update language files.</li>
	<li>Make module frontend filterable.</li>
	<li>New filters <code>fl_builder_module_frontend_custom_{slug}</code>, <code>fl_builder_module_frontend_file</code>.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed fatal error in debug class if bb-theme is not available.</li>
	<li>Fixed issue with media uploads if file extension is uppercase.</li>
	<li>Fixed an issue with Posts Module load more button.</li>
</ul>

<h4>1.10.8.1 09/07/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a PHP 5.2 issue. Debug class using PHP 5.3 and above code.</li>
</ul>

<h4>1.10.8 09/06/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
  <li>Added new debug setting in WP admin. Once enabled it allows support staff to see basic server info.</li>
  <li>Introduce <code>fl_builder_ace_options</code> filter. Allows aces editor options to be filtered.</li>
  <li>Introduce <code>fl_get_wp_widgets_exclude</code> filter.</li>
  <li>Added new reCAPTCHA theme to subscribe module.</li>
  <li>Added nav arrow style options for Post Carousel, Post Slider and Content Slider.</li>
  <li>Added option Load More Button as another Pagination Style in Post Grid module.</li>
  <li>Introduce <code>FLBuilder::default_image_html()</code> if no image exists.</li>
  <li>Google Fonts are now updated whenever we push an update automagically.</li>
  <li>Updated translation files.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
  <li>Remove WP HTML widget from available widgets in builder.</li>
  <li>Fixed missing module info when the call_module_delete method is called in FLBuilderModel.</li>
  <li>Fixed duplicate template id when cloning post using Duplicate posts plugin.</li>
  <li>Fixed a PHP warning if a settings form contains no tabs.</li>
  <li>Fixed a PHP warning if a widget is registered non CamelCase.</li>
  <li>Fixed issue with SendinBlue API, namespace class in case other plugins use same library.</li>
  <li>Fixed AJAX save issue if no icons are enabled.</li>
  <li>Fixed Menu Module. Mobile menu was not rendering between 993px and 1007px.</li>
  <li>Fixed image/video upload validation issues.</li>
  <li>Fixed a SiteGround Staging issue with thumbnails.</li>
  <li>Fixed Menu Module. If a page has same ID as a category and both are in a menu, both had current-menu-item class.</li>
</ul>

<h4>1.10.7.1 8/11/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
  <li>Fixed malformed From header in Contact Form Module.</li>
</ul>

<h4>1.10.7 8/08/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
  <li>Safemode for the builder added. If you append <code>&safemode</code> to your url when the builder is active all modules will be safely rendered without content.</li>
  <li>Added custom field support for Map Module and SmugMug feed urls.</li>
  <li>Reworked featured image placement options in Posts Module.</li>
  <li>Updated language files.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
  <li>Fixed Menu Module, mega menu only works with horizontal nav menus.</li>
  <li>Fixed the missing image alt on Callout Module.</li>
  <li>Fixed Contact Form Reply-To headers incorrectly set.</li>
  <li>Fixed an issue with Agency version not being able to rename a child theme if the theme is not network enabled.</li>
  <li>Fixed a JS error if Countdown Module visibility is set to never.</li>
  <li>Fixed RTL issues in Post Grid Module.</li>
  <li>Fixed issue with YouTube background videos showing related content on certain versions of IE.</li>
  <li>Fixed PHP warning in Subscribe Module.</li>
  <li>Fixed Posts Module pagination issues.</li>
  <li>Fixed saving issue. Any modules using non UTF-8 chars would cause a JS fatal error when using `FL_BUILDER_MODSEC_FIX`.</li>
  <li>Fixed a fatal PHP error when duplicating Woocommerce products.</li>
  <li>Fixed repeater fields not working when registered in the global settings.</li>
	<li>Fixed Text Editor Module z-index issue introduced in WordPress 4.8.1</li>
</ul>

<h4>1.10.6.4 7/28/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
  <li>Fixed PHP error produced by canonical redirection if the post_type is changed to an array by a plugin.</li>
</ul>

<h4>1.10.6.3 7/05/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
  <li>Fixed google fonts script logic introduced in 1.10</li>
</ul>

<h4>1.10.6.2 6/21/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
  <li>Fixed a minor bug with adding new rows, sometimes they would appear below the content</li>
</ul>

<h4>1.10.6.1 6/21/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
  <li>Fix broken markup caused by changes to posts module list mode introduced in 1.10.6</li>
</ul>

<h4>1.10.6 6/19/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
    <li>Subscribe Form module: New service for iContact Pro.</li>
    <li>Subscribe Form module: Added support for Godaddy Email Marketing.</li>
    <li>Saved rows in Builder UI now sorted alphabetically.</li>
    <li>Enhanced WP-CLI support. See <a href="https://kb.wpbeaverbuilder.com/article/504-wp-cli">documentation</a>.</li>
    <li>New action <code>fl_builder_subscribe_form_submission_complete</code> added to Subscribe Form module.</li>
    <li>New filter <code>fl_builder_render_module_settings_assets</code> added to settings form assets.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
    <li>Removed the new core media widgets from the builder since they dont work in the builder and we have modules that do the same thing.</li>
    <li>Fixed the core text widget form in the builder so the legacy form loads since the new form in 4.8 doesn't. The text widget is also removed from the module list in favor of the Text Editor and HTML modules. Sites previously using the text widget will still render and they can still be edited, they just won't be able to add new text widgets.</li>
    <li>Fixed Slideshow module not showing in the Tabs module.</li>
    <li>Fixed JS error in Row > Background > Slideshow  on touch-enabled devices.</li>
    <li>Increased the video ratio to 16:9 to fix the top/bottom black border on responsive layout.</li>
    <li>Changed span to div element for the Accordion label to avoid possible W3C validation error.</li>
    <li>Disabled click event while transitioning on Posts Carousel and Posts Slider.</li>
    <li>Fixed a row duplication issue if the row contains a layout shortcode.</li>
    <li>Fixed Posts module infinite scroll if Posts Slider module is on same page.</li>
    <li>Added sans-serif as Google Fonts fallback.</li>
    <li>Throw an error if wrong type of Icomoon icons are uploaded.</li>
    <li>Fixed PHP notice on 404 pages if layout shortcode is used via a hook.</li>
    <li>Reduced encoding issues when copying template.dat files between Windows and UNIX servers.</li>
    <li>Disabled click event on Testimonial module's navigation dots and arrows while transitioning to avoid skipping slide item.</li>
    <li>Pagination issue with Posts module if page URL has a query parameter.</li>
    <li>Fixed menu current item class not working on front page when menu is rendered via a hook.</li>
    <li>Fixed menu overlay layout issue on responsive style.</li>
    <li>Make sure submenu closes on pages with scroll-to link.</li>
    <li>Featured image should now be displayed below title and beside text for both left and right position Posts module list.</li>
    <li>Fixed pagination on single custom post types with Posts module caused by canonical redirection.</li>
</ul>

<h4>1.10.5.1 - 6/5/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed new loop actions introduced in 1.10.5</li>
</ul>

<h4>1.10.5 - 6/5/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added color connection for row backgrounds.</li>
	<li>Added responsive breakpoint settings to Menu Module.</li>
	<li>Subscribe form module - enable enter key to submit form.</li>
	<li>Added campaign field for Drip email service on subscribe module.</li>
	<li>Added filter <code>fl_builder_loop_before_query_settings</code>.</li>
	<li>Added filter <code>fl_builder_loop_settings</code>.</li>
	<li>Added action <code>fl_builder_loop_settings_before_form</code>.</li>
	<li>Added action <code>fl_builder_loop_settings_after_form</code>.</li>
	<li>Updated language files, new language added: <code>en_GB</code>.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed password protected posts breaking Themer layouts.</li>
	<li>Fixed conflict with WP Courseware.</li>
	<li>Fixed setting toggles not working in nested forms.</li>
	<li>Fixed broken images in the Zen Life template.</li>
	<li>Fixed hidden nodes showing when the builder is active for layouts that aren't currently being edited.</li>
	<li>Fixed not being able to save user access settings with no role set.</li>
	<li>Fixed subscription downloads showing up when the builder is white labeled.</li>
	<li>Fixed issue with cropped images when Jetpacks Photon module is enabled.</li>
	<li>Fixed posts module when multiple authors are selected.</li>
	<li>Fixed menu module becoming unresponsive when right-clicked.</li>
	<li>Fixed hidden content slider module controls if margin is set to 0.</li>
	<li>Fixed JS error when menu module visibility is set to never.</li>
	<li>Fixed WP updates reporting compatibility: Unknown when updating plugins and themes.</li>
	<li>Fixed menu nav background color on mobile since it's overridden by the main bg color.</li>
	<li>Fixed partial refresh issue where it's duplicating menu module when selecting Below Row layout.</li>
	<li>Fixed JS error on older versions of WordPress.</li>
</ul>

<h4>1.10.4 - 5/18/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed the builder admin menu not showing up for some people with Beaver Themer installed.</li>
</ul>

<h4>1.10.3 - 5/17/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added 'bottom' as an alignment option for row contents.</li>
	<li>Testimonials Module, new setting added to control slider direction.</li>
	<li>Subscribe module MailPoet 3 beta support added.</li>
	<li>Updated pt_PT translation.</li>
	<li>Added the same <a href="https://kb.wpbeaverbuilder.com/article/139-set-up-a-mega-menu" target="_blank">mega menu logic as the theme</a> to the Menu module.</li>
	<li>Added a submenu spacing setting to the Menu module.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed the column width for reversed stacking order on mobile.</li>
	<li>Fixed a translation error in wp-admin. 'This is a global %s' was not being parsed.</li>
	<li>Fixed RTL issue with testimonials module.</li>
	<li>Fixed a js error if breakpoint was left blank in global settings. Now a required numeric field.</li>
	<li>Fixed an issue where it was possible to have two versions of the plugin active on GoDaddy.</li>
	<li>Fixed an issue with mobile menu flashing unstyled content on initial load.</li>
	<li>Fixed reCaptcha errors in Subscribe & Contact Form Modules.</li>
	<li>Fixed vertical alignment center on full height rows in IE11.</li>
	<li>Fixed an issue with BuddyPress. Builder activate link removed from BuddyPress generated pages.</li>
	<li>Fixed a padding issue on reverse stacked video module.</li>
	<li>Fixed Subscribe Module, GetRespone API would throw an error and not subscribe if name field is hidden.</li>
	<li>Fixed a translation compatibility issue with Beaver Themer plugin.</li>
	<li>Fixed read more link in the Posts module not going below the content and causing line-height issues in the list layout.</li>
	<li>Fixed color picker closing when the mouse goes outside of the picker during drag.</li>
	<li>Fixed hidden global row and module labels when they have long titles.</li>
</ul>

<h4>1.10.2 - 5/2/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added dot indicating whether the builder is enabled or not on builder launch links.</li>
	<li>Added field connections for row background videos.</li>
	<li>Added tinyPNG compatibility for images stored in the builder's cache folder.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed memory exhausted fatal error when loading templates on servers without enough memory.</li>
	<li>Fixed comments showing in the Posts module when they should not.</li>
	<li>Fixed Posts module pagination when WPML's URL variable is set to lang= rather than directories.</li>
	<li>Fixed JS error in the Posts module when switching from the gallery layout.</li>
	<li>Fixed JetPack sharing icons not showing in the Posts module.</li>
	<li>Fixed line height issue with the Map module.</li>
	<li>Fixed editing templates in the Beaver Builder theme not going full width.</li>
	<li>Fixed some module assets not being re-rendered when working in the builder.</li>
	<li>Fixed issues with preview refresh and responsive editing.</li>
	<li>Fixed subscription check if the site has no internet access and cannot check the subscription state.</li>
	<li>Fixed PHP warning when rendering CSS/JS assets.</li>
	<li>Fixed misc translation issues.</li>
	<li>Fixed image uploads if FORCE_SSL_ADMIN is true and site is non-ssl.</li>
</ul>

<h4>1.10.1 - 4/25/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed issue with super admins on multisite that aren't admins of a site not being able to use the full builder.</li>
</ul>

<h4>1.10 - 04/24/2017</h4>
<p><strong>General Enhancements</strong></p>
<ul>
	<li>Added User Access settings to the Page Builder admin settings for choosing which user roles can access certain features.</li>
	<li>Saved rows and modules can now be created via the Builder admin menu (formerly Templates admin menu).</li>
	<li>Templates, saved rows and saved modules now have their on individual pages in the admin.</li>
	<li>Added caching for registering templates to prevent issues with servers that have low memory.</li>
	<li>Changed priority of UI script loading to try and prevent issues with themes that load scripts that should be loaded from WordPress core.</li>
	<li>Added field connections to video module embed field.</li>
	<li>Added the ability to order posts in the post modules by meta value.</li>
	<li>Paged post modules are now scrolled to when clicking a link to the next page.</li>
	<li>Added Enormail integration to the Subscribe Form module.</li>
	<li>Multiple calls to Google Fonts from the theme and plugin are now combined into one request.</li>
	<li>Added connections to Number Counter module fields.</li>
	<li>Added fl_builder_loop_query filter.</li>
	<li>Removed the loading graphic when saving settings. Elements are now slightly faded until they are updated.</li>
	<li>Module and row duplicating is now instantaneous instead of having to wait with a loading graphic.</li>
	<li>All drag and drop operations now load inline instead of taking over the page with a loader.</li>
	<li>Added module name to the module settings overlay tooltip.</li>
	<li>Added custom field connections to Contact Form module email field.</li>
	<li>Added support for exporting a single theme layout or a group of theme layouts.</li>
	<li>Added support for theme layouts to the template data exporter.</li>
</ul>
<p><strong>Post Module Enhancements</strong></p>
<ul>
	<li>Added "columns" layout to the layout setting.</li>
	<li>Added more layout and styling settings.</li>
	<li>The "no results" message is now shown when no posts are found.</li>
	<li>Added a setting to show a search form if no posts are found.</li>
	<li>Added the ability to exclude posts in the content filter for the query.</li>
</ul>
<p><strong>Menu Module Enhancements</strong></p>
<ul>
	<li>Added "below row" option for mobile menu position.</li>
	<li>Added font family setting.</li>
	<li>Misc CSS improvements.</li>
</ul>
<p><strong>Changes</strong></p>
<ul>
	<li>Changed Templates to Builder in the admin menu.</li>
	<li>Merged Uninstall and Cache into Tools in the Page Builder admin settings.</li>
	<li>Removed Editing section in the Page Builder admin settings in favor of the new User Access settings.</li>
	<li>Removed Templates Admin setting in the Page Builder admin settings in favor of the new User Access settings.</li>
	<li>Removed Template Data Exporter setting in the Page Builder admin settings in favor of the new User Access settings.</li>
	<li>Changed edit button text on the admin edit screen for templates to say Launch Page Builder.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed the builder layout shortcode not working with Beaver Themer.</li>
	<li>Fixed some photos not going full-width on mobile.</li>
	<li>Fixed pre-instantiated widgets not working.</li>
	<li>Fixed anchor links in the theme header causing the builder done actions to show.</li>
	<li>Fixed multisite issues with render query.</li>
	<li>Fixed post list spacing not working when using a custom post layout.</li>
	<li>Fixed layout JS breaking when you save a JS array in the code field.</li>
	<li>Fixed color picker alpha slider.</li>
	<li>Fixed parallax background position being applied to child rows inserted using a shortcode.</li>
	<li>Fixed unescaped attributes in the heading module causing HTML errors.</li>
	<li>Fixed fatal error when inserting layouts via shortcode in certain cases.</li>
	<li>Fixed PHP warning when first dropping a post module on the page.</li>
</ul>

<h4>1.9.5.3 - 4/4/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug in 1.9.5 preventing columns in full height rows from stacking on mobile.</li>
</ul>

<h4>1.9.5.2 - 3/31/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed an issue with rewrites being flushed on every page load.</li>
</ul>

<h4>1.9.5.1 - 3/21/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Rolled back change in 1.9.5 that fixed some photos not going full width on mobile. That was causing all photos to go full width on mobile even when not intended. We'll revisit that fix in 1.10.</li>
</ul>

<h4>1.9.5 - 3/20/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Posts module pagination now works separately when multiple Posts modules are on a page.</li>
	<li>Added support for WooCommerce Memberships.</li>
	<li>Added support for setting a custom subject in the Contact Form and Subscribe Form modules.</li>
	<li>Added JS config for overriding the offset of waypoint animations.</li>
	<li>Added support for font-weights that have 'i' at the end of their value string.</li>
	<li>Added fl_builder_editing_enabled filter.</li>
	<li>Added fl_builder_module_details filter.</li>
	<li>Added logic to prevent bad JS entered into the layout settings from breaking the builder.</li>
	<li>Added post_class() call to the Posts module.</li>
	<li>Update Google Fonts.</li>
</ul>
<p><strong>Changes</strong></p>
<ul>
	<li>Changed Video module embed field to a code editor.</li>
	<li>Removed outline from the Accordion module when an item has focus.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed content disappearing or being ordered incorrectly when dragging and dropping nested columns.</li>
	<li>Fixed Posts module pagination not working when rendered via a shortcode.</li>
	<li>Fixed module settings JS errors in Safari.</li>
	<li>Fixed warning caused when DOING_AJAX is already defined.</li>
	<li>Fixed Gravity Forms not showing in the Button module lightbox.</li>
	<li>Fixed IE flexbox issues with full-height rows.</li>
	<li>Fixed nested menu items not opening in the Menu module's accordion layout.</li>
	<li>Fixed module export/import not working.</li>
	<li>Fixed non-breaking space in the Number module.</li>
	<li>Fixed content in nested columns not being exported to the default WordPress editor.</li>
	<li>Fixed Posts Carousel and Posts Gallery icons always showing even when set not to display.</li>
	<li>Fixed YouTube and Vimeo video backgrounds not filling the full width and height of a row.</li>
	<li>Fixed photos not going full width on mobile devices.</li>
	<li>Fixed pagination double slashes when using permalinks with no ending slash.</li>
	<li>Fixed multiple translation issues.</li>
	<li>Fixed photo fields showing incorrect selection when switching site to HTTPS.</li>
	<li>Fixed layout settings css not applying when overriding/appending a user template.</li>
	<li>Fixed validation errors with Map module.</li>
	<li>Fixed conflict with WPEngine's PHP Compatibility plugin reporting a PHP7 warning.</li>
	<li>Fixed ReCaptcha conflicts with other plugins.</li>
	<li>Fixed linking to a specific tab in the Tabs module.</li>
	<li>Fixed name being set to 0 in the Subscribe Form module when using ConvertKit.</li>
	<li>Fixed PHP warning in the Gallery module when an image doesn't have an ID.</li>
	<li>Fixed JavaScript error in FireFox.</li>
</ul>

<h4>1.9.4 - 01/18/2017</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with font fields introduced in 1.9.3.</li>
</ul>

<h4>1.9.3 - 01/17/2017</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Accessibility enhancements to Accordion, Contact Form, Content Slider, Icon, Menu, Post Carousel, Post Slider, Subscribe Form and Tabs modules. Thanks to John Russell (@laubsterboy) for the contribution!</li>
	<li>Added reCAPTCHA support to the Subscribe Form and Contact Form modules.</li>
	<li>Vimeo and YouTube scripts are now only loaded in the builder UI when a video from those services is present.</li>
	<li>Removed the Read More button from the text editor in the builder UI as it does not work with builder layouts.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed global rows and modules not working after being duplicated under Tools > Duplicate Layout.</li>
	<li>Fixed SSL mixed content issues with the Slideshow module.</li>
	<li>Fixed the thumbnail navigation in the Slideshow module not showing on touch enabled desktops.</li>
	<li>Fixed Menu module showing category descriptions for WooCommerce product categories.</li>
	<li>Fixed issues with empty parent links in the Menu module.</li>
	<li>Fixed Menu module not adding current-menu-item class when loaded from a template.</li>
	<li>Fixed Menu module sub-menu background color being overridden by the menu background color.</li>
	<li>Fixed a PHP warning in the Post Slider module with random ordering when using an offset.</li>
	<li>Fixed IE layout issue with top aligned full height rows.</li>
	<li>Fixed fonts with numbers in their names not working in font fields.</li>
	<li>Fixed PHP warnings with Madmimi and MailerLite.</li>
	<li>Fixed Maps module trying to open the Google Maps app in the Facebook Messenger app.</li>
	<li>Fixed issues with autoplaying videos in the Content Slider module.</li>
	<li>Fixed posts with double quotes in their names breaking suggest fields.</li>
	<li>Fixed Number Counter modules in Tabs modules not displaying correctly.</li>
	<li>Fixed row text color overriding colors set in the Pricing Table module.</li>
	<li>Fixed Button module popup content being duplicated when rendered inside a Content Slider module via shortcode.</li>
</ul>

<h4>1.9.2 - 12/13/2016</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug introduced in 1.9.1 that broke live preview when editing settings.</li>
	<li>Fixed gallery fields not working when images are saved as part of a template and don't exist on the site.</li>
</ul>

<h4>1.9.1 - 12/12/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Updated Google fonts.</li>
	<li>Updated translations.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed rows and modules not appearing when first added to the page.</li>
	<li>Fixed column settings dropdown disappearing when the column has a background overlay color.</li>
	<li>Fixed the button module lightbox opening all lightboxes on the page.</li>
	<li>Fixed multiple RTL language CSS issues.</li>
	<li>Fixed row and column text colors affecting select inputs.</li>
	<li>Fixed CSS conflicts with third party themes and the builder UI.</li>
	<li>Fixed parallax backgrounds being applied to child rows when inserting layouts via a shortcode.</li>
</ul>

<h4>1.9 - 12/06/2016</h4>
<p>This update adds a number of new features. Be sure to check out <a href="https://www.wpbeaverbuilder.com/beaver-builder-1-9-shasta/">the blog post</a> for detailed info on what was added.</p>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added the ability to drop columns into columns.</li>
	<li>Added the ability to drag and drop existing columns.</li>
	<li>Made multiple improvements for more accurate dragging and dropping.</li>
	<li>Added responsive settings for margins, padding and borders.</li>
	<li>Added new content page templates.</li>
	<li>Template images are now loaded via HTTPS.</li>
	<li>Added the ability to open a lightbox via a button.</li>
	<li>Added the ability to add an alpha slider to color fields.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed responsive spacing not working when defaults are zeroed out in the global settings.</li>
	<li>Fixed format select not showing in text editor fields.</li>
	<li>Fixed incorrect color picker width in third party themes.</li>
	<li>Fixed incorrect column group positions when dropping an existing module into a row.</li>
	<li>Fixed multiple issues with responsive margins/padding not working.</li>
	<li>Fixed a fatal error caused by modules that are no longer registered.</li>
	<li>Fixed broken modules that have nested forms such as the Accordion module.</li>
	<li>Fixed live preview issues for nested columns when editing the parent column.</li>
	<li>Fixed issues with live preview not working correctly for responsive fields.</li>
	<li>Fixed issues with global responsive margins and padding not working.</li>
	<li>Fixed issues with equal height columns and nested columns.</li>
	<li>Fixed Button module lightbox close button jump when placing the mouse over it.</li>
	<li>Fixed Button module lightbox close button positioning.</li>
	<li>Fixed drag and drop placeholder animation lag.</li>
</ul>

<h4>1.8.8 - 11/08/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Updated FontAwesome to 4.7.</li>
	<li>Add tags support for AWeber and ActiveCampaign.</li>
	<li>Added the "site" parameter to the fl_builder_insert_layout shortcode for inserting layouts from other sites on a network.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed module settings not loading when the site language is set to Farsi.</li>
	<li>Fixed HTML validation error with the Icon module.</li>
	<li>Fixed an error when setting the default editor to HTML using the wp_default_editor filter.</li>
	<li>Fixed YouTube videos not working when column stacking order is reversed.</li>
	<li>Fixed Content Slider module's navigation arrows not showing in IE11.</li>
	<li>Fixed not being able to translate the comments popup link in the Posts module.</li>
	<li>Fixed long template names not showing ellipses in the content panel.</li>
	<li>Fixed empty global rows when sending a global row to the trash in wp-admin.</li>
	<li>Fixed the Posts module breaking the render_query method in certain cases.</li>
	<li>Fixed the position of the settings lightbox resize icon on RTL sites.</li>
	<li>Fixed not being able to close accordion submenus in the Menu module.</li>
</ul>

<h4>1.8.7.1 - 10/13/2016</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with row and column text colors not working in 1.8.7.</li>
</ul>

<h4>1.8.7 - 10/09/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>The mobile version of the Menu module now collapses when an anchor link is clicked.</li>
	<li>Added the option to enable audio for YouTube and Vimeo row backgrounds.</li>
	<li>Added MailerLite support to the Subscribe Form module.</li>
	<li>Added the fl_builder_is_node_visible filter.</li>
	<li>Added the fl_builder_form_field_preview_text filter.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed the lightbox not working in the Photo module.</li>
	<li>Fixed broken slideshow backgrounds when no transition speed is set.</li>
	<li>Fixed a CSS inheritance issue with the hamburger icon in the Menu module.</li>
	<li>Fixed CSS compatibility issues with the builder UI in the Paperback theme from Array Themes.</li>
	<li>Fixed a JS error on the post edit screen when the plugin branding contains a single quote.</li>
	<li>Fixed the editing capability preventing editing of global templates.</li>
	<li>Fixed layout CSS/JS 404 errors when the same layout is included on the page twice.</li>
	<li>Fixed slideshow captions not changing on touch.</li>
	<li>Fixed photo not removing when the remove link is clicked for the photo field.</li>
	<li>Fixed a PHP warning with incorrect filter arguments in the Menu module.</li>
	<li>Fixed SSL issue in IE caused by the YUI3 library.</li>
</ul>

<h4>1.8.6 - 09/19/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added YouTube and Vimeo support for row backgrounds.</li>
	<li>Added a no follow setting to the Button module and modules that have buttons in them.</li>
	<li>Added a loader icon when opening a lightbox for the Gallery and Photo modules.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed Gallery module lightbox ordering when using the collage layout.</li>
	<li>Fixed multiple color picker issues by changing the mode to HSV.</li>
	<li>Fixed auto suggest fields breaking in the Posts module.</li>
	<li>Fixed themes that load older versions of jQuery Waypoints breaking animations.</li>
	<li>Fixed negative column and module margins covering row overlay actions.</li>
	<li>Fixed SSL issues caused by the YUI3 script.</li>
	<li>Fixed Posts Carousel error when added to an Accordion module via shortcode.</li>
	<li>Fixed memory limit issue with loading in template data files.</li>
	<li>Fixed width rounding issues in the Gallery module.</li>
	<li>Fixed module animations not running when the module is too far down the page.</li>
	<li>Fixed lightbox close button being hidden by the admin bar.</li>
	<li>Fixed PHP notices when only user templates are enabled but none have been saved.</li>
	<li>Fixed skipping slides in the Content Slider module when clicking too fast.</li>
	<li>Fixed error caused by removing a photo from a photo field before the single photo selector is initialized.</li>
	<li>Fixed Menu module dropdowns in older browsers.</li>
	<li>Fixed API errors with the Active Campaign integration.</li>
	<li>Fixed unstripped slashes in theme branding fields.</li>
	<li>Fixed fonts not being enqueued for font fields in nested forms.</li>
</ul>

<h4>1.8.5 - 08/26/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added 15 new translations. Updated 24 existing translations.</li>
	<li>Added bottom alignment setting for equal height columns.</li>
	<li>Added fl_builder_rendered_content filter.</li>
	<li>Added fl_builder_exporter_template filter.</li>
	<li>Added fl_builder_ui_panel_before_rows action.</li>
	<li>Added fl_builder_ui_panel_before_modules action.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed an error with our smooth scrolling JavaScript when #! is in the page URL.</li>
	<li>Fixed help text for filters in the Loop Settings. Using a comma in the list breaks the functionality.</li>
</ul>

<h4>1.8.4 - 08/09/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Tested compatibility with WordPress 4.6.</li>
	<li>Added oEmbed support to editor fields in all modules.</li>
	<li>Added wpautop param for editor fields so it can be disabled on a per-field basis.</li>
	<li>Added JS hooks for column resizing.</li>
	<li>Added fl_builder_google_fonts_domain filter for countries that block Google domains.</li>
	<li>Added fl_builder_before_render_shortcodes filter.</li>
	<li>Added Arial as the default fallback font for Windows users.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed issues with updater caching preventing updates from showing in some cases.</li>
	<li>Fixed theme white labeling not working in the Customizer.</li>
	<li>Fixed PHP notices caused by the importer.</li>
	<li>Fixed full height rows overlapping in IE 11.</li>
	<li>Fixed custom global CSS being included on the page more than once when a layout is inserted with the shortcode or render_query.</li>
	<li>Fixed SSL certificate error with MailChimp.</li>
	<li>Fixed double slash in the pagination URL for the Posts module.</li>
	<li>Fixed empty background-size CSS property for rows and columns.</li>
	<li>Fixed equal height columns not vertically aligning in FireFox.</li>
	<li>Fixed Gallery module breaking module animations.</li>
	<li>Fixed Google Fonts not being loaded for layouts rendered using the shortcode when Google Fonts have already been loaded for the main layout.</li>
	<li>Fixed IE 11 content classes not being applied when caching is present.</li>
	<li>Fixed YUI3 making too many requests when on HTTPS.</li>
	<li>Fixed Gallery module affecting the position of anchor links when first loaded.</li>
</ul>

<h4>1.8.3 - 07/15/2016</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with asset cache not being cleared for content rendered via shortcode or the render_query method.</li>
</ul>

<h4>1.8.2 - 07/12/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Beaver Builder theme cache is now cleared when the builder cache is cleared via Settings > Page Builder > Cache.</li>
	<li>Added support for clearing the builder cache using WP-CLI (wp beaver clearcache).</li>
	<li>Added support for white labeling the theme name in the At a Glance dashboard widget.</li>
	<li>Added the option to choose a form or list for ActiveCampaign connections in the Subscribe Form module as forms trigger the autoresponder where lists do not.</li>
	<li>Added support for option groups in the select field type.</li>
	<li>Added an admin notice on the settings page alerting users when Beaver Builder can't write files.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with the layout of the Post Grid, Post Carousel, Content Slider, Post Slider and Testimonial modules when inserted into a Tabs or Accordion module via shortcode.</li>
	<li>Fixed a bug with pagination in the Posts module when added via shortcode.</li>
	<li>Fixed a bug with the responsive styling of the Heading module.</li>
	<li>Fixed a bug with the Heading module and live preview.</li>
	<li>Fixed a bug with the toggle behavior of button style options when the background color is not set.</li>
	<li>Fixed a bug with white labeling not showing for the Beaver Builder theme in the network admin.</li>
	<li>Fixed a bug with vertically centered columns horizontally centering content.</li>
	<li>Fixed a bug with vertically centered columns preventing slideshows from showing.</li>
	<li>Fixed a bug with Menu module styling of list items.</li>
	<li>Fixed a bug with Menu module alignment not working on mobile.</li>
	<li>Fixed a bug with builder content loaded via shortcode causing non-builder content to go full-width.</li>
	<li>Fixed a bug with TinyMCE in nested settings forms on FireFox.</li>
	<li>Fixed a bug with full height rows overlapping in IE11.</li>
	<li>Fixed a bug with row video backgrounds not working when added via URL.</li>
	<li>Fixed a bug with cache files not being created with the correct file permissions.</li>
	<li>Fixed a bug with column border colors being rendered when none are set.</li>
	<li>Fixed a bug with reversed column stacking not working on Safari.</li>
	<li>Fixed a bug with column resizing and global rows.</li>
	<li>Fixed a bug with delayed CSS loading when using the layout shortcode or render_query function.</li>
	<li>Fixed a bug with CSS specificity when multiple Subscribe Form modules are on the same page.</li>
	<li>Fixed a bug with the Campaign Monitor integration causing warnings in PHP7. </li>
	<li>Fixed a bug with row text colors overriding text colors in the Number module.</li>
	<li>Fixed a bug with the lightbox not working for Gallery modules inside of a Tabs module.</li>
	<li>Fixed a bug with FontAwesome icons in the headings of Tabs modules converting to a plus icon when clicked.</li>
	<li>Fixed a bug with audio players not going full width in the Accordion module.</li>
</ul>

<h4>1.8.1 - 06/15/2016</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with the text editor field stripping line breaks in 1.8.</li>
	<li>Fixed a bug that caused the visual text editor to break in 1.8.</li>
	<li>Fixed a bug with the index.html file in the icons cache folder causing an error.</li>
	<li>Fixed a bug with vertically centered columns also centering content horizontally.</li>
	<li>Fixed a bug with hooking rows via the shortcode breaking the builder UI.</li>
	<li>Fixed a bug with layout templates showing in row/module positions in the content sidebar when using the Agency override feature.</li>
	<li>Fixed a bug with backgrounds, padding, and margins where they were applied to all elements when using the shortcode.</li>
	<li>Fixed a bug with resizing the Testimonials module on large/medium devices.</li>
	<li>Fixed a number of minor CSS bugs.</li>
	<li>Fixed a number of minor issues with the Menu module.</li>
	<li>Fixed editing performance issues with AJAX layout rendering on large pages.</li>
</ul>

<h4>1.8 - 06/07/2016</h4>
<p>This update adds a number of new features. Be sure to check out <a href="https://www.wpbeaverbuilder.com/beaver-builder-1-8-gordon/">the blog post</a> for detailed info on what was added.</p>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added 16 new home page templates.</li>
	<li>Added the ability for theme authors to load third party templates into all version of the builder (including the lite) using the new Template Data Exporter. Please <a href="https://www.wpbeaverbuilder.com/knowledge-base/theme-author-templates/">read the docs</a> for more info on that.</li>
	<li>Added the ability to export single templates or groups of templates using the WordPress Exporter.</li>
	<li>Added a patch for the WordPress Importer to prevent it from breaking imports in certain situations.</li>
	<li>Added a setting in the advanced tab to show rows/modules/columns based on if a user is logged in, logged out, or never show them (they only appear while editing). You can also choose the capability logged in users must have to see a row/column/module.</li>
	<li>Added a setting in the advanced tab to reverse the column stacking order on smaller devices.</li>
	<li>Added settings to vertically center or top align content in full height rows and equal height columns.</li>
	<li>Added settings to add a video background to a row using external links instead of the media library.</li>
	<li>Added settings in the Icon Group module to choose individual icon colors and link targets.</li>
	<li>Added settings in the Heading module to set the line-height and letter spacing.</li>
	<li>Added settings in the Separator module to set the width and alignment.</li>
	<li>Added a setting to the Accordion module that makes the first item open by default.</li>
	<li>Added a setting in the Posts module to customize the "No Posts Found" message.</li>
	<li>Added settings to all modules with buttons for fading in icons on hover and choosing a hover opacity for transparent backgrounds.</li>
	<li>Added settings to the Contact Form module for customizing the button.</li>
	<li>Made changes to the Contact Form module so the recipient's email address is no longer visible in the markup.</li>
	<li>Captions are now displayed in the Gallery module's lightbox.</li>
	<li>PHP files can now be used to register templates and load template data from the database.</li>
	<li>Added caching to FLBuilderModel::get_user_template_type to cut down on the number of queries it runs.</li>
	<li>The form validation required message is now translatable.</li>
	<li>Empty index files are now added the cache directories to prevent browsing.</li>
	<li>Added a button for resizing settings lightboxes so they fill the screen.</li>
	<li>Added support for oEmbeds in the Text Editor module.</li>
	<li>Changed row and module templates to saved rows and modules.</li>
	<li>Tweaked templates admin settings terminology.</li>
	<li>Tweaked draft and discard button terminology.</li>
	<li>Added CSS/JavaScript to layout settings button and panel.</li>
	<li>Increased size of the publish button.</li>
	<li>Added a setting to collapse inactive items in accordion mode for the Menu module.</li>
	<li>Updated Font Awesome.</li>
	<li>Sticky posts are no longer included when using the fl_builder_insert_layout shortcode.</li>
	<li>Added an above title option for image position in the Posts module.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed issues with exporting and importing new templates.</li>
	<li>Fixed issues with layout CSS/JS not exporting and importing.</li>
	<li>Fixed incorrect module paths on Windows servers.</li>
	<li>Fixed the alignment setting preview for the Heading module. </li>
	<li>Fixed the incorrect load order of FLBuilder::render_query CSS in IE.</li>
	<li>Fixed RTL issues with the Content Slider and Post Slider modules.</li>
	<li>Fixed an IE11 bug with images that have height:auto in equal height columns.</li>
	<li>Fixed a PHP notice when adding Post Slider and Post Carousel modules to the page.</li>
	<li>Fixed a PHP error when the time field is used inside a nested form.</li>
	<li>Fixed a bug with duplicate rows adding backslashes to text.</li>
	<li>Fixed a bug with nested Tab modules via the fl_builder_insert_layout shortcode.</li>
	<li>Fixed an issue with sticky posts being included when using the fl_builder_insert_layout shortcode.</li>
	<li>Fixed a PHP notice when using the fl_builder_insert_layout shortcode on a 404 page.</li>
	<li>Fixed TinyMCE link editor not closing since WordPress 4.5.</li>
	<li>Fixed a fatal error with the new Template Data Exporter caused by unsupported syntax in certain PHP versions.</li>
	<li>Fixed a PHP warning caused by plugin activation.</li>
	<li>Fixed the display of SVG files in the Photo module.</li>
	<li>Fixed CSS specificity issues in IE when using the fl_builder_render_layout shortcode.</li>
</ul>

<h4>1.7.8 - 04/20/2016</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug in the Post Carousel and Post Slider modules caused in 1.7.7 that broke the offset setting.</li>
</ul>

<h4>1.7.7 - 04/19/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added support for HTML in the Number Counter module.</li>
	<li>Added a loop setting to the Content Slider module to toggle looping so sliders with a single slide can't be swiped on mobile.</li>
	<li>Added fl_builder_loop_taxonomies filter.</li>
	<li>Upgrade links in the lite version now open in a new window.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with Japanese characters breaking nested forms.</li>
	<li>Fixed a PHP warning caused by font fields.</li>
	<li>Fixed a backwards compatibility issue with the Tesseract theme caused in the 1.7.6 update.</li>
	<li>Fixed a fatal error when uninstalling via Settings > Page Builder > Uninstall.</li>
	<li>Fixed a bug in the Post Carousel and Post Slider modules preventing slides from showing when pagination parameters are present.</li>
	<li>Fixed a bug in the Menu module causing the page to scroll horizontally.</li>
	<li>Fixed a bug with images in templates disappearing in nested forms when no image is selected.</li>
	<li>Fixed a bug with the media library not working in certain themes in WordPress 4.5.</li>
</ul>

<h4>1.7.6 - 03/29/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Optimized database calls for global rows and modules.</li>
	<li>URLs in the builder's CSS cache are now saved as HTTPS if the site has SSL enabled.</li>
	<li>Font Awesome and Foundation icon files are now loaded via CDN.</li>
	<li>The "Publish Changes" button in the builder now says "Submit for Review" for drafts when a user doesn't have the capability to publish.</li>
	<li>Changed the error message in the Subscribe Form module to mention tags instead of lists for Drip and Hatchbuck.</li>
	<li>Added responsive alignment settings to the Icon module. Props to Ben on his first Beaver Builder commit! :)</li>
	<li>Added the option to have uncropped photos in the Posts Carousel and Posts Slider modules.</li>
	<li>Added the fl_builder_loop_query_args filter for filtering query args in the FLBuilderLoop class.</li>
	<li>Added the fl_builder_posts_module_layout_path filter for filtering the path of layout files in the Posts module.</li>
	<li>Added the fl_builder_color_presets filter for adding color presets to the builder's color picker.</li>
	<li>Added the fl_builder_after_render_css and fl_builder_after_render_js actions for hooking into after assets are rendered.</li>
	<li>Added the "remove" method for modules that is only called when they are removed from the page.</li>
	<li>Exposed bxSlider object in the Posts Carousel and Posts Slider modules so it can be accessed by third party code.</li>
	<li>Updated bxSlider.</li>
	<li>Updated translations.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed styling issues with the column settings dropdown in certain themes.</li>
	<li>Fixed styling issues with column resize handles and global rows and modules.</li>
	<li>Fixed styling issues with IE11 and full-height rows.</li>
	<li>Fixed styling issues with the Heading module.</li>
	<li>Fixed styling issues with the Callout module.</li>
	<li>Fixed styling issues with the Content Slider module.</li>
	<li>Fixed a bug with icon fields in nested forms throwing warnings.</li>
	<li>Fixed a bug with the color picker breaking when the core WordPress color picker scripts are loaded.</li>
	<li>Fixed a bug with modules set to animate below a slideshow would animate immediately.</li>
	<li>Fixed a bug with smooth scrolling links having the same ID on two different pages.</li>
	<li>Fixed a bug with sub-menus going off the right side of the page in the Menu module.</li>
	<li>Fixed a bug with module classes being serialized in saved layout data when a row is copied.</li>
	<li>Fixed a bug with mixed double quotes breaking the JS for the FLBuilder::render_query method.</li>
	<li>Fixed a bug caused by the WPide plugin.</li>
	<li>Fixed a select field bug where the value of the 'selected' function was being echoed instead of returned.</li>
	<li>Fixed a bug with the Google Plus button not working in the Slideshow module.</li>
	<li>Fixed a bug with wbr tags breaking nested forms.</li>
</ul>

<h4>1.7.5 - 02/24/2016</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a CSS bug with row background color overlays preventing module access in 1.7.4.</li>
	<li>Fixed a bug where setting a blank default page heading selector in the global settings would hide the entire page.</li>
	<li>Fixed an IE11 bug with full height rows that have fixed width content.</li>
	<li>Fixed a bug with the read more link not showing in the Posts Carousel module when the content is hidden.</li>
</ul>

<h4>1.7.4 - 02/22/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added a welcome page to the admin settings.</li>
	<li>Added updater enhancements to support the new domain manager.</li>
	<li>Pagination in the Gallery module's lightbox is now sequential instead of top to bottom.</li>
	<li>Changed the column settings icon from a wrench icon to columns icon for consistency with the module overlay.</li>
	<li>The Content Slider module now adds the srcset attribute to images when it can.</li>
	<li>The URL is now updated when a smooth scroll link has finished scrolling.</li>
	<li>Args can now be passed to auto suggest fields for modifying any of the auto suggest settings.</li>
	<li>Misc translation updates.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with flashing slides in the Content Slider module.</li>
	<li>Fixed a bug with column display settings when equal heights are enabled.</li>
	<li>Fixed a bug with shortcodes not rendering on bbPress pages.</li>
	<li>Fixed a bug with the Gallery module not working in the tabs module when added via a shortcode.</li>
	<li>Fixed a bug with the fl-builder class being added to archive pages.</li>
	<li>Fixed a bug with the number showing in the Number Counter module before it has animated.</li>
	<li>Fixed a bug with duplicate videos showing in Video modules when using the browser's back button.</li>
	<li>Fixed issues with bad Layout Settings JavaScript breaking the builder.</li>
	<li>Fixed module CSS bugs with empty values.</li>
	<li>Fixed a translation bug in the Posts module with translating the comments string.</li>
	<li>Fixed issues with schema structured data in all post modules.</li>
	<li>Fixed a JavaScript bug with the Accordion module.</li>
	<li>Fixes edge case issues with widget/shortcode scripts firing before they should. Specifically fixes issues with Hero Slider.</li>
	<li>Fixed CSS issues with post titles being hidden when loading builder content via a shortcode.</li>
	<li>Fixed Thai translation.</li>
</ul>

<h4>1.7.3 - 02/01/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Developers can now hook into AJAX requests using the fl_ajax_* hooks.</li>
	<li>Added the fl_builder_render_js filter for filtering JavaScript cached by the builder.</li>
	<li>Added the fl_builder_render_shortcodes filter for disabling shortcode parsing by the builder.</li>
	<li>Added the fl_builder_get_upload_dir and fl_builder_get_cache_dir filters for filtering those paths.</li>
	<li>Added the fl_builder_before_save_layout and fl_builder_after_save_layout actions for hooking into when layout data is saved .</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with vertically centered content in full height rows on iOS devices.</li>
	<li>Fixed a bug with the read more link not showing in the Posts Slider module when the content is hidden.</li>
	<li>Fixed a bug with backslashes being stripped out of the layout settings.</li>
	<li>Fixed a bug with the Pricing Table module buttons caused in 1.7.</li>
	<li>Fixed a bug with the link field's auto suggest.</li>
</ul>

<h4>1.7.2 - 01/26/2016</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed an AJAX bug caused in the last update that broke all auto suggest fields.</li>
	<li>Fixed post status issues when publishing a pending post via the builder. Also fixes published posts becoming pending when the Revisionary plugin is being used.</li>
</ul>

<h4>1.7.1 - 01/24/2016</h4>
<p><strong>Security</strong></p>
<ul>
	<li>Fixed a security issue that could allow a logged in user that doesn't have permission to edit a page to make calls to the builder's editing functions by spoofing an AJAX request. While this issue mainly affects sites that allow anyone to register, it is still recommended that everyone update immediately.</li>
	<li>Now using nonces in AJAX requests for additional security.</li>
</ul>
<p><strong>Enhancements</strong></p>
<ul>
	<li>The Number Counter module now uses thousands separators.</li>
	<li>Updated multiple translations.</li>
	<li>The parent node id is now passed when nested forms are rendered so the parent settings can be accessed by the nested form's controls.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed multiple translation issues.</li>
	<li>Fixed a bug causing an error on the post list admin screen.</li>
	<li>Fixed a bug with the read more link not showing in the Posts module when the content is hidden.</li>
	<li>Fixed a bug with the default value in font fields.</li>
	<li>Fixed a bug with button style settings showing when no background color is selected.</li>
	<li>Fixed a bug with nested form preview text on PHP 7.</li>
</ul>

<h4>1.7 - 01/18/2016</h4>
<p>This update adds a number of new features. Be sure to check out <a href="https://www.wpbeaverbuilder.com/beaver-builder-1-7-now-with-partial-refresh-per-page-code-settings-and-our-first-shortcode/">the blog post</a> for detailed info on what was added.</p>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added partial refresh for all rows, columns, and modules. Developers will need to read the custom module docs for info on making their modules compatible with partial refresh.</li>
	<li>Added the Layout Settings panel with per-page CSS and JavaScript settings.</li>
	<li>Added CSS and JavaScript settings to the Global Settings panel.</li>
	<li>Added the Audio module.</li>
	<li>Added the Countdown module.</li>
	<li>Added new style settings to the Pricing Table module for achieving a variety of different looks.</li>
	<li>Added the fl_builder_insert_layout shortcode for inserting builder saved templates, rows, modules anywhere in your posts.</li>
	<li>Added the FLBuilder::render_query method for rendering layouts anywhere within a theme's PHP files.</li>
	<li>Refactored frontend AJAX actions and rendering to support partial refresh. Developers tapping into those actions may need to update their code.</li>
	<li>Optimized loading of the builder UI by concatenating and minifying all core CSS and JavaScript files.</li>
	<li>Builder caching is now disabled when WP_DEBUG is set to true.</li>
	<li>The editing capability setting now supports multiple comma separated values.</li>
	<li>Updated Google fonts.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with the Subscribe Form module.</li>
	<li>Fixed CSS specificity issues with the new builder shortcode.</li>
	<li>Fixed a CSS bug with custom column widths on small devices.</li>
</ul>

<h4>1.6.4.7 - 1/10/2016</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Minor enhancements to the Number Counter module. Added new number position setting (above, inside, below) for number bars. Thanks Kathy Darling for the contribution!</li>
	<li>Row background color settings are now always available for adding a fallback for other background types such as videos and slideshows. Thanks Justin Proffitt for the contribution!</li>
	<li>Added limit property to suggest fields for limiting the number of selections that can be made.</li>
	<li>Added the fl_builder_register_settings_form filter to the register_module method.</li>
	<li>Added core WordPress image classes to the Photo module. This allows WordPress to handle srcsets instead of us, fixing a number of issues and adding support for the WP Retina plugin.</li>
	<li>Added Czech translation.</li>
	<li>Added Farsi translation.</li>
	<li>Added Thai translation.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with scripts in shortcodes and widgets being rendered more than once when a CDN is used. Primarily fixes issues with the Gravity Forms widget, but should help others as well.</li>
	<li>Fixed a bug with users that can only submit for review being able to publish posts from within the builder.</li>
	<li>Fixed a bug breaking responsive display settings for equal height columns.</li>
	<li>Fixed a bug caused by the WP 4.4.1 update that makes it so all templates show in the template selector, saved rows, and saved modules sections.</li>
	<li>Fixed a bug with values selected in auto suggest fields not retaining their order.</li>
	<li>Fixed a bug with multiple email addresses in the Contact Form module.</li>
	<li>Fixed a bug with videos in the Content Slider module continuing to play when the slider advances to the next slide.</li>
	<li>Fixed a bug with edge cases where git configurations convert line endings and break the serialized data in the templates.dat file.</li>
</ul>

<h4>1.6.4.6 - 12/22/2015</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added Hungarian translation.</li>
	<li>The Contact Form module now supports a comma separated list of email addresses.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug causing the row and column link color setting to not work.</li>
	<li>Fixed a bug with srcsets in the Photo module and custom image sizes.</li>
	<li>Fixed a bug making it impossible to edit modules that don't have a height.</li>
	<li>Fixed a bug with IE11 and row alignment.</li>
</ul>

<h4>1.6.4.5 - 12/15/2015</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>WordPress 4.4's responsive image code is now applied to all images that contain an attachment ID.</li>
	<li>Added support for the Autoptimize caching plugin.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug in the Photo module with srcsets and custom image sizes.</li>
	<li>Fixed a bug with using shortcodes in link fields.</li>
	<li>Fixed a bug with smooth scrolling and the Tabs module.</li>
	<li>Fixed a bug with equal heights in the Posts module.</li>
	<li>Fixed a bug with icon positioning in the Callout module.</li>
	<li>Fixed a bug with Menu module text being searched in searches.</li>
	<li>Fixed a bug with full height rows and content alignment in IE11.</li>
	<li>Fixed a bug causing the text in textareas to be white.</li>
</ul>

<h4>1.6.4.4 - 12/08/2015</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added Success Action setting to the Contact Form module to show a message or redirect to a URL when the form is submitted.</li>
	<li>The from email address for Contact Form module submissions is now set to the email of the person that filled out the form.</li>
	<li>Added WebM fallback support to the Video module.</li>
	<li>Added srcset support to the Photo module for better responsiveness of images in anticipation of WordPress 4.4.</li>
	<li>Added ConvertKit integration to the Subscribe Form module.</li>
	<li>Added Drip integration to the Subscribe Form module.</li>
	<li>Added Campayn integration to the Subscribe Form module.</li>
	<li>Added Mailrelay integration to the Subscribe Form module.</li>
	<li>Added Sendy integration to the Subscribe Form module.</li>
	<li>Added two new filters for working with post types that the builder is enabled on.</li>
	<li>Added JavaScript event to the Accordion module for when sections are toggled.</li>
	<li>Updated Font Awesome.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with theme white labeling and child themes.</li>
	<li>Fixed a bug with theme white labeling and the Customizer.</li>
	<li>Fixed a bug with Gantry framework compatibility.</li>
	<li>Fixed a bug with floating content in the Tabs module.</li>
	<li>Fixed a bug with blurry background photos in the Post Slider module.</li>
	<li>Fixed a bug causing global translations to be overridden by local translations.</li>
	<li>Fixed a bug with cache flushing in the Widget module.</li>
</ul>

<h4>1.6.4.3 - 11/23/2015</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added theme branding to the page builder's branding settings for Agency customers.</li>
	<li>Added show_remove option to photo fields for developers.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed CSS conflicts with third party themes and the core WordPress media uploader UI.</li>
	<li>Fixed multiple color picker bugs.</li>
	<li>Fixed a bug with the media library not showing on older versions of Safari.</li>
	<li>Fixed a bug with the Accordion module not applying the correct class to all open items.</li>
	<li>Fixed a bug caused by entering text strings into the Number Counter settings.</li>
	<li>Fixed a bug with template assets not loading with the fl_builder_global_posts filter.</li>
	<li>Fixed a bug with the Slideshow module where thumbnail pagination would disappear when two slideshows were on the same page.</li>
	<li>Fixed a bug with module animations not running when positioned below a gallery module.</li>
	<li>Fixed a bug with video background positions being messed up when images haven't fully loaded within a row.</li>
	<li>Fixed a bug causing random sorting of posts in the Posts module not to work.</li>
</ul>

<h4>1.6.4.2 - 11/05/2015</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added a Match Height setting to the Posts module's Grid layout.</li>
	<li>Custom module categories now show up before the WordPress Widgets category.</li>
	<li>Added the fl_builder_module_categories filter.</li>
	<li>Text field enhancements for developers that allow for a list of predefined options. Thanks Oliver!</li>
	<li>Added Danish translation.</li>
	<li>Added Hebrew translation.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with cropping photos that have a query string in their URL. Fixes issues with Jetpack's Photon module.</li>
	<li>Fixed a bug with custom image size titles showing as undefined.</li>
	<li>Fixed a bug with margins not working on equal height columns in FireFox.</li>
	<li>Fixed a bug with UI images for the Slideshow module loading from an external domain not on HTTPS.</li>
	<li>Fixed a bug with the Slideshow module caused when the body color is set to an rgba value.</li>
	<li>Fixed a bug with the Subscribe Form module not working in global rows.</li>
	<li>Fixed a bug with full height rows on iOS devices.</li>
	<li>Fixed a bug with the Posts module and the Append extensions on Pages plugin.</li>
	<li>Fixed a bug with editing templates in the Sage theme.</li>
	<li>Fixed a bug with Slideshow module transitions in IE11.</li>
	<li>Fixed a bug with the Insert Pages plugin not working when used within a builder layout.</li>
</ul>

<h4>1.6.4.1 - 10/21/2015</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Images in the Content Slider module now have alt tags.</li>
	<li>Updated various translations.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a content rendering bug that caused pages to become unresponsive with some shortcodes.</li>
	<li>Fixed an edge case multisite domain mapping issue with scripts/styles loading under the incorrect domain.</li>
	<li>Fixed an issue making it so you couldn't have fixed width content in a full height row.</li>
	<li>Fixed an issue with widgets such as the GeoDirectory plugin that output the widget_id as a JavaScript variable name.</li>
	<li>Fixed a post date bug with the feed layout in the Posts module.</li>
	<li>Fixed a bug caused by plugins that use a forward slash in the browser hash.</li>
</ul>

<h4>1.6.4 - 10/13/2015</h4>
<p>This update adds a number of new features. Be sure to check out <a href="https://www.wpbeaverbuilder.com/beaver-builder-1-6-4-featuring-a-new-color-picker-full-height-rows-the-number-counter-module-and-more/" target="_blank">the blog post</a> for detailed info on what was added.
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added an all new modern color picker that allows you to save color presets.</li>
	<li>Added the ability to create full height rows.</li>
	<li>Added the ability to create equal height columns.</li>
	<li>Added a column settings dropdown that allows you to edit, delete and insert new columns.</li>
	<li>Added the ability to resize columns by dragging.</li>
	<li>Added the Number Counter module.</li>
	<li>Added a new font setting to the Heading module for picking custom font families.</li>
	<li>Misc UI improvements.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with saving a template where hitting enter loads a 404 page.</li>
	<li>Fixed a bug with the Content Slider module's mobile images not showing.</li>
	<li>Removed generic lightbox button styling that caused issues with third party themes.</li>
</ul>

<h4>1.6.3.4 - 10/10/2015</h4>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a content rendering issue that can cause an infinite loop with certain shortcodes or widgets.</li>
</ul>

<h4>1.6.3.3 - 10/06/2015</h4>
<p><strong>Enhancements</strong></p>
<ul>
	<li>Added a default option to the date format setting in the post modules. When set to default, the date format set in wp-admin will be used.</li>
	<li>Added FLBuilderLayoutConfig JS global with path vars and anchor link animation vars. Allows you to override anchor link animation settings.</li>
	<li>Added the ability to add MP4 and WebM videos to row backgrounds.</li>
</ul>
<p><strong>Bug Fixes</strong></p>
<ul>
	<li>Fixed a bug with widgets that have nested settings arrays.</li>
	<li>Fixed a bug with the Post Carousel moduel's image size setting.</li>
	<li>Fixed a bug with white text in inputs fields.</li>
